module Emojis exposing (emojiDict)

import Dict exposing (Dict)
import Types exposing (Emoji)


emojiDict : Dict String Emoji
emojiDict =
    Dict.fromList
        [ ( "grinning", { name = "GRINNING FACE", native = "😀", nativeNonQual = "😀", keywords = [ "face", "grin", "grinning face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smiley", { name = "SMILING FACE WITH OPEN MOUTH", native = "😃", nativeNonQual = "😃", keywords = [ "face", "grinning face with big eyes", "mouth", "open", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smile", { name = "SMILING FACE WITH OPEN MOUTH AND SMILING EYES", native = "😄", nativeNonQual = "😄", keywords = [ "eye", "face", "grinning face with smiling eyes", "mouth", "open", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "grin", { name = "GRINNING FACE WITH SMILING EYES", native = "😁", nativeNonQual = "😁", keywords = [ "beaming face with smiling eyes", "eye", "face", "grin", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "laughing", { name = "SMILING FACE WITH OPEN MOUTH AND TIGHTLY-CLOSED EYES", native = "😆", nativeNonQual = "😆", keywords = [ "face", "grinning squinting face", "laugh", "mouth", "satisfied", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sweat_smile", { name = "SMILING FACE WITH OPEN MOUTH AND COLD SWEAT", native = "😅", nativeNonQual = "😅", keywords = [ "cold", "face", "grinning face with sweat", "open", "smile", "sweat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rolling_on_the_floor_laughing", { name = "ROLLING ON THE FLOOR LAUGHING", native = "🤣", nativeNonQual = "🤣", keywords = [ "face", "floor", "laugh", "rofl", "rolling", "rolling on the floor laughing", "rotfl" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "joy", { name = "FACE WITH TEARS OF JOY", native = "😂", nativeNonQual = "😂", keywords = [ "face", "face with tears of joy", "joy", "laugh", "tear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "slightly_smiling_face", { name = "SLIGHTLY SMILING FACE", native = "🙂", nativeNonQual = "🙂", keywords = [ "face", "slightly smiling face", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "upside_down_face", { name = "UPSIDE-DOWN FACE", native = "🙃", nativeNonQual = "🙃", keywords = [ "face", "upside-down" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "melting_face", { name = "MELTING FACE", native = "\u{1FAE0}", nativeNonQual = "\u{1FAE0}", keywords = [ "disappear", "dissolve", "liquid", "melt", "melting face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wink", { name = "WINKING FACE", native = "😉", nativeNonQual = "😉", keywords = [ "face", "wink", "winking face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blush", { name = "SMILING FACE WITH SMILING EYES", native = "😊", nativeNonQual = "😊", keywords = [ "blush", "eye", "face", "smile", "smiling face with smiling eyes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "innocent", { name = "SMILING FACE WITH HALO", native = "😇", nativeNonQual = "😇", keywords = [ "angel", "face", "fantasy", "halo", "innocent", "smiling face with halo" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smiling_face_with_3_hearts", { name = "SMILING FACE WITH SMILING EYES AND THREE HEARTS", native = "🥰", nativeNonQual = "🥰", keywords = [ "adore", "crush", "hearts", "in love", "smiling face with hearts" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heart_eyes", { name = "SMILING FACE WITH HEART-SHAPED EYES", native = "😍", nativeNonQual = "😍", keywords = [ "eye", "face", "love", "smile", "smiling face with heart-eyes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "star-struck", { name = "GRINNING FACE WITH STAR EYES", native = "🤩", nativeNonQual = "🤩", keywords = [ "eyes", "face", "grinning", "star", "star-struck" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kissing_heart", { name = "FACE THROWING A KISS", native = "😘", nativeNonQual = "😘", keywords = [ "face", "face blowing a kiss", "kiss" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kissing", { name = "KISSING FACE", native = "😗", nativeNonQual = "😗", keywords = [ "face", "kiss", "kissing face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "relaxed", { name = "WHITE SMILING FACE", native = "☺️", nativeNonQual = "☺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kissing_closed_eyes", { name = "KISSING FACE WITH CLOSED EYES", native = "😚", nativeNonQual = "😚", keywords = [ "closed", "eye", "face", "kiss", "kissing face with closed eyes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kissing_smiling_eyes", { name = "KISSING FACE WITH SMILING EYES", native = "😙", nativeNonQual = "😙", keywords = [ "eye", "face", "kiss", "kissing face with smiling eyes", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smiling_face_with_tear", { name = "SMILING FACE WITH TEAR", native = "\u{1F972}", nativeNonQual = "\u{1F972}", keywords = [ "grateful", "proud", "relieved", "smiling", "smiling face with tear", "tear", "touched" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yum", { name = "FACE SAVOURING DELICIOUS FOOD", native = "😋", nativeNonQual = "😋", keywords = [ "delicious", "face", "face savoring food", "savouring", "smile", "yum" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stuck_out_tongue", { name = "FACE WITH STUCK-OUT TONGUE", native = "😛", nativeNonQual = "😛", keywords = [ "face", "face with tongue", "tongue" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stuck_out_tongue_winking_eye", { name = "FACE WITH STUCK-OUT TONGUE AND WINKING EYE", native = "😜", nativeNonQual = "😜", keywords = [ "eye", "face", "joke", "tongue", "wink", "winking face with tongue" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zany_face", { name = "GRINNING FACE WITH ONE LARGE AND ONE SMALL EYE", native = "🤪", nativeNonQual = "🤪", keywords = [ "eye", "goofy", "large", "small", "zany face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stuck_out_tongue_closed_eyes", { name = "FACE WITH STUCK-OUT TONGUE AND TIGHTLY-CLOSED EYES", native = "😝", nativeNonQual = "😝", keywords = [ "eye", "face", "horrible", "squinting face with tongue", "taste", "tongue" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "money_mouth_face", { name = "MONEY-MOUTH FACE", native = "🤑", nativeNonQual = "🤑", keywords = [ "face", "money", "money-mouth face", "mouth" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hugging_face", { name = "HUGGING FACE", native = "🤗", nativeNonQual = "🤗", keywords = [ "face", "hug", "hugging", "open hands", "smiling face", "smiling face with open hands" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_hand_over_mouth", { name = "SMILING FACE WITH SMILING EYES AND HAND COVERING MOUTH", native = "🤭", nativeNonQual = "🤭", keywords = [ "face with hand over mouth", "whoops" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_open_eyes_and_hand_over_mouth", { name = "FACE WITH OPEN EYES AND HAND OVER MOUTH", native = "\u{1FAE2}", nativeNonQual = "\u{1FAE2}", keywords = [ "amazement", "awe", "disbelief", "embarrass", "face with open eyes and hand over mouth", "scared", "surprise" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_peeking_eye", { name = "FACE WITH PEEKING EYE", native = "\u{1FAE3}", nativeNonQual = "\u{1FAE3}", keywords = [ "captivated", "face with peeking eye", "peep", "stare" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shushing_face", { name = "FACE WITH FINGER COVERING CLOSED LIPS", native = "🤫", nativeNonQual = "🤫", keywords = [ "quiet", "shush", "shushing face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "thinking_face", { name = "THINKING FACE", native = "🤔", nativeNonQual = "🤔", keywords = [ "face", "thinking" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "saluting_face", { name = "SALUTING FACE", native = "\u{1FAE1}", nativeNonQual = "\u{1FAE1}", keywords = [ "OK", "salute", "saluting face", "sunny", "troops", "yes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zipper_mouth_face", { name = "ZIPPER-MOUTH FACE", native = "🤐", nativeNonQual = "🤐", keywords = [ "face", "mouth", "zip", "zipper", "zipper-mouth face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_raised_eyebrow", { name = "FACE WITH ONE EYEBROW RAISED", native = "🤨", nativeNonQual = "🤨", keywords = [ "distrust", "face with raised eyebrow", "skeptic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "neutral_face", { name = "NEUTRAL FACE", native = "😐", nativeNonQual = "😐", keywords = [ "deadpan", "face", "meh", "neutral" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "expressionless", { name = "EXPRESSIONLESS FACE", native = "😑", nativeNonQual = "😑", keywords = [ "expressionless", "face", "inexpressive", "meh", "unexpressive" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_mouth", { name = "FACE WITHOUT MOUTH", native = "😶", nativeNonQual = "😶", keywords = [ "face", "face without mouth", "mouth", "quiet", "silent" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dotted_line_face", { name = "DOTTED LINE FACE", native = "\u{1FAE5}", nativeNonQual = "\u{1FAE5}", keywords = [ "depressed", "disappear", "dotted line face", "hide", "introvert", "invisible" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_in_clouds", { name = "FACE IN CLOUDS", native = "😶\u{200D}🌫️", nativeNonQual = "😶\u{200D}🌫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smirk", { name = "SMIRKING FACE", native = "😏", nativeNonQual = "😏", keywords = [ "face", "smirk", "smirking face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "unamused", { name = "UNAMUSED FACE", native = "😒", nativeNonQual = "😒", keywords = [ "face", "unamused", "unhappy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_rolling_eyes", { name = "FACE WITH ROLLING EYES", native = "🙄", nativeNonQual = "🙄", keywords = [ "eyeroll", "eyes", "face", "face with rolling eyes", "rolling" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "grimacing", { name = "GRIMACING FACE", native = "😬", nativeNonQual = "😬", keywords = [ "face", "grimace", "grimacing face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_exhaling", { name = "FACE EXHALING", native = "😮\u{200D}💨", nativeNonQual = "😮\u{200D}💨", keywords = [ "exhale", "face exhaling", "gasp", "groan", "relief", "whisper", "whistle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lying_face", { name = "LYING FACE", native = "🤥", nativeNonQual = "🤥", keywords = [ "face", "lie", "lying face", "pinocchio" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shaking_face", { name = "SHAKING FACE", native = "\u{1FAE8}", nativeNonQual = "\u{1FAE8}", keywords = [ "earthquake", "face", "shaking", "shock", "vibrate" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "relieved", { name = "RELIEVED FACE", native = "😌", nativeNonQual = "😌", keywords = [ "face", "relieved" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pensive", { name = "PENSIVE FACE", native = "😔", nativeNonQual = "😔", keywords = [ "dejected", "face", "pensive" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sleepy", { name = "SLEEPY FACE", native = "😪", nativeNonQual = "😪", keywords = [ "face", "good night", "sleep", "sleepy face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "drooling_face", { name = "DROOLING FACE", native = "🤤", nativeNonQual = "🤤", keywords = [ "drooling", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sleeping", { name = "SLEEPING FACE", native = "😴", nativeNonQual = "😴", keywords = [ "face", "good night", "sleep", "sleeping face", "ZZZ" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mask", { name = "FACE WITH MEDICAL MASK", native = "😷", nativeNonQual = "😷", keywords = [ "cold", "doctor", "face", "face with medical mask", "mask", "sick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_thermometer", { name = "FACE WITH THERMOMETER", native = "🤒", nativeNonQual = "🤒", keywords = [ "face", "face with thermometer", "ill", "sick", "thermometer" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_head_bandage", { name = "FACE WITH HEAD-BANDAGE", native = "🤕", nativeNonQual = "🤕", keywords = [ "bandage", "face", "face with head-bandage", "hurt", "injury" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nauseated_face", { name = "NAUSEATED FACE", native = "🤢", nativeNonQual = "🤢", keywords = [ "face", "nauseated", "vomit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_vomiting", { name = "FACE WITH OPEN MOUTH VOMITING", native = "🤮", nativeNonQual = "🤮", keywords = [ "face vomiting", "puke", "sick", "vomit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sneezing_face", { name = "SNEEZING FACE", native = "🤧", nativeNonQual = "🤧", keywords = [ "face", "gesundheit", "sneeze", "sneezing face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hot_face", { name = "OVERHEATED FACE", native = "🥵", nativeNonQual = "🥵", keywords = [ "feverish", "heat stroke", "hot", "hot face", "red-faced", "sweating" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cold_face", { name = "FREEZING FACE", native = "🥶", nativeNonQual = "🥶", keywords = [ "blue-faced", "cold", "cold face", "freezing", "frostbite", "icicles" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woozy_face", { name = "FACE WITH UNEVEN EYES AND WAVY MOUTH", native = "🥴", nativeNonQual = "🥴", keywords = [ "dizzy", "intoxicated", "tipsy", "uneven eyes", "wavy mouth", "woozy face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dizzy_face", { name = "DIZZY FACE", native = "😵", nativeNonQual = "😵", keywords = [ "crossed-out eyes", "dead", "face", "face with crossed-out eyes", "knocked out" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_spiral_eyes", { name = "FACE WITH SPIRAL EYES", native = "😵\u{200D}💫", nativeNonQual = "😵\u{200D}💫", keywords = [ "dizzy", "face with spiral eyes", "hypnotized", "spiral", "trouble", "whoa" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "exploding_head", { name = "SHOCKED FACE WITH EXPLODING HEAD", native = "🤯", nativeNonQual = "🤯", keywords = [ "exploding head", "mind blown", "shocked" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_cowboy_hat", { name = "FACE WITH COWBOY HAT", native = "🤠", nativeNonQual = "🤠", keywords = [ "cowboy", "cowgirl", "face", "hat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "partying_face", { name = "FACE WITH PARTY HORN AND PARTY HAT", native = "🥳", nativeNonQual = "🥳", keywords = [ "celebration", "hat", "horn", "party", "partying face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "disguised_face", { name = "DISGUISED FACE", native = "\u{1F978}", nativeNonQual = "\u{1F978}", keywords = [ "disguise", "disguised face", "face", "glasses", "incognito", "nose" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sunglasses", { name = "SMILING FACE WITH SUNGLASSES", native = "😎", nativeNonQual = "😎", keywords = [ "bright", "cool", "face", "smiling face with sunglasses", "sun", "sunglasses" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nerd_face", { name = "NERD FACE", native = "🤓", nativeNonQual = "🤓", keywords = [ "face", "geek", "nerd" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_monocle", { name = "FACE WITH MONOCLE", native = "🧐", nativeNonQual = "🧐", keywords = [ "face", "face with monocle", "monocle", "stuffy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "confused", { name = "CONFUSED FACE", native = "😕", nativeNonQual = "😕", keywords = [ "confused", "face", "meh" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_diagonal_mouth", { name = "FACE WITH DIAGONAL MOUTH", native = "\u{1FAE4}", nativeNonQual = "\u{1FAE4}", keywords = [ "disappointed", "face with diagonal mouth", "meh", "skeptical", "unsure" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "worried", { name = "WORRIED FACE", native = "😟", nativeNonQual = "😟", keywords = [ "face", "worried" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "slightly_frowning_face", { name = "SLIGHTLY FROWNING FACE", native = "🙁", nativeNonQual = "🙁", keywords = [ "face", "frown", "slightly frowning face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_frowning_face", { name = "FROWNING FACE", native = "☹️", nativeNonQual = "☹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "open_mouth", { name = "FACE WITH OPEN MOUTH", native = "😮", nativeNonQual = "😮", keywords = [ "face", "face with open mouth", "mouth", "open", "sympathy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hushed", { name = "HUSHED FACE", native = "😯", nativeNonQual = "😯", keywords = [ "face", "hushed", "stunned", "surprised" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "astonished", { name = "ASTONISHED FACE", native = "😲", nativeNonQual = "😲", keywords = [ "astonished", "face", "shocked", "totally" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flushed", { name = "FLUSHED FACE", native = "😳", nativeNonQual = "😳", keywords = [ "dazed", "face", "flushed" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pleading_face", { name = "FACE WITH PLEADING EYES", native = "🥺", nativeNonQual = "🥺", keywords = [ "begging", "mercy", "pleading face", "puppy eyes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_holding_back_tears", { name = "FACE HOLDING BACK TEARS", native = "\u{1F979}", nativeNonQual = "\u{1F979}", keywords = [ "angry", "cry", "face holding back tears", "proud", "resist", "sad" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "frowning", { name = "FROWNING FACE WITH OPEN MOUTH", native = "😦", nativeNonQual = "😦", keywords = [ "face", "frown", "frowning face with open mouth", "mouth", "open" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "anguished", { name = "ANGUISHED FACE", native = "😧", nativeNonQual = "😧", keywords = [ "anguished", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fearful", { name = "FEARFUL FACE", native = "😨", nativeNonQual = "😨", keywords = [ "face", "fear", "fearful", "scared" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cold_sweat", { name = "FACE WITH OPEN MOUTH AND COLD SWEAT", native = "😰", nativeNonQual = "😰", keywords = [ "anxious face with sweat", "blue", "cold", "face", "rushed", "sweat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "disappointed_relieved", { name = "DISAPPOINTED BUT RELIEVED FACE", native = "😥", nativeNonQual = "😥", keywords = [ "disappointed", "face", "relieved", "sad but relieved face", "whew" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cry", { name = "CRYING FACE", native = "😢", nativeNonQual = "😢", keywords = [ "cry", "crying face", "face", "sad", "tear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sob", { name = "LOUDLY CRYING FACE", native = "😭", nativeNonQual = "😭", keywords = [ "cry", "face", "loudly crying face", "sad", "sob", "tear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scream", { name = "FACE SCREAMING IN FEAR", native = "😱", nativeNonQual = "😱", keywords = [ "face", "face screaming in fear", "fear", "munch", "scared", "scream" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "confounded", { name = "CONFOUNDED FACE", native = "😖", nativeNonQual = "😖", keywords = [ "confounded", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "persevere", { name = "PERSEVERING FACE", native = "😣", nativeNonQual = "😣", keywords = [ "face", "persevere", "persevering face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "disappointed", { name = "DISAPPOINTED FACE", native = "😞", nativeNonQual = "😞", keywords = [ "disappointed", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sweat", { name = "FACE WITH COLD SWEAT", native = "😓", nativeNonQual = "😓", keywords = [ "cold", "downcast face with sweat", "face", "sweat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "weary", { name = "WEARY FACE", native = "😩", nativeNonQual = "😩", keywords = [ "face", "tired", "weary" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tired_face", { name = "TIRED FACE", native = "😫", nativeNonQual = "😫", keywords = [ "face", "tired" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yawning_face", { name = "YAWNING FACE", native = "🥱", nativeNonQual = "🥱", keywords = [ "bored", "tired", "yawn", "yawning face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "triumph", { name = "FACE WITH LOOK OF TRIUMPH", native = "😤", nativeNonQual = "😤", keywords = [ "face", "face with steam from nose", "triumph", "won" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rage", { name = "POUTING FACE", native = "😡", nativeNonQual = "😡", keywords = [ "angry", "enraged", "face", "mad", "pouting", "rage", "red" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "angry", { name = "ANGRY FACE", native = "😠", nativeNonQual = "😠", keywords = [ "anger", "angry", "face", "mad" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "face_with_symbols_on_mouth", { name = "SERIOUS FACE WITH SYMBOLS COVERING MOUTH", native = "🤬", nativeNonQual = "🤬", keywords = [ "face with symbols on mouth", "swearing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smiling_imp", { name = "SMILING FACE WITH HORNS", native = "😈", nativeNonQual = "😈", keywords = [ "face", "fairy tale", "fantasy", "horns", "smile", "smiling face with horns" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "imp", { name = "IMP", native = "👿", nativeNonQual = "👿", keywords = [ "angry face with horns", "demon", "devil", "face", "fantasy", "imp" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skull", { name = "SKULL", native = "💀", nativeNonQual = "💀", keywords = [ "death", "face", "fairy tale", "monster", "skull" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skull_and_crossbones", { name = "SKULL AND CROSSBONES", native = "☠️", nativeNonQual = "☠", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hankey", { name = "PILE OF POO", native = "💩", nativeNonQual = "💩", keywords = [ "dung", "face", "monster", "pile of poo", "poo", "poop" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clown_face", { name = "CLOWN FACE", native = "🤡", nativeNonQual = "🤡", keywords = [ "clown", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "japanese_ogre", { name = "JAPANESE OGRE", native = "👹", nativeNonQual = "👹", keywords = [ "creature", "face", "fairy tale", "fantasy", "monster", "ogre" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "japanese_goblin", { name = "JAPANESE GOBLIN", native = "👺", nativeNonQual = "👺", keywords = [ "creature", "face", "fairy tale", "fantasy", "goblin", "monster" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ghost", { name = "GHOST", native = "👻", nativeNonQual = "👻", keywords = [ "creature", "face", "fairy tale", "fantasy", "ghost", "monster" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "alien", { name = "EXTRATERRESTRIAL ALIEN", native = "👽", nativeNonQual = "👽", keywords = [ "alien", "creature", "extraterrestrial", "face", "fantasy", "ufo" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "space_invader", { name = "ALIEN MONSTER", native = "👾", nativeNonQual = "👾", keywords = [ "alien", "creature", "extraterrestrial", "face", "monster", "ufo" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "robot_face", { name = "ROBOT FACE", native = "🤖", nativeNonQual = "🤖", keywords = [ "face", "monster", "robot" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smiley_cat", { name = "SMILING CAT FACE WITH OPEN MOUTH", native = "😺", nativeNonQual = "😺", keywords = [ "cat", "face", "grinning", "mouth", "open", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smile_cat", { name = "GRINNING CAT FACE WITH SMILING EYES", native = "😸", nativeNonQual = "😸", keywords = [ "cat", "eye", "face", "grin", "grinning cat with smiling eyes", "smile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "joy_cat", { name = "CAT FACE WITH TEARS OF JOY", native = "😹", nativeNonQual = "😹", keywords = [ "cat", "cat with tears of joy", "face", "joy", "tear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heart_eyes_cat", { name = "SMILING CAT FACE WITH HEART-SHAPED EYES", native = "😻", nativeNonQual = "😻", keywords = [ "cat", "eye", "face", "heart", "love", "smile", "smiling cat with heart-eyes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smirk_cat", { name = "CAT FACE WITH WRY SMILE", native = "😼", nativeNonQual = "😼", keywords = [ "cat", "cat with wry smile", "face", "ironic", "smile", "wry" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kissing_cat", { name = "KISSING CAT FACE WITH CLOSED EYES", native = "😽", nativeNonQual = "😽", keywords = [ "cat", "eye", "face", "kiss", "kissing cat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scream_cat", { name = "WEARY CAT FACE", native = "🙀", nativeNonQual = "🙀", keywords = [ "cat", "face", "oh", "surprised", "weary" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crying_cat_face", { name = "CRYING CAT FACE", native = "😿", nativeNonQual = "😿", keywords = [ "cat", "cry", "crying cat", "face", "sad", "tear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pouting_cat", { name = "POUTING CAT FACE", native = "😾", nativeNonQual = "😾", keywords = [ "cat", "face", "pouting" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "see_no_evil", { name = "SEE-NO-EVIL MONKEY", native = "🙈", nativeNonQual = "🙈", keywords = [ "evil", "face", "forbidden", "monkey", "see", "see-no-evil monkey" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hear_no_evil", { name = "HEAR-NO-EVIL MONKEY", native = "🙉", nativeNonQual = "🙉", keywords = [ "evil", "face", "forbidden", "hear", "hear-no-evil monkey", "monkey" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "speak_no_evil", { name = "SPEAK-NO-EVIL MONKEY", native = "🙊", nativeNonQual = "🙊", keywords = [ "evil", "face", "forbidden", "monkey", "speak", "speak-no-evil monkey" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "love_letter", { name = "LOVE LETTER", native = "💌", nativeNonQual = "💌", keywords = [ "heart", "letter", "love", "mail" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cupid", { name = "HEART WITH ARROW", native = "💘", nativeNonQual = "💘", keywords = [ "arrow", "cupid", "heart with arrow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gift_heart", { name = "HEART WITH RIBBON", native = "💝", nativeNonQual = "💝", keywords = [ "heart with ribbon", "ribbon", "valentine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sparkling_heart", { name = "SPARKLING HEART", native = "💖", nativeNonQual = "💖", keywords = [ "excited", "sparkle", "sparkling heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heartpulse", { name = "GROWING HEART", native = "💗", nativeNonQual = "💗", keywords = [ "excited", "growing", "growing heart", "nervous", "pulse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heartbeat", { name = "BEATING HEART", native = "💓", nativeNonQual = "💓", keywords = [ "beating", "beating heart", "heartbeat", "pulsating" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "revolving_hearts", { name = "REVOLVING HEARTS", native = "💞", nativeNonQual = "💞", keywords = [ "revolving", "revolving hearts" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "two_hearts", { name = "TWO HEARTS", native = "💕", nativeNonQual = "💕", keywords = [ "love", "two hearts" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heart_decoration", { name = "HEART DECORATION", native = "💟", nativeNonQual = "💟", keywords = [ "heart", "heart decoration" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_heart_exclamation_mark_ornament", { name = "HEART EXCLAMATION", native = "❣️", nativeNonQual = "❣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "broken_heart", { name = "BROKEN HEART", native = "💔", nativeNonQual = "💔", keywords = [ "break", "broken", "broken heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heart_on_fire", { name = "HEART ON FIRE", native = "❤️\u{200D}🔥", nativeNonQual = "❤\u{200D}🔥", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mending_heart", { name = "MENDING HEART", native = "❤️\u{200D}🩹", nativeNonQual = "❤\u{200D}🩹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heart", { name = "HEAVY BLACK HEART", native = "❤️", nativeNonQual = "❤", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pink_heart", { name = "PINK HEART", native = "\u{1FA77}", nativeNonQual = "\u{1FA77}", keywords = [ "cute", "heart", "like", "love", "pink" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "orange_heart", { name = "ORANGE HEART", native = "🧡", nativeNonQual = "🧡", keywords = [ "orange", "orange heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yellow_heart", { name = "YELLOW HEART", native = "💛", nativeNonQual = "💛", keywords = [ "yellow", "yellow heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "green_heart", { name = "GREEN HEART", native = "💚", nativeNonQual = "💚", keywords = [ "green", "green heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blue_heart", { name = "BLUE HEART", native = "💙", nativeNonQual = "💙", keywords = [ "blue", "blue heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "light_blue_heart", { name = "LIGHT BLUE HEART", native = "\u{1FA75}", nativeNonQual = "\u{1FA75}", keywords = [ "cyan", "heart", "light blue", "light blue heart", "teal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "purple_heart", { name = "PURPLE HEART", native = "💜", nativeNonQual = "💜", keywords = [ "purple", "purple heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "brown_heart", { name = "BROWN HEART", native = "🤎", nativeNonQual = "🤎", keywords = [ "brown", "heart" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_heart", { name = "BLACK HEART", native = "🖤", nativeNonQual = "🖤", keywords = [ "black", "black heart", "evil", "wicked" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "grey_heart", { name = "GREY HEART", native = "\u{1FA76}", nativeNonQual = "\u{1FA76}", keywords = [ "gray", "grey heart", "heart", "silver", "slate" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_heart", { name = "WHITE HEART", native = "🤍", nativeNonQual = "🤍", keywords = [ "heart", "white" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kiss", { name = "KISS MARK", native = "💋", nativeNonQual = "💋", keywords = [ "kiss", "kiss mark", "lips" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "100", { name = "HUNDRED POINTS SYMBOL", native = "💯", nativeNonQual = "💯", keywords = [ "100", "full", "hundred", "hundred points", "score" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "anger", { name = "ANGER SYMBOL", native = "💢", nativeNonQual = "💢", keywords = [ "anger symbol", "angry", "comic", "mad" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "boom", { name = "COLLISION SYMBOL", native = "💥", nativeNonQual = "💥", keywords = [ "boom", "collision", "comic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dizzy", { name = "DIZZY SYMBOL", native = "💫", nativeNonQual = "💫", keywords = [ "comic", "dizzy", "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sweat_drops", { name = "SPLASHING SWEAT SYMBOL", native = "💦", nativeNonQual = "💦", keywords = [ "comic", "splashing", "sweat", "sweat droplets" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dash", { name = "DASH SYMBOL", native = "💨", nativeNonQual = "💨", keywords = [ "comic", "dash", "dashing away", "running" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hole", { name = "HOLE", native = "🕳️", nativeNonQual = "🕳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "speech_balloon", { name = "SPEECH BALLOON", native = "💬", nativeNonQual = "💬", keywords = [ "balloon", "bubble", "comic", "dialog", "speech" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eye-in-speech-bubble", { name = "EYE IN SPEECH BUBBLE", native = "👁️\u{200D}🗨️", nativeNonQual = "👁️\u{200D}🗨️", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "left_speech_bubble", { name = "LEFT SPEECH BUBBLE", native = "🗨️", nativeNonQual = "🗨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "right_anger_bubble", { name = "RIGHT ANGER BUBBLE", native = "🗯️", nativeNonQual = "🗯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "thought_balloon", { name = "THOUGHT BALLOON", native = "💭", nativeNonQual = "💭", keywords = [ "balloon", "bubble", "comic", "thought" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zzz", { name = "SLEEPING SYMBOL", native = "💤", nativeNonQual = "💤", keywords = [ "comic", "good night", "sleep", "ZZZ" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wave", { name = "WAVING HAND SIGN", native = "👋", nativeNonQual = "👋", keywords = [ "hand", "wave", "waving" ], skinVariations = Dict.fromList [ ( "light", "👋🏻" ), ( "mediumLight", "👋🏼" ), ( "medium", "👋🏽" ), ( "mediumDark", "👋🏾" ), ( "dark", "👋🏿" ) ], version = 15 } )
        , ( "raised_back_of_hand", { name = "RAISED BACK OF HAND", native = "🤚", nativeNonQual = "🤚", keywords = [ "backhand", "raised", "raised back of hand" ], skinVariations = Dict.fromList [ ( "light", "🤚🏻" ), ( "mediumLight", "🤚🏼" ), ( "medium", "🤚🏽" ), ( "mediumDark", "🤚🏾" ), ( "dark", "🤚🏿" ) ], version = 15 } )
        , ( "raised_hand_with_fingers_splayed", { name = "HAND WITH FINGERS SPLAYED", native = "🖐️", nativeNonQual = "🖐", keywords = [], skinVariations = Dict.fromList [ ( "light", "🖐🏻" ), ( "mediumLight", "🖐🏼" ), ( "medium", "🖐🏽" ), ( "mediumDark", "🖐🏾" ), ( "dark", "🖐🏿" ) ], version = 15 } )
        , ( "hand", { name = "RAISED HAND", native = "✋", nativeNonQual = "✋", keywords = [ "hand", "high 5", "high five", "raised hand" ], skinVariations = Dict.fromList [ ( "light", "✋🏻" ), ( "mediumLight", "✋🏼" ), ( "medium", "✋🏽" ), ( "mediumDark", "✋🏾" ), ( "dark", "✋🏿" ) ], version = 15 } )
        , ( "spock-hand", { name = "RAISED HAND WITH PART BETWEEN MIDDLE AND RING FINGERS", native = "🖖", nativeNonQual = "🖖", keywords = [ "finger", "hand", "spock", "vulcan", "vulcan salute" ], skinVariations = Dict.fromList [ ( "light", "🖖🏻" ), ( "mediumLight", "🖖🏼" ), ( "medium", "🖖🏽" ), ( "mediumDark", "🖖🏾" ), ( "dark", "🖖🏿" ) ], version = 15 } )
        , ( "rightwards_hand", { name = "RIGHTWARDS HAND", native = "\u{1FAF1}", nativeNonQual = "\u{1FAF1}", keywords = [ "hand", "right", "rightward", "rightwards hand" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF1}🏻" ), ( "mediumLight", "\u{1FAF1}🏼" ), ( "medium", "\u{1FAF1}🏽" ), ( "mediumDark", "\u{1FAF1}🏾" ), ( "dark", "\u{1FAF1}🏿" ) ], version = 15 } )
        , ( "leftwards_hand", { name = "LEFTWARDS HAND", native = "\u{1FAF2}", nativeNonQual = "\u{1FAF2}", keywords = [ "hand", "left", "leftward", "leftwards hand" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF2}🏻" ), ( "mediumLight", "\u{1FAF2}🏼" ), ( "medium", "\u{1FAF2}🏽" ), ( "mediumDark", "\u{1FAF2}🏾" ), ( "dark", "\u{1FAF2}🏿" ) ], version = 15 } )
        , ( "palm_down_hand", { name = "PALM DOWN HAND", native = "\u{1FAF3}", nativeNonQual = "\u{1FAF3}", keywords = [ "dismiss", "drop", "palm down hand", "shoo" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF3}🏻" ), ( "mediumLight", "\u{1FAF3}🏼" ), ( "medium", "\u{1FAF3}🏽" ), ( "mediumDark", "\u{1FAF3}🏾" ), ( "dark", "\u{1FAF3}🏿" ) ], version = 15 } )
        , ( "palm_up_hand", { name = "PALM UP HAND", native = "\u{1FAF4}", nativeNonQual = "\u{1FAF4}", keywords = [ "beckon", "catch", "come", "offer", "palm up hand" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF4}🏻" ), ( "mediumLight", "\u{1FAF4}🏼" ), ( "medium", "\u{1FAF4}🏽" ), ( "mediumDark", "\u{1FAF4}🏾" ), ( "dark", "\u{1FAF4}🏿" ) ], version = 15 } )
        , ( "leftwards_pushing_hand", { name = "LEFTWARDS PUSHING HAND", native = "\u{1FAF7}", nativeNonQual = "\u{1FAF7}", keywords = [ "high five", "leftward", "leftwards pushing hand", "push", "refuse", "stop", "wait" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF7}🏻" ), ( "mediumLight", "\u{1FAF7}🏼" ), ( "medium", "\u{1FAF7}🏽" ), ( "mediumDark", "\u{1FAF7}🏾" ), ( "dark", "\u{1FAF7}🏿" ) ], version = 15 } )
        , ( "rightwards_pushing_hand", { name = "RIGHTWARDS PUSHING HAND", native = "\u{1FAF8}", nativeNonQual = "\u{1FAF8}", keywords = [ "high five", "push", "refuse", "rightward", "rightwards pushing hand", "stop", "wait" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF8}🏻" ), ( "mediumLight", "\u{1FAF8}🏼" ), ( "medium", "\u{1FAF8}🏽" ), ( "mediumDark", "\u{1FAF8}🏾" ), ( "dark", "\u{1FAF8}🏿" ) ], version = 15 } )
        , ( "ok_hand", { name = "OK HAND SIGN", native = "👌", nativeNonQual = "👌", keywords = [ "hand", "OK" ], skinVariations = Dict.fromList [ ( "light", "👌🏻" ), ( "mediumLight", "👌🏼" ), ( "medium", "👌🏽" ), ( "mediumDark", "👌🏾" ), ( "dark", "👌🏿" ) ], version = 15 } )
        , ( "pinched_fingers", { name = "PINCHED FINGERS", native = "\u{1F90C}", nativeNonQual = "\u{1F90C}", keywords = [ "fingers", "hand gesture", "interrogation", "pinched", "sarcastic" ], skinVariations = Dict.fromList [ ( "light", "\u{1F90C}🏻" ), ( "mediumLight", "\u{1F90C}🏼" ), ( "medium", "\u{1F90C}🏽" ), ( "mediumDark", "\u{1F90C}🏾" ), ( "dark", "\u{1F90C}🏿" ) ], version = 15 } )
        , ( "pinching_hand", { name = "PINCHING HAND", native = "🤏", nativeNonQual = "🤏", keywords = [ "pinching hand", "small amount" ], skinVariations = Dict.fromList [ ( "light", "🤏🏻" ), ( "mediumLight", "🤏🏼" ), ( "medium", "🤏🏽" ), ( "mediumDark", "🤏🏾" ), ( "dark", "🤏🏿" ) ], version = 15 } )
        , ( "v", { name = "VICTORY HAND", native = "✌️", nativeNonQual = "✌", keywords = [], skinVariations = Dict.fromList [ ( "light", "✌🏻" ), ( "mediumLight", "✌🏼" ), ( "medium", "✌🏽" ), ( "mediumDark", "✌🏾" ), ( "dark", "✌🏿" ) ], version = 15 } )
        , ( "crossed_fingers", { name = "HAND WITH INDEX AND MIDDLE FINGERS CROSSED", native = "🤞", nativeNonQual = "🤞", keywords = [ "cross", "crossed fingers", "finger", "hand", "luck" ], skinVariations = Dict.fromList [ ( "light", "🤞🏻" ), ( "mediumLight", "🤞🏼" ), ( "medium", "🤞🏽" ), ( "mediumDark", "🤞🏾" ), ( "dark", "🤞🏿" ) ], version = 15 } )
        , ( "hand_with_index_finger_and_thumb_crossed", { name = "HAND WITH INDEX FINGER AND THUMB CROSSED", native = "\u{1FAF0}", nativeNonQual = "\u{1FAF0}", keywords = [ "expensive", "hand with index finger and thumb crossed", "heart", "love", "money", "snap" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF0}🏻" ), ( "mediumLight", "\u{1FAF0}🏼" ), ( "medium", "\u{1FAF0}🏽" ), ( "mediumDark", "\u{1FAF0}🏾" ), ( "dark", "\u{1FAF0}🏿" ) ], version = 15 } )
        , ( "i_love_you_hand_sign", { name = "I LOVE YOU HAND SIGN", native = "🤟", nativeNonQual = "🤟", keywords = [ "hand", "ILY", "love-you gesture" ], skinVariations = Dict.fromList [ ( "light", "🤟🏻" ), ( "mediumLight", "🤟🏼" ), ( "medium", "🤟🏽" ), ( "mediumDark", "🤟🏾" ), ( "dark", "🤟🏿" ) ], version = 15 } )
        , ( "the_horns", { name = "SIGN OF THE HORNS", native = "🤘", nativeNonQual = "🤘", keywords = [ "finger", "hand", "horns", "rock-on", "sign of the horns" ], skinVariations = Dict.fromList [ ( "light", "🤘🏻" ), ( "mediumLight", "🤘🏼" ), ( "medium", "🤘🏽" ), ( "mediumDark", "🤘🏾" ), ( "dark", "🤘🏿" ) ], version = 15 } )
        , ( "call_me_hand", { name = "CALL ME HAND", native = "🤙", nativeNonQual = "🤙", keywords = [ "call", "call me hand", "hand", "hang loose", "Shaka" ], skinVariations = Dict.fromList [ ( "light", "🤙🏻" ), ( "mediumLight", "🤙🏼" ), ( "medium", "🤙🏽" ), ( "mediumDark", "🤙🏾" ), ( "dark", "🤙🏿" ) ], version = 15 } )
        , ( "point_left", { name = "WHITE LEFT POINTING BACKHAND INDEX", native = "👈", nativeNonQual = "👈", keywords = [ "backhand", "backhand index pointing left", "finger", "hand", "index", "point" ], skinVariations = Dict.fromList [ ( "light", "👈🏻" ), ( "mediumLight", "👈🏼" ), ( "medium", "👈🏽" ), ( "mediumDark", "👈🏾" ), ( "dark", "👈🏿" ) ], version = 15 } )
        , ( "point_right", { name = "WHITE RIGHT POINTING BACKHAND INDEX", native = "👉", nativeNonQual = "👉", keywords = [ "backhand", "backhand index pointing right", "finger", "hand", "index", "point" ], skinVariations = Dict.fromList [ ( "light", "👉🏻" ), ( "mediumLight", "👉🏼" ), ( "medium", "👉🏽" ), ( "mediumDark", "👉🏾" ), ( "dark", "👉🏿" ) ], version = 15 } )
        , ( "point_up_2", { name = "WHITE UP POINTING BACKHAND INDEX", native = "👆", nativeNonQual = "👆", keywords = [ "backhand", "backhand index pointing up", "finger", "hand", "point", "up" ], skinVariations = Dict.fromList [ ( "light", "👆🏻" ), ( "mediumLight", "👆🏼" ), ( "medium", "👆🏽" ), ( "mediumDark", "👆🏾" ), ( "dark", "👆🏿" ) ], version = 15 } )
        , ( "middle_finger", { name = "REVERSED HAND WITH MIDDLE FINGER EXTENDED", native = "🖕", nativeNonQual = "🖕", keywords = [ "finger", "hand", "middle finger" ], skinVariations = Dict.fromList [ ( "light", "🖕🏻" ), ( "mediumLight", "🖕🏼" ), ( "medium", "🖕🏽" ), ( "mediumDark", "🖕🏾" ), ( "dark", "🖕🏿" ) ], version = 15 } )
        , ( "point_down", { name = "WHITE DOWN POINTING BACKHAND INDEX", native = "👇", nativeNonQual = "👇", keywords = [ "backhand", "backhand index pointing down", "down", "finger", "hand", "point" ], skinVariations = Dict.fromList [ ( "light", "👇🏻" ), ( "mediumLight", "👇🏼" ), ( "medium", "👇🏽" ), ( "mediumDark", "👇🏾" ), ( "dark", "👇🏿" ) ], version = 15 } )
        , ( "point_up", { name = "WHITE UP POINTING INDEX", native = "☝️", nativeNonQual = "☝", keywords = [], skinVariations = Dict.fromList [ ( "light", "☝🏻" ), ( "mediumLight", "☝🏼" ), ( "medium", "☝🏽" ), ( "mediumDark", "☝🏾" ), ( "dark", "☝🏿" ) ], version = 15 } )
        , ( "index_pointing_at_the_viewer", { name = "INDEX POINTING AT THE VIEWER", native = "\u{1FAF5}", nativeNonQual = "\u{1FAF5}", keywords = [ "index pointing at the viewer", "point", "you" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF5}🏻" ), ( "mediumLight", "\u{1FAF5}🏼" ), ( "medium", "\u{1FAF5}🏽" ), ( "mediumDark", "\u{1FAF5}🏾" ), ( "dark", "\u{1FAF5}🏿" ) ], version = 15 } )
        , ( "+1", { name = "THUMBS UP SIGN", native = "👍", nativeNonQual = "👍", keywords = [ "+1", "hand", "thumb", "thumbs up", "up" ], skinVariations = Dict.fromList [ ( "light", "👍🏻" ), ( "mediumLight", "👍🏼" ), ( "medium", "👍🏽" ), ( "mediumDark", "👍🏾" ), ( "dark", "👍🏿" ) ], version = 15 } )
        , ( "-1", { name = "THUMBS DOWN SIGN", native = "👎", nativeNonQual = "👎", keywords = [ "-1", "down", "hand", "thumb", "thumbs down" ], skinVariations = Dict.fromList [ ( "light", "👎🏻" ), ( "mediumLight", "👎🏼" ), ( "medium", "👎🏽" ), ( "mediumDark", "👎🏾" ), ( "dark", "👎🏿" ) ], version = 15 } )
        , ( "fist", { name = "RAISED FIST", native = "✊", nativeNonQual = "✊", keywords = [ "clenched", "fist", "hand", "punch", "raised fist" ], skinVariations = Dict.fromList [ ( "light", "✊🏻" ), ( "mediumLight", "✊🏼" ), ( "medium", "✊🏽" ), ( "mediumDark", "✊🏾" ), ( "dark", "✊🏿" ) ], version = 15 } )
        , ( "facepunch", { name = "FISTED HAND SIGN", native = "👊", nativeNonQual = "👊", keywords = [ "clenched", "fist", "hand", "oncoming fist", "punch" ], skinVariations = Dict.fromList [ ( "light", "👊🏻" ), ( "mediumLight", "👊🏼" ), ( "medium", "👊🏽" ), ( "mediumDark", "👊🏾" ), ( "dark", "👊🏿" ) ], version = 15 } )
        , ( "left-facing_fist", { name = "LEFT-FACING FIST", native = "🤛", nativeNonQual = "🤛", keywords = [ "fist", "left-facing fist", "leftwards" ], skinVariations = Dict.fromList [ ( "light", "🤛🏻" ), ( "mediumLight", "🤛🏼" ), ( "medium", "🤛🏽" ), ( "mediumDark", "🤛🏾" ), ( "dark", "🤛🏿" ) ], version = 15 } )
        , ( "right-facing_fist", { name = "RIGHT-FACING FIST", native = "🤜", nativeNonQual = "🤜", keywords = [ "fist", "right-facing fist", "rightwards" ], skinVariations = Dict.fromList [ ( "light", "🤜🏻" ), ( "mediumLight", "🤜🏼" ), ( "medium", "🤜🏽" ), ( "mediumDark", "🤜🏾" ), ( "dark", "🤜🏿" ) ], version = 15 } )
        , ( "clap", { name = "CLAPPING HANDS SIGN", native = "👏", nativeNonQual = "👏", keywords = [ "clap", "clapping hands", "hand" ], skinVariations = Dict.fromList [ ( "light", "👏🏻" ), ( "mediumLight", "👏🏼" ), ( "medium", "👏🏽" ), ( "mediumDark", "👏🏾" ), ( "dark", "👏🏿" ) ], version = 15 } )
        , ( "raised_hands", { name = "PERSON RAISING BOTH HANDS IN CELEBRATION", native = "🙌", nativeNonQual = "🙌", keywords = [ "celebration", "gesture", "hand", "hooray", "raised", "raising hands" ], skinVariations = Dict.fromList [ ( "light", "🙌🏻" ), ( "mediumLight", "🙌🏼" ), ( "medium", "🙌🏽" ), ( "mediumDark", "🙌🏾" ), ( "dark", "🙌🏿" ) ], version = 15 } )
        , ( "heart_hands", { name = "HEART HANDS", native = "\u{1FAF6}", nativeNonQual = "\u{1FAF6}", keywords = [ "heart hands", "love" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAF6}🏻" ), ( "mediumLight", "\u{1FAF6}🏼" ), ( "medium", "\u{1FAF6}🏽" ), ( "mediumDark", "\u{1FAF6}🏾" ), ( "dark", "\u{1FAF6}🏿" ) ], version = 15 } )
        , ( "open_hands", { name = "OPEN HANDS SIGN", native = "👐", nativeNonQual = "👐", keywords = [ "hand", "open", "open hands" ], skinVariations = Dict.fromList [ ( "light", "👐🏻" ), ( "mediumLight", "👐🏼" ), ( "medium", "👐🏽" ), ( "mediumDark", "👐🏾" ), ( "dark", "👐🏿" ) ], version = 15 } )
        , ( "palms_up_together", { name = "PALMS UP TOGETHER", native = "🤲", nativeNonQual = "🤲", keywords = [ "palms up together", "prayer" ], skinVariations = Dict.fromList [ ( "light", "🤲🏻" ), ( "mediumLight", "🤲🏼" ), ( "medium", "🤲🏽" ), ( "mediumDark", "🤲🏾" ), ( "dark", "🤲🏿" ) ], version = 15 } )
        , ( "handshake", { name = "HANDSHAKE", native = "🤝", nativeNonQual = "🤝", keywords = [ "agreement", "hand", "handshake", "meeting", "shake" ], skinVariations = Dict.fromList [ ( "light", "🤝🏻" ), ( "mediumLight", "🤝🏼" ), ( "medium", "🤝🏽" ), ( "mediumDark", "🤝🏾" ), ( "dark", "🤝🏿" ) ], version = 15 } )
        , ( "pray", { name = "PERSON WITH FOLDED HANDS", native = "🙏", nativeNonQual = "🙏", keywords = [ "ask", "folded hands", "hand", "high 5", "high five", "please", "pray", "thanks" ], skinVariations = Dict.fromList [ ( "light", "🙏🏻" ), ( "mediumLight", "🙏🏼" ), ( "medium", "🙏🏽" ), ( "mediumDark", "🙏🏾" ), ( "dark", "🙏🏿" ) ], version = 15 } )
        , ( "writing_hand", { name = "WRITING HAND", native = "✍️", nativeNonQual = "✍", keywords = [], skinVariations = Dict.fromList [ ( "light", "✍🏻" ), ( "mediumLight", "✍🏼" ), ( "medium", "✍🏽" ), ( "mediumDark", "✍🏾" ), ( "dark", "✍🏿" ) ], version = 15 } )
        , ( "nail_care", { name = "NAIL POLISH", native = "💅", nativeNonQual = "💅", keywords = [ "care", "cosmetics", "manicure", "nail", "polish" ], skinVariations = Dict.fromList [ ( "light", "💅🏻" ), ( "mediumLight", "💅🏼" ), ( "medium", "💅🏽" ), ( "mediumDark", "💅🏾" ), ( "dark", "💅🏿" ) ], version = 15 } )
        , ( "selfie", { name = "SELFIE", native = "🤳", nativeNonQual = "🤳", keywords = [ "camera", "phone", "selfie" ], skinVariations = Dict.fromList [ ( "light", "🤳🏻" ), ( "mediumLight", "🤳🏼" ), ( "medium", "🤳🏽" ), ( "mediumDark", "🤳🏾" ), ( "dark", "🤳🏿" ) ], version = 15 } )
        , ( "muscle", { name = "FLEXED BICEPS", native = "💪", nativeNonQual = "💪", keywords = [ "biceps", "comic", "flex", "flexed biceps", "muscle" ], skinVariations = Dict.fromList [ ( "light", "💪🏻" ), ( "mediumLight", "💪🏼" ), ( "medium", "💪🏽" ), ( "mediumDark", "💪🏾" ), ( "dark", "💪🏿" ) ], version = 15 } )
        , ( "mechanical_arm", { name = "MECHANICAL ARM", native = "🦾", nativeNonQual = "🦾", keywords = [ "accessibility", "mechanical arm", "prosthetic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mechanical_leg", { name = "MECHANICAL LEG", native = "🦿", nativeNonQual = "🦿", keywords = [ "accessibility", "mechanical leg", "prosthetic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "leg", { name = "LEG", native = "🦵", nativeNonQual = "🦵", keywords = [ "kick", "leg", "limb" ], skinVariations = Dict.fromList [ ( "light", "🦵🏻" ), ( "mediumLight", "🦵🏼" ), ( "medium", "🦵🏽" ), ( "mediumDark", "🦵🏾" ), ( "dark", "🦵🏿" ) ], version = 15 } )
        , ( "foot", { name = "FOOT", native = "🦶", nativeNonQual = "🦶", keywords = [ "foot", "kick", "stomp" ], skinVariations = Dict.fromList [ ( "light", "🦶🏻" ), ( "mediumLight", "🦶🏼" ), ( "medium", "🦶🏽" ), ( "mediumDark", "🦶🏾" ), ( "dark", "🦶🏿" ) ], version = 15 } )
        , ( "ear", { name = "EAR", native = "👂", nativeNonQual = "👂", keywords = [ "body", "ear" ], skinVariations = Dict.fromList [ ( "light", "👂🏻" ), ( "mediumLight", "👂🏼" ), ( "medium", "👂🏽" ), ( "mediumDark", "👂🏾" ), ( "dark", "👂🏿" ) ], version = 15 } )
        , ( "ear_with_hearing_aid", { name = "EAR WITH HEARING AID", native = "🦻", nativeNonQual = "🦻", keywords = [ "accessibility", "ear with hearing aid", "hard of hearing" ], skinVariations = Dict.fromList [ ( "light", "🦻🏻" ), ( "mediumLight", "🦻🏼" ), ( "medium", "🦻🏽" ), ( "mediumDark", "🦻🏾" ), ( "dark", "🦻🏿" ) ], version = 15 } )
        , ( "nose", { name = "NOSE", native = "👃", nativeNonQual = "👃", keywords = [ "body", "nose" ], skinVariations = Dict.fromList [ ( "light", "👃🏻" ), ( "mediumLight", "👃🏼" ), ( "medium", "👃🏽" ), ( "mediumDark", "👃🏾" ), ( "dark", "👃🏿" ) ], version = 15 } )
        , ( "brain", { name = "BRAIN", native = "🧠", nativeNonQual = "🧠", keywords = [ "brain", "intelligent" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "anatomical_heart", { name = "ANATOMICAL HEART", native = "\u{1FAC0}", nativeNonQual = "\u{1FAC0}", keywords = [ "anatomical", "cardiology", "heart", "organ", "pulse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lungs", { name = "LUNGS", native = "\u{1FAC1}", nativeNonQual = "\u{1FAC1}", keywords = [ "breath", "exhalation", "inhalation", "lungs", "organ", "respiration" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tooth", { name = "TOOTH", native = "🦷", nativeNonQual = "🦷", keywords = [ "dentist", "tooth" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bone", { name = "BONE", native = "🦴", nativeNonQual = "🦴", keywords = [ "bone", "skeleton" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eyes", { name = "EYES", native = "👀", nativeNonQual = "👀", keywords = [ "eye", "eyes", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eye", { name = "EYE", native = "👁️", nativeNonQual = "👁", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tongue", { name = "TONGUE", native = "👅", nativeNonQual = "👅", keywords = [ "body", "tongue" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lips", { name = "MOUTH", native = "👄", nativeNonQual = "👄", keywords = [ "lips", "mouth" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "biting_lip", { name = "BITING LIP", native = "\u{1FAE6}", nativeNonQual = "\u{1FAE6}", keywords = [ "anxious", "biting lip", "fear", "flirting", "nervous", "uncomfortable", "worried" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baby", { name = "BABY", native = "👶", nativeNonQual = "👶", keywords = [ "baby", "young" ], skinVariations = Dict.fromList [ ( "light", "👶🏻" ), ( "mediumLight", "👶🏼" ), ( "medium", "👶🏽" ), ( "mediumDark", "👶🏾" ), ( "dark", "👶🏿" ) ], version = 15 } )
        , ( "child", { name = "CHILD", native = "🧒", nativeNonQual = "🧒", keywords = [ "child", "gender-neutral", "unspecified gender", "young" ], skinVariations = Dict.fromList [ ( "light", "🧒🏻" ), ( "mediumLight", "🧒🏼" ), ( "medium", "🧒🏽" ), ( "mediumDark", "🧒🏾" ), ( "dark", "🧒🏿" ) ], version = 15 } )
        , ( "boy", { name = "BOY", native = "👦", nativeNonQual = "👦", keywords = [ "boy", "young" ], skinVariations = Dict.fromList [ ( "light", "👦🏻" ), ( "mediumLight", "👦🏼" ), ( "medium", "👦🏽" ), ( "mediumDark", "👦🏾" ), ( "dark", "👦🏿" ) ], version = 15 } )
        , ( "girl", { name = "GIRL", native = "👧", nativeNonQual = "👧", keywords = [ "girl", "Virgo", "young", "zodiac" ], skinVariations = Dict.fromList [ ( "light", "👧🏻" ), ( "mediumLight", "👧🏼" ), ( "medium", "👧🏽" ), ( "mediumDark", "👧🏾" ), ( "dark", "👧🏿" ) ], version = 15 } )
        , ( "adult", { name = "ADULT", native = "🧑", nativeNonQual = "🧑", keywords = [ "adult", "gender-neutral", "person", "unspecified gender" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻" ), ( "mediumLight", "🧑🏼" ), ( "medium", "🧑🏽" ), ( "mediumDark", "🧑🏾" ), ( "dark", "🧑🏿" ) ], version = 15 } )
        , ( "person_with_blond_hair", { name = "PERSON WITH BLOND HAIR", native = "👱", nativeNonQual = "👱", keywords = [ "blond", "blond-haired person", "hair", "person: blond hair" ], skinVariations = Dict.fromList [ ( "light", "👱🏻" ), ( "mediumLight", "👱🏼" ), ( "medium", "👱🏽" ), ( "mediumDark", "👱🏾" ), ( "dark", "👱🏿" ) ], version = 15 } )
        , ( "man", { name = "MAN", native = "👨", nativeNonQual = "👨", keywords = [ "adult", "man" ], skinVariations = Dict.fromList [ ( "light", "👨🏻" ), ( "mediumLight", "👨🏼" ), ( "medium", "👨🏽" ), ( "mediumDark", "👨🏾" ), ( "dark", "👨🏿" ) ], version = 15 } )
        , ( "bearded_person", { name = "BEARDED PERSON", native = "🧔", nativeNonQual = "🧔", keywords = [ "beard", "person", "person: beard" ], skinVariations = Dict.fromList [ ( "light", "🧔🏻" ), ( "mediumLight", "🧔🏼" ), ( "medium", "🧔🏽" ), ( "mediumDark", "🧔🏾" ), ( "dark", "🧔🏿" ) ], version = 15 } )
        , ( "man_with_beard", { name = "MAN: BEARD", native = "🧔\u{200D}♂️", nativeNonQual = "🧔\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧔🏻\u{200D}♂️" ), ( "mediumLight", "🧔🏼\u{200D}♂️" ), ( "medium", "🧔🏽\u{200D}♂️" ), ( "mediumDark", "🧔🏾\u{200D}♂️" ), ( "dark", "🧔🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_with_beard", { name = "WOMAN: BEARD", native = "🧔\u{200D}♀️", nativeNonQual = "🧔\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧔🏻\u{200D}♀️" ), ( "mediumLight", "🧔🏼\u{200D}♀️" ), ( "medium", "🧔🏽\u{200D}♀️" ), ( "mediumDark", "🧔🏾\u{200D}♀️" ), ( "dark", "🧔🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "red_haired_man", { name = "MAN: RED HAIR", native = "👨\u{200D}🦰", nativeNonQual = "👨\u{200D}🦰", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦰" ), ( "mediumLight", "👨🏼\u{200D}🦰" ), ( "medium", "👨🏽\u{200D}🦰" ), ( "mediumDark", "👨🏾\u{200D}🦰" ), ( "dark", "👨🏿\u{200D}🦰" ) ], version = 15 } )
        , ( "curly_haired_man", { name = "MAN: CURLY HAIR", native = "👨\u{200D}🦱", nativeNonQual = "👨\u{200D}🦱", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦱" ), ( "mediumLight", "👨🏼\u{200D}🦱" ), ( "medium", "👨🏽\u{200D}🦱" ), ( "mediumDark", "👨🏾\u{200D}🦱" ), ( "dark", "👨🏿\u{200D}🦱" ) ], version = 15 } )
        , ( "white_haired_man", { name = "MAN: WHITE HAIR", native = "👨\u{200D}🦳", nativeNonQual = "👨\u{200D}🦳", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦳" ), ( "mediumLight", "👨🏼\u{200D}🦳" ), ( "medium", "👨🏽\u{200D}🦳" ), ( "mediumDark", "👨🏾\u{200D}🦳" ), ( "dark", "👨🏿\u{200D}🦳" ) ], version = 15 } )
        , ( "bald_man", { name = "MAN: BALD", native = "👨\u{200D}🦲", nativeNonQual = "👨\u{200D}🦲", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦲" ), ( "mediumLight", "👨🏼\u{200D}🦲" ), ( "medium", "👨🏽\u{200D}🦲" ), ( "mediumDark", "👨🏾\u{200D}🦲" ), ( "dark", "👨🏿\u{200D}🦲" ) ], version = 15 } )
        , ( "woman", { name = "WOMAN", native = "👩", nativeNonQual = "👩", keywords = [ "adult", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻" ), ( "mediumLight", "👩🏼" ), ( "medium", "👩🏽" ), ( "mediumDark", "👩🏾" ), ( "dark", "👩🏿" ) ], version = 15 } )
        , ( "red_haired_woman", { name = "WOMAN: RED HAIR", native = "👩\u{200D}🦰", nativeNonQual = "👩\u{200D}🦰", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦰" ), ( "mediumLight", "👩🏼\u{200D}🦰" ), ( "medium", "👩🏽\u{200D}🦰" ), ( "mediumDark", "👩🏾\u{200D}🦰" ), ( "dark", "👩🏿\u{200D}🦰" ) ], version = 15 } )
        , ( "red_haired_person", { name = "PERSON: RED HAIR", native = "🧑\u{200D}🦰", nativeNonQual = "🧑\u{200D}🦰", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦰" ), ( "mediumLight", "🧑🏼\u{200D}🦰" ), ( "medium", "🧑🏽\u{200D}🦰" ), ( "mediumDark", "🧑🏾\u{200D}🦰" ), ( "dark", "🧑🏿\u{200D}🦰" ) ], version = 15 } )
        , ( "curly_haired_woman", { name = "WOMAN: CURLY HAIR", native = "👩\u{200D}🦱", nativeNonQual = "👩\u{200D}🦱", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦱" ), ( "mediumLight", "👩🏼\u{200D}🦱" ), ( "medium", "👩🏽\u{200D}🦱" ), ( "mediumDark", "👩🏾\u{200D}🦱" ), ( "dark", "👩🏿\u{200D}🦱" ) ], version = 15 } )
        , ( "curly_haired_person", { name = "PERSON: CURLY HAIR", native = "🧑\u{200D}🦱", nativeNonQual = "🧑\u{200D}🦱", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦱" ), ( "mediumLight", "🧑🏼\u{200D}🦱" ), ( "medium", "🧑🏽\u{200D}🦱" ), ( "mediumDark", "🧑🏾\u{200D}🦱" ), ( "dark", "🧑🏿\u{200D}🦱" ) ], version = 15 } )
        , ( "white_haired_woman", { name = "WOMAN: WHITE HAIR", native = "👩\u{200D}🦳", nativeNonQual = "👩\u{200D}🦳", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦳" ), ( "mediumLight", "👩🏼\u{200D}🦳" ), ( "medium", "👩🏽\u{200D}🦳" ), ( "mediumDark", "👩🏾\u{200D}🦳" ), ( "dark", "👩🏿\u{200D}🦳" ) ], version = 15 } )
        , ( "white_haired_person", { name = "PERSON: WHITE HAIR", native = "🧑\u{200D}🦳", nativeNonQual = "🧑\u{200D}🦳", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦳" ), ( "mediumLight", "🧑🏼\u{200D}🦳" ), ( "medium", "🧑🏽\u{200D}🦳" ), ( "mediumDark", "🧑🏾\u{200D}🦳" ), ( "dark", "🧑🏿\u{200D}🦳" ) ], version = 15 } )
        , ( "bald_woman", { name = "WOMAN: BALD", native = "👩\u{200D}🦲", nativeNonQual = "👩\u{200D}🦲", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦲" ), ( "mediumLight", "👩🏼\u{200D}🦲" ), ( "medium", "👩🏽\u{200D}🦲" ), ( "mediumDark", "👩🏾\u{200D}🦲" ), ( "dark", "👩🏿\u{200D}🦲" ) ], version = 15 } )
        , ( "bald_person", { name = "PERSON: BALD", native = "🧑\u{200D}🦲", nativeNonQual = "🧑\u{200D}🦲", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦲" ), ( "mediumLight", "🧑🏼\u{200D}🦲" ), ( "medium", "🧑🏽\u{200D}🦲" ), ( "mediumDark", "🧑🏾\u{200D}🦲" ), ( "dark", "🧑🏿\u{200D}🦲" ) ], version = 15 } )
        , ( "blond-haired-woman", { name = "WOMAN: BLOND HAIR", native = "👱\u{200D}♀️", nativeNonQual = "👱\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "👱🏻\u{200D}♀️" ), ( "mediumLight", "👱🏼\u{200D}♀️" ), ( "medium", "👱🏽\u{200D}♀️" ), ( "mediumDark", "👱🏾\u{200D}♀️" ), ( "dark", "👱🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "blond-haired-man", { name = "MAN: BLOND HAIR", native = "👱\u{200D}♂️", nativeNonQual = "👱\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "👱🏻\u{200D}♂️" ), ( "mediumLight", "👱🏼\u{200D}♂️" ), ( "medium", "👱🏽\u{200D}♂️" ), ( "mediumDark", "👱🏾\u{200D}♂️" ), ( "dark", "👱🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "older_adult", { name = "OLDER ADULT", native = "🧓", nativeNonQual = "🧓", keywords = [ "adult", "gender-neutral", "old", "older person", "unspecified gender" ], skinVariations = Dict.fromList [ ( "light", "🧓🏻" ), ( "mediumLight", "🧓🏼" ), ( "medium", "🧓🏽" ), ( "mediumDark", "🧓🏾" ), ( "dark", "🧓🏿" ) ], version = 15 } )
        , ( "older_man", { name = "OLDER MAN", native = "👴", nativeNonQual = "👴", keywords = [ "adult", "man", "old" ], skinVariations = Dict.fromList [ ( "light", "👴🏻" ), ( "mediumLight", "👴🏼" ), ( "medium", "👴🏽" ), ( "mediumDark", "👴🏾" ), ( "dark", "👴🏿" ) ], version = 15 } )
        , ( "older_woman", { name = "OLDER WOMAN", native = "👵", nativeNonQual = "👵", keywords = [ "adult", "old", "woman" ], skinVariations = Dict.fromList [ ( "light", "👵🏻" ), ( "mediumLight", "👵🏼" ), ( "medium", "👵🏽" ), ( "mediumDark", "👵🏾" ), ( "dark", "👵🏿" ) ], version = 15 } )
        , ( "person_frowning", { name = "PERSON FROWNING", native = "🙍", nativeNonQual = "🙍", keywords = [ "frown", "gesture", "person frowning" ], skinVariations = Dict.fromList [ ( "light", "🙍🏻" ), ( "mediumLight", "🙍🏼" ), ( "medium", "🙍🏽" ), ( "mediumDark", "🙍🏾" ), ( "dark", "🙍🏿" ) ], version = 15 } )
        , ( "man-frowning", { name = "MAN FROWNING", native = "🙍\u{200D}♂️", nativeNonQual = "🙍\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙍🏻\u{200D}♂️" ), ( "mediumLight", "🙍🏼\u{200D}♂️" ), ( "medium", "🙍🏽\u{200D}♂️" ), ( "mediumDark", "🙍🏾\u{200D}♂️" ), ( "dark", "🙍🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-frowning", { name = "WOMAN FROWNING", native = "🙍\u{200D}♀️", nativeNonQual = "🙍\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙍🏻\u{200D}♀️" ), ( "mediumLight", "🙍🏼\u{200D}♀️" ), ( "medium", "🙍🏽\u{200D}♀️" ), ( "mediumDark", "🙍🏾\u{200D}♀️" ), ( "dark", "🙍🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_with_pouting_face", { name = "PERSON WITH POUTING FACE", native = "🙎", nativeNonQual = "🙎", keywords = [ "gesture", "person pouting", "pouting" ], skinVariations = Dict.fromList [ ( "light", "🙎🏻" ), ( "mediumLight", "🙎🏼" ), ( "medium", "🙎🏽" ), ( "mediumDark", "🙎🏾" ), ( "dark", "🙎🏿" ) ], version = 15 } )
        , ( "man-pouting", { name = "MAN POUTING", native = "🙎\u{200D}♂️", nativeNonQual = "🙎\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙎🏻\u{200D}♂️" ), ( "mediumLight", "🙎🏼\u{200D}♂️" ), ( "medium", "🙎🏽\u{200D}♂️" ), ( "mediumDark", "🙎🏾\u{200D}♂️" ), ( "dark", "🙎🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-pouting", { name = "WOMAN POUTING", native = "🙎\u{200D}♀️", nativeNonQual = "🙎\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙎🏻\u{200D}♀️" ), ( "mediumLight", "🙎🏼\u{200D}♀️" ), ( "medium", "🙎🏽\u{200D}♀️" ), ( "mediumDark", "🙎🏾\u{200D}♀️" ), ( "dark", "🙎🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "no_good", { name = "FACE WITH NO GOOD GESTURE", native = "🙅", nativeNonQual = "🙅", keywords = [ "forbidden", "gesture", "hand", "person gesturing NO", "prohibited" ], skinVariations = Dict.fromList [ ( "light", "🙅🏻" ), ( "mediumLight", "🙅🏼" ), ( "medium", "🙅🏽" ), ( "mediumDark", "🙅🏾" ), ( "dark", "🙅🏿" ) ], version = 15 } )
        , ( "man-gesturing-no", { name = "MAN GESTURING NO", native = "🙅\u{200D}♂️", nativeNonQual = "🙅\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙅🏻\u{200D}♂️" ), ( "mediumLight", "🙅🏼\u{200D}♂️" ), ( "medium", "🙅🏽\u{200D}♂️" ), ( "mediumDark", "🙅🏾\u{200D}♂️" ), ( "dark", "🙅🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-gesturing-no", { name = "WOMAN GESTURING NO", native = "🙅\u{200D}♀️", nativeNonQual = "🙅\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙅🏻\u{200D}♀️" ), ( "mediumLight", "🙅🏼\u{200D}♀️" ), ( "medium", "🙅🏽\u{200D}♀️" ), ( "mediumDark", "🙅🏾\u{200D}♀️" ), ( "dark", "🙅🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "ok_woman", { name = "FACE WITH OK GESTURE", native = "🙆", nativeNonQual = "🙆", keywords = [ "gesture", "hand", "OK", "person gesturing OK" ], skinVariations = Dict.fromList [ ( "light", "🙆🏻" ), ( "mediumLight", "🙆🏼" ), ( "medium", "🙆🏽" ), ( "mediumDark", "🙆🏾" ), ( "dark", "🙆🏿" ) ], version = 15 } )
        , ( "man-gesturing-ok", { name = "MAN GESTURING OK", native = "🙆\u{200D}♂️", nativeNonQual = "🙆\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙆🏻\u{200D}♂️" ), ( "mediumLight", "🙆🏼\u{200D}♂️" ), ( "medium", "🙆🏽\u{200D}♂️" ), ( "mediumDark", "🙆🏾\u{200D}♂️" ), ( "dark", "🙆🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-gesturing-ok", { name = "WOMAN GESTURING OK", native = "🙆\u{200D}♀️", nativeNonQual = "🙆\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙆🏻\u{200D}♀️" ), ( "mediumLight", "🙆🏼\u{200D}♀️" ), ( "medium", "🙆🏽\u{200D}♀️" ), ( "mediumDark", "🙆🏾\u{200D}♀️" ), ( "dark", "🙆🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "information_desk_person", { name = "INFORMATION DESK PERSON", native = "💁", nativeNonQual = "💁", keywords = [ "hand", "help", "information", "person tipping hand", "sassy", "tipping" ], skinVariations = Dict.fromList [ ( "light", "💁🏻" ), ( "mediumLight", "💁🏼" ), ( "medium", "💁🏽" ), ( "mediumDark", "💁🏾" ), ( "dark", "💁🏿" ) ], version = 15 } )
        , ( "man-tipping-hand", { name = "MAN TIPPING HAND", native = "💁\u{200D}♂️", nativeNonQual = "💁\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "💁🏻\u{200D}♂️" ), ( "mediumLight", "💁🏼\u{200D}♂️" ), ( "medium", "💁🏽\u{200D}♂️" ), ( "mediumDark", "💁🏾\u{200D}♂️" ), ( "dark", "💁🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-tipping-hand", { name = "WOMAN TIPPING HAND", native = "💁\u{200D}♀️", nativeNonQual = "💁\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "💁🏻\u{200D}♀️" ), ( "mediumLight", "💁🏼\u{200D}♀️" ), ( "medium", "💁🏽\u{200D}♀️" ), ( "mediumDark", "💁🏾\u{200D}♀️" ), ( "dark", "💁🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "raising_hand", { name = "HAPPY PERSON RAISING ONE HAND", native = "🙋", nativeNonQual = "🙋", keywords = [ "gesture", "hand", "happy", "person raising hand", "raised" ], skinVariations = Dict.fromList [ ( "light", "🙋🏻" ), ( "mediumLight", "🙋🏼" ), ( "medium", "🙋🏽" ), ( "mediumDark", "🙋🏾" ), ( "dark", "🙋🏿" ) ], version = 15 } )
        , ( "man-raising-hand", { name = "MAN RAISING HAND", native = "🙋\u{200D}♂️", nativeNonQual = "🙋\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙋🏻\u{200D}♂️" ), ( "mediumLight", "🙋🏼\u{200D}♂️" ), ( "medium", "🙋🏽\u{200D}♂️" ), ( "mediumDark", "🙋🏾\u{200D}♂️" ), ( "dark", "🙋🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-raising-hand", { name = "WOMAN RAISING HAND", native = "🙋\u{200D}♀️", nativeNonQual = "🙋\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙋🏻\u{200D}♀️" ), ( "mediumLight", "🙋🏼\u{200D}♀️" ), ( "medium", "🙋🏽\u{200D}♀️" ), ( "mediumDark", "🙋🏾\u{200D}♀️" ), ( "dark", "🙋🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "deaf_person", { name = "DEAF PERSON", native = "🧏", nativeNonQual = "🧏", keywords = [ "accessibility", "deaf", "deaf person", "ear", "hear" ], skinVariations = Dict.fromList [ ( "light", "🧏🏻" ), ( "mediumLight", "🧏🏼" ), ( "medium", "🧏🏽" ), ( "mediumDark", "🧏🏾" ), ( "dark", "🧏🏿" ) ], version = 15 } )
        , ( "deaf_man", { name = "DEAF MAN", native = "🧏\u{200D}♂️", nativeNonQual = "🧏\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧏🏻\u{200D}♂️" ), ( "mediumLight", "🧏🏼\u{200D}♂️" ), ( "medium", "🧏🏽\u{200D}♂️" ), ( "mediumDark", "🧏🏾\u{200D}♂️" ), ( "dark", "🧏🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "deaf_woman", { name = "DEAF WOMAN", native = "🧏\u{200D}♀️", nativeNonQual = "🧏\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧏🏻\u{200D}♀️" ), ( "mediumLight", "🧏🏼\u{200D}♀️" ), ( "medium", "🧏🏽\u{200D}♀️" ), ( "mediumDark", "🧏🏾\u{200D}♀️" ), ( "dark", "🧏🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "bow", { name = "PERSON BOWING DEEPLY", native = "🙇", nativeNonQual = "🙇", keywords = [ "apology", "bow", "gesture", "person bowing", "sorry" ], skinVariations = Dict.fromList [ ( "light", "🙇🏻" ), ( "mediumLight", "🙇🏼" ), ( "medium", "🙇🏽" ), ( "mediumDark", "🙇🏾" ), ( "dark", "🙇🏿" ) ], version = 15 } )
        , ( "man-bowing", { name = "MAN BOWING", native = "🙇\u{200D}♂️", nativeNonQual = "🙇\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙇🏻\u{200D}♂️" ), ( "mediumLight", "🙇🏼\u{200D}♂️" ), ( "medium", "🙇🏽\u{200D}♂️" ), ( "mediumDark", "🙇🏾\u{200D}♂️" ), ( "dark", "🙇🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-bowing", { name = "WOMAN BOWING", native = "🙇\u{200D}♀️", nativeNonQual = "🙇\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🙇🏻\u{200D}♀️" ), ( "mediumLight", "🙇🏼\u{200D}♀️" ), ( "medium", "🙇🏽\u{200D}♀️" ), ( "mediumDark", "🙇🏾\u{200D}♀️" ), ( "dark", "🙇🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "face_palm", { name = "FACE PALM", native = "🤦", nativeNonQual = "🤦", keywords = [ "disbelief", "exasperation", "face", "palm", "person facepalming" ], skinVariations = Dict.fromList [ ( "light", "🤦🏻" ), ( "mediumLight", "🤦🏼" ), ( "medium", "🤦🏽" ), ( "mediumDark", "🤦🏾" ), ( "dark", "🤦🏿" ) ], version = 15 } )
        , ( "man-facepalming", { name = "MAN FACEPALMING", native = "🤦\u{200D}♂️", nativeNonQual = "🤦\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤦🏻\u{200D}♂️" ), ( "mediumLight", "🤦🏼\u{200D}♂️" ), ( "medium", "🤦🏽\u{200D}♂️" ), ( "mediumDark", "🤦🏾\u{200D}♂️" ), ( "dark", "🤦🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-facepalming", { name = "WOMAN FACEPALMING", native = "🤦\u{200D}♀️", nativeNonQual = "🤦\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤦🏻\u{200D}♀️" ), ( "mediumLight", "🤦🏼\u{200D}♀️" ), ( "medium", "🤦🏽\u{200D}♀️" ), ( "mediumDark", "🤦🏾\u{200D}♀️" ), ( "dark", "🤦🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "shrug", { name = "SHRUG", native = "🤷", nativeNonQual = "🤷", keywords = [ "doubt", "ignorance", "indifference", "person shrugging", "shrug" ], skinVariations = Dict.fromList [ ( "light", "🤷🏻" ), ( "mediumLight", "🤷🏼" ), ( "medium", "🤷🏽" ), ( "mediumDark", "🤷🏾" ), ( "dark", "🤷🏿" ) ], version = 15 } )
        , ( "man-shrugging", { name = "MAN SHRUGGING", native = "🤷\u{200D}♂️", nativeNonQual = "🤷\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤷🏻\u{200D}♂️" ), ( "mediumLight", "🤷🏼\u{200D}♂️" ), ( "medium", "🤷🏽\u{200D}♂️" ), ( "mediumDark", "🤷🏾\u{200D}♂️" ), ( "dark", "🤷🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-shrugging", { name = "WOMAN SHRUGGING", native = "🤷\u{200D}♀️", nativeNonQual = "🤷\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤷🏻\u{200D}♀️" ), ( "mediumLight", "🤷🏼\u{200D}♀️" ), ( "medium", "🤷🏽\u{200D}♀️" ), ( "mediumDark", "🤷🏾\u{200D}♀️" ), ( "dark", "🤷🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "health_worker", { name = "HEALTH WORKER", native = "🧑\u{200D}⚕️", nativeNonQual = "🧑\u{200D}⚕", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}⚕️" ), ( "mediumLight", "🧑🏼\u{200D}⚕️" ), ( "medium", "🧑🏽\u{200D}⚕️" ), ( "mediumDark", "🧑🏾\u{200D}⚕️" ), ( "dark", "🧑🏿\u{200D}⚕️" ) ], version = 15 } )
        , ( "male-doctor", { name = "MAN HEALTH WORKER", native = "👨\u{200D}⚕️", nativeNonQual = "👨\u{200D}⚕", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}⚕️" ), ( "mediumLight", "👨🏼\u{200D}⚕️" ), ( "medium", "👨🏽\u{200D}⚕️" ), ( "mediumDark", "👨🏾\u{200D}⚕️" ), ( "dark", "👨🏿\u{200D}⚕️" ) ], version = 15 } )
        , ( "female-doctor", { name = "WOMAN HEALTH WORKER", native = "👩\u{200D}⚕️", nativeNonQual = "👩\u{200D}⚕", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}⚕️" ), ( "mediumLight", "👩🏼\u{200D}⚕️" ), ( "medium", "👩🏽\u{200D}⚕️" ), ( "mediumDark", "👩🏾\u{200D}⚕️" ), ( "dark", "👩🏿\u{200D}⚕️" ) ], version = 15 } )
        , ( "student", { name = "STUDENT", native = "🧑\u{200D}🎓", nativeNonQual = "🧑\u{200D}🎓", keywords = [ "graduate", "student" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🎓" ), ( "mediumLight", "🧑🏼\u{200D}🎓" ), ( "medium", "🧑🏽\u{200D}🎓" ), ( "mediumDark", "🧑🏾\u{200D}🎓" ), ( "dark", "🧑🏿\u{200D}🎓" ) ], version = 15 } )
        , ( "male-student", { name = "MAN STUDENT", native = "👨\u{200D}🎓", nativeNonQual = "👨\u{200D}🎓", keywords = [ "graduate", "man", "student" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🎓" ), ( "mediumLight", "👨🏼\u{200D}🎓" ), ( "medium", "👨🏽\u{200D}🎓" ), ( "mediumDark", "👨🏾\u{200D}🎓" ), ( "dark", "👨🏿\u{200D}🎓" ) ], version = 15 } )
        , ( "female-student", { name = "WOMAN STUDENT", native = "👩\u{200D}🎓", nativeNonQual = "👩\u{200D}🎓", keywords = [ "graduate", "student", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🎓" ), ( "mediumLight", "👩🏼\u{200D}🎓" ), ( "medium", "👩🏽\u{200D}🎓" ), ( "mediumDark", "👩🏾\u{200D}🎓" ), ( "dark", "👩🏿\u{200D}🎓" ) ], version = 15 } )
        , ( "teacher", { name = "TEACHER", native = "🧑\u{200D}🏫", nativeNonQual = "🧑\u{200D}🏫", keywords = [ "instructor", "lecturer", "professor", "teacher" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🏫" ), ( "mediumLight", "🧑🏼\u{200D}🏫" ), ( "medium", "🧑🏽\u{200D}🏫" ), ( "mediumDark", "🧑🏾\u{200D}🏫" ), ( "dark", "🧑🏿\u{200D}🏫" ) ], version = 15 } )
        , ( "male-teacher", { name = "MAN TEACHER", native = "👨\u{200D}🏫", nativeNonQual = "👨\u{200D}🏫", keywords = [ "instructor", "lecturer", "man", "professor", "teacher" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🏫" ), ( "mediumLight", "👨🏼\u{200D}🏫" ), ( "medium", "👨🏽\u{200D}🏫" ), ( "mediumDark", "👨🏾\u{200D}🏫" ), ( "dark", "👨🏿\u{200D}🏫" ) ], version = 15 } )
        , ( "female-teacher", { name = "WOMAN TEACHER", native = "👩\u{200D}🏫", nativeNonQual = "👩\u{200D}🏫", keywords = [ "instructor", "lecturer", "professor", "teacher", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🏫" ), ( "mediumLight", "👩🏼\u{200D}🏫" ), ( "medium", "👩🏽\u{200D}🏫" ), ( "mediumDark", "👩🏾\u{200D}🏫" ), ( "dark", "👩🏿\u{200D}🏫" ) ], version = 15 } )
        , ( "judge", { name = "JUDGE", native = "🧑\u{200D}⚖️", nativeNonQual = "🧑\u{200D}⚖", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}⚖️" ), ( "mediumLight", "🧑🏼\u{200D}⚖️" ), ( "medium", "🧑🏽\u{200D}⚖️" ), ( "mediumDark", "🧑🏾\u{200D}⚖️" ), ( "dark", "🧑🏿\u{200D}⚖️" ) ], version = 15 } )
        , ( "male-judge", { name = "MAN JUDGE", native = "👨\u{200D}⚖️", nativeNonQual = "👨\u{200D}⚖", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}⚖️" ), ( "mediumLight", "👨🏼\u{200D}⚖️" ), ( "medium", "👨🏽\u{200D}⚖️" ), ( "mediumDark", "👨🏾\u{200D}⚖️" ), ( "dark", "👨🏿\u{200D}⚖️" ) ], version = 15 } )
        , ( "female-judge", { name = "WOMAN JUDGE", native = "👩\u{200D}⚖️", nativeNonQual = "👩\u{200D}⚖", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}⚖️" ), ( "mediumLight", "👩🏼\u{200D}⚖️" ), ( "medium", "👩🏽\u{200D}⚖️" ), ( "mediumDark", "👩🏾\u{200D}⚖️" ), ( "dark", "👩🏿\u{200D}⚖️" ) ], version = 15 } )
        , ( "farmer", { name = "FARMER", native = "🧑\u{200D}🌾", nativeNonQual = "🧑\u{200D}🌾", keywords = [ "farmer", "gardener", "rancher" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🌾" ), ( "mediumLight", "🧑🏼\u{200D}🌾" ), ( "medium", "🧑🏽\u{200D}🌾" ), ( "mediumDark", "🧑🏾\u{200D}🌾" ), ( "dark", "🧑🏿\u{200D}🌾" ) ], version = 15 } )
        , ( "male-farmer", { name = "MAN FARMER", native = "👨\u{200D}🌾", nativeNonQual = "👨\u{200D}🌾", keywords = [ "farmer", "gardener", "man", "rancher" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🌾" ), ( "mediumLight", "👨🏼\u{200D}🌾" ), ( "medium", "👨🏽\u{200D}🌾" ), ( "mediumDark", "👨🏾\u{200D}🌾" ), ( "dark", "👨🏿\u{200D}🌾" ) ], version = 15 } )
        , ( "female-farmer", { name = "WOMAN FARMER", native = "👩\u{200D}🌾", nativeNonQual = "👩\u{200D}🌾", keywords = [ "farmer", "gardener", "rancher", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🌾" ), ( "mediumLight", "👩🏼\u{200D}🌾" ), ( "medium", "👩🏽\u{200D}🌾" ), ( "mediumDark", "👩🏾\u{200D}🌾" ), ( "dark", "👩🏿\u{200D}🌾" ) ], version = 15 } )
        , ( "cook", { name = "COOK", native = "🧑\u{200D}🍳", nativeNonQual = "🧑\u{200D}🍳", keywords = [ "chef", "cook" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🍳" ), ( "mediumLight", "🧑🏼\u{200D}🍳" ), ( "medium", "🧑🏽\u{200D}🍳" ), ( "mediumDark", "🧑🏾\u{200D}🍳" ), ( "dark", "🧑🏿\u{200D}🍳" ) ], version = 15 } )
        , ( "male-cook", { name = "MAN COOK", native = "👨\u{200D}🍳", nativeNonQual = "👨\u{200D}🍳", keywords = [ "chef", "cook", "man" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🍳" ), ( "mediumLight", "👨🏼\u{200D}🍳" ), ( "medium", "👨🏽\u{200D}🍳" ), ( "mediumDark", "👨🏾\u{200D}🍳" ), ( "dark", "👨🏿\u{200D}🍳" ) ], version = 15 } )
        , ( "female-cook", { name = "WOMAN COOK", native = "👩\u{200D}🍳", nativeNonQual = "👩\u{200D}🍳", keywords = [ "chef", "cook", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🍳" ), ( "mediumLight", "👩🏼\u{200D}🍳" ), ( "medium", "👩🏽\u{200D}🍳" ), ( "mediumDark", "👩🏾\u{200D}🍳" ), ( "dark", "👩🏿\u{200D}🍳" ) ], version = 15 } )
        , ( "mechanic", { name = "MECHANIC", native = "🧑\u{200D}🔧", nativeNonQual = "🧑\u{200D}🔧", keywords = [ "electrician", "mechanic", "plumber", "tradesperson" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🔧" ), ( "mediumLight", "🧑🏼\u{200D}🔧" ), ( "medium", "🧑🏽\u{200D}🔧" ), ( "mediumDark", "🧑🏾\u{200D}🔧" ), ( "dark", "🧑🏿\u{200D}🔧" ) ], version = 15 } )
        , ( "male-mechanic", { name = "MAN MECHANIC", native = "👨\u{200D}🔧", nativeNonQual = "👨\u{200D}🔧", keywords = [ "electrician", "man", "mechanic", "plumber", "tradesperson" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🔧" ), ( "mediumLight", "👨🏼\u{200D}🔧" ), ( "medium", "👨🏽\u{200D}🔧" ), ( "mediumDark", "👨🏾\u{200D}🔧" ), ( "dark", "👨🏿\u{200D}🔧" ) ], version = 15 } )
        , ( "female-mechanic", { name = "WOMAN MECHANIC", native = "👩\u{200D}🔧", nativeNonQual = "👩\u{200D}🔧", keywords = [ "electrician", "mechanic", "plumber", "tradesperson", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🔧" ), ( "mediumLight", "👩🏼\u{200D}🔧" ), ( "medium", "👩🏽\u{200D}🔧" ), ( "mediumDark", "👩🏾\u{200D}🔧" ), ( "dark", "👩🏿\u{200D}🔧" ) ], version = 15 } )
        , ( "factory_worker", { name = "FACTORY WORKER", native = "🧑\u{200D}🏭", nativeNonQual = "🧑\u{200D}🏭", keywords = [ "assembly", "factory", "industrial", "worker" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🏭" ), ( "mediumLight", "🧑🏼\u{200D}🏭" ), ( "medium", "🧑🏽\u{200D}🏭" ), ( "mediumDark", "🧑🏾\u{200D}🏭" ), ( "dark", "🧑🏿\u{200D}🏭" ) ], version = 15 } )
        , ( "male-factory-worker", { name = "MAN FACTORY WORKER", native = "👨\u{200D}🏭", nativeNonQual = "👨\u{200D}🏭", keywords = [ "assembly", "factory", "industrial", "man", "worker" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🏭" ), ( "mediumLight", "👨🏼\u{200D}🏭" ), ( "medium", "👨🏽\u{200D}🏭" ), ( "mediumDark", "👨🏾\u{200D}🏭" ), ( "dark", "👨🏿\u{200D}🏭" ) ], version = 15 } )
        , ( "female-factory-worker", { name = "WOMAN FACTORY WORKER", native = "👩\u{200D}🏭", nativeNonQual = "👩\u{200D}🏭", keywords = [ "assembly", "factory", "industrial", "woman", "worker" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🏭" ), ( "mediumLight", "👩🏼\u{200D}🏭" ), ( "medium", "👩🏽\u{200D}🏭" ), ( "mediumDark", "👩🏾\u{200D}🏭" ), ( "dark", "👩🏿\u{200D}🏭" ) ], version = 15 } )
        , ( "office_worker", { name = "OFFICE WORKER", native = "🧑\u{200D}💼", nativeNonQual = "🧑\u{200D}💼", keywords = [ "architect", "business", "manager", "office worker", "white-collar" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}💼" ), ( "mediumLight", "🧑🏼\u{200D}💼" ), ( "medium", "🧑🏽\u{200D}💼" ), ( "mediumDark", "🧑🏾\u{200D}💼" ), ( "dark", "🧑🏿\u{200D}💼" ) ], version = 15 } )
        , ( "male-office-worker", { name = "MAN OFFICE WORKER", native = "👨\u{200D}💼", nativeNonQual = "👨\u{200D}💼", keywords = [ "architect", "business", "man", "man office worker", "manager", "white-collar" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}💼" ), ( "mediumLight", "👨🏼\u{200D}💼" ), ( "medium", "👨🏽\u{200D}💼" ), ( "mediumDark", "👨🏾\u{200D}💼" ), ( "dark", "👨🏿\u{200D}💼" ) ], version = 15 } )
        , ( "female-office-worker", { name = "WOMAN OFFICE WORKER", native = "👩\u{200D}💼", nativeNonQual = "👩\u{200D}💼", keywords = [ "architect", "business", "manager", "white-collar", "woman", "woman office worker" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}💼" ), ( "mediumLight", "👩🏼\u{200D}💼" ), ( "medium", "👩🏽\u{200D}💼" ), ( "mediumDark", "👩🏾\u{200D}💼" ), ( "dark", "👩🏿\u{200D}💼" ) ], version = 15 } )
        , ( "scientist", { name = "SCIENTIST", native = "🧑\u{200D}🔬", nativeNonQual = "🧑\u{200D}🔬", keywords = [ "biologist", "chemist", "engineer", "physicist", "scientist" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🔬" ), ( "mediumLight", "🧑🏼\u{200D}🔬" ), ( "medium", "🧑🏽\u{200D}🔬" ), ( "mediumDark", "🧑🏾\u{200D}🔬" ), ( "dark", "🧑🏿\u{200D}🔬" ) ], version = 15 } )
        , ( "male-scientist", { name = "MAN SCIENTIST", native = "👨\u{200D}🔬", nativeNonQual = "👨\u{200D}🔬", keywords = [ "biologist", "chemist", "engineer", "man", "physicist", "scientist" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🔬" ), ( "mediumLight", "👨🏼\u{200D}🔬" ), ( "medium", "👨🏽\u{200D}🔬" ), ( "mediumDark", "👨🏾\u{200D}🔬" ), ( "dark", "👨🏿\u{200D}🔬" ) ], version = 15 } )
        , ( "female-scientist", { name = "WOMAN SCIENTIST", native = "👩\u{200D}🔬", nativeNonQual = "👩\u{200D}🔬", keywords = [ "biologist", "chemist", "engineer", "physicist", "scientist", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🔬" ), ( "mediumLight", "👩🏼\u{200D}🔬" ), ( "medium", "👩🏽\u{200D}🔬" ), ( "mediumDark", "👩🏾\u{200D}🔬" ), ( "dark", "👩🏿\u{200D}🔬" ) ], version = 15 } )
        , ( "technologist", { name = "TECHNOLOGIST", native = "🧑\u{200D}💻", nativeNonQual = "🧑\u{200D}💻", keywords = [ "coder", "developer", "inventor", "software", "technologist" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}💻" ), ( "mediumLight", "🧑🏼\u{200D}💻" ), ( "medium", "🧑🏽\u{200D}💻" ), ( "mediumDark", "🧑🏾\u{200D}💻" ), ( "dark", "🧑🏿\u{200D}💻" ) ], version = 15 } )
        , ( "male-technologist", { name = "MAN TECHNOLOGIST", native = "👨\u{200D}💻", nativeNonQual = "👨\u{200D}💻", keywords = [ "coder", "developer", "inventor", "man", "software", "technologist" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}💻" ), ( "mediumLight", "👨🏼\u{200D}💻" ), ( "medium", "👨🏽\u{200D}💻" ), ( "mediumDark", "👨🏾\u{200D}💻" ), ( "dark", "👨🏿\u{200D}💻" ) ], version = 15 } )
        , ( "female-technologist", { name = "WOMAN TECHNOLOGIST", native = "👩\u{200D}💻", nativeNonQual = "👩\u{200D}💻", keywords = [ "coder", "developer", "inventor", "software", "technologist", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}💻" ), ( "mediumLight", "👩🏼\u{200D}💻" ), ( "medium", "👩🏽\u{200D}💻" ), ( "mediumDark", "👩🏾\u{200D}💻" ), ( "dark", "👩🏿\u{200D}💻" ) ], version = 15 } )
        , ( "singer", { name = "SINGER", native = "🧑\u{200D}🎤", nativeNonQual = "🧑\u{200D}🎤", keywords = [ "actor", "entertainer", "rock", "singer", "star" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🎤" ), ( "mediumLight", "🧑🏼\u{200D}🎤" ), ( "medium", "🧑🏽\u{200D}🎤" ), ( "mediumDark", "🧑🏾\u{200D}🎤" ), ( "dark", "🧑🏿\u{200D}🎤" ) ], version = 15 } )
        , ( "male-singer", { name = "MAN SINGER", native = "👨\u{200D}🎤", nativeNonQual = "👨\u{200D}🎤", keywords = [ "actor", "entertainer", "man", "rock", "singer", "star" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🎤" ), ( "mediumLight", "👨🏼\u{200D}🎤" ), ( "medium", "👨🏽\u{200D}🎤" ), ( "mediumDark", "👨🏾\u{200D}🎤" ), ( "dark", "👨🏿\u{200D}🎤" ) ], version = 15 } )
        , ( "female-singer", { name = "WOMAN SINGER", native = "👩\u{200D}🎤", nativeNonQual = "👩\u{200D}🎤", keywords = [ "actor", "entertainer", "rock", "singer", "star", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🎤" ), ( "mediumLight", "👩🏼\u{200D}🎤" ), ( "medium", "👩🏽\u{200D}🎤" ), ( "mediumDark", "👩🏾\u{200D}🎤" ), ( "dark", "👩🏿\u{200D}🎤" ) ], version = 15 } )
        , ( "artist", { name = "ARTIST", native = "🧑\u{200D}🎨", nativeNonQual = "🧑\u{200D}🎨", keywords = [ "artist", "palette" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🎨" ), ( "mediumLight", "🧑🏼\u{200D}🎨" ), ( "medium", "🧑🏽\u{200D}🎨" ), ( "mediumDark", "🧑🏾\u{200D}🎨" ), ( "dark", "🧑🏿\u{200D}🎨" ) ], version = 15 } )
        , ( "male-artist", { name = "MAN ARTIST", native = "👨\u{200D}🎨", nativeNonQual = "👨\u{200D}🎨", keywords = [ "artist", "man", "palette" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🎨" ), ( "mediumLight", "👨🏼\u{200D}🎨" ), ( "medium", "👨🏽\u{200D}🎨" ), ( "mediumDark", "👨🏾\u{200D}🎨" ), ( "dark", "👨🏿\u{200D}🎨" ) ], version = 15 } )
        , ( "female-artist", { name = "WOMAN ARTIST", native = "👩\u{200D}🎨", nativeNonQual = "👩\u{200D}🎨", keywords = [ "artist", "palette", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🎨" ), ( "mediumLight", "👩🏼\u{200D}🎨" ), ( "medium", "👩🏽\u{200D}🎨" ), ( "mediumDark", "👩🏾\u{200D}🎨" ), ( "dark", "👩🏿\u{200D}🎨" ) ], version = 15 } )
        , ( "pilot", { name = "PILOT", native = "🧑\u{200D}✈️", nativeNonQual = "🧑\u{200D}✈", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}✈️" ), ( "mediumLight", "🧑🏼\u{200D}✈️" ), ( "medium", "🧑🏽\u{200D}✈️" ), ( "mediumDark", "🧑🏾\u{200D}✈️" ), ( "dark", "🧑🏿\u{200D}✈️" ) ], version = 15 } )
        , ( "male-pilot", { name = "MAN PILOT", native = "👨\u{200D}✈️", nativeNonQual = "👨\u{200D}✈", keywords = [], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}✈️" ), ( "mediumLight", "👨🏼\u{200D}✈️" ), ( "medium", "👨🏽\u{200D}✈️" ), ( "mediumDark", "👨🏾\u{200D}✈️" ), ( "dark", "👨🏿\u{200D}✈️" ) ], version = 15 } )
        , ( "female-pilot", { name = "WOMAN PILOT", native = "👩\u{200D}✈️", nativeNonQual = "👩\u{200D}✈", keywords = [], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}✈️" ), ( "mediumLight", "👩🏼\u{200D}✈️" ), ( "medium", "👩🏽\u{200D}✈️" ), ( "mediumDark", "👩🏾\u{200D}✈️" ), ( "dark", "👩🏿\u{200D}✈️" ) ], version = 15 } )
        , ( "astronaut", { name = "ASTRONAUT", native = "🧑\u{200D}🚀", nativeNonQual = "🧑\u{200D}🚀", keywords = [ "astronaut", "rocket" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🚀" ), ( "mediumLight", "🧑🏼\u{200D}🚀" ), ( "medium", "🧑🏽\u{200D}🚀" ), ( "mediumDark", "🧑🏾\u{200D}🚀" ), ( "dark", "🧑🏿\u{200D}🚀" ) ], version = 15 } )
        , ( "male-astronaut", { name = "MAN ASTRONAUT", native = "👨\u{200D}🚀", nativeNonQual = "👨\u{200D}🚀", keywords = [ "astronaut", "man", "rocket" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🚀" ), ( "mediumLight", "👨🏼\u{200D}🚀" ), ( "medium", "👨🏽\u{200D}🚀" ), ( "mediumDark", "👨🏾\u{200D}🚀" ), ( "dark", "👨🏿\u{200D}🚀" ) ], version = 15 } )
        , ( "female-astronaut", { name = "WOMAN ASTRONAUT", native = "👩\u{200D}🚀", nativeNonQual = "👩\u{200D}🚀", keywords = [ "astronaut", "rocket", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🚀" ), ( "mediumLight", "👩🏼\u{200D}🚀" ), ( "medium", "👩🏽\u{200D}🚀" ), ( "mediumDark", "👩🏾\u{200D}🚀" ), ( "dark", "👩🏿\u{200D}🚀" ) ], version = 15 } )
        , ( "firefighter", { name = "FIREFIGHTER", native = "🧑\u{200D}🚒", nativeNonQual = "🧑\u{200D}🚒", keywords = [ "fire", "firefighter", "firetruck" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🚒" ), ( "mediumLight", "🧑🏼\u{200D}🚒" ), ( "medium", "🧑🏽\u{200D}🚒" ), ( "mediumDark", "🧑🏾\u{200D}🚒" ), ( "dark", "🧑🏿\u{200D}🚒" ) ], version = 15 } )
        , ( "male-firefighter", { name = "MAN FIREFIGHTER", native = "👨\u{200D}🚒", nativeNonQual = "👨\u{200D}🚒", keywords = [ "firefighter", "firetruck", "man" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🚒" ), ( "mediumLight", "👨🏼\u{200D}🚒" ), ( "medium", "👨🏽\u{200D}🚒" ), ( "mediumDark", "👨🏾\u{200D}🚒" ), ( "dark", "👨🏿\u{200D}🚒" ) ], version = 15 } )
        , ( "female-firefighter", { name = "WOMAN FIREFIGHTER", native = "👩\u{200D}🚒", nativeNonQual = "👩\u{200D}🚒", keywords = [ "firefighter", "firetruck", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🚒" ), ( "mediumLight", "👩🏼\u{200D}🚒" ), ( "medium", "👩🏽\u{200D}🚒" ), ( "mediumDark", "👩🏾\u{200D}🚒" ), ( "dark", "👩🏿\u{200D}🚒" ) ], version = 15 } )
        , ( "cop", { name = "POLICE OFFICER", native = "👮", nativeNonQual = "👮", keywords = [ "cop", "officer", "police" ], skinVariations = Dict.fromList [ ( "light", "👮🏻" ), ( "mediumLight", "👮🏼" ), ( "medium", "👮🏽" ), ( "mediumDark", "👮🏾" ), ( "dark", "👮🏿" ) ], version = 15 } )
        , ( "male-police-officer", { name = "MAN POLICE OFFICER", native = "👮\u{200D}♂️", nativeNonQual = "👮\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "👮🏻\u{200D}♂️" ), ( "mediumLight", "👮🏼\u{200D}♂️" ), ( "medium", "👮🏽\u{200D}♂️" ), ( "mediumDark", "👮🏾\u{200D}♂️" ), ( "dark", "👮🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female-police-officer", { name = "WOMAN POLICE OFFICER", native = "👮\u{200D}♀️", nativeNonQual = "👮\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "👮🏻\u{200D}♀️" ), ( "mediumLight", "👮🏼\u{200D}♀️" ), ( "medium", "👮🏽\u{200D}♀️" ), ( "mediumDark", "👮🏾\u{200D}♀️" ), ( "dark", "👮🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "sleuth_or_spy", { name = "DETECTIVE", native = "🕵️", nativeNonQual = "🕵", keywords = [], skinVariations = Dict.fromList [ ( "light", "🕵🏻" ), ( "mediumLight", "🕵🏼" ), ( "medium", "🕵🏽" ), ( "mediumDark", "🕵🏾" ), ( "dark", "🕵🏿" ) ], version = 15 } )
        , ( "male-detective", { name = "MAN DETECTIVE", native = "🕵️\u{200D}♂️", nativeNonQual = "🕵️\u{200D}♂️", keywords = [], skinVariations = Dict.fromList [ ( "light", "🕵🏻\u{200D}♂️" ), ( "mediumLight", "🕵🏼\u{200D}♂️" ), ( "medium", "🕵🏽\u{200D}♂️" ), ( "mediumDark", "🕵🏾\u{200D}♂️" ), ( "dark", "🕵🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female-detective", { name = "WOMAN DETECTIVE", native = "🕵️\u{200D}♀️", nativeNonQual = "🕵️\u{200D}♀️", keywords = [], skinVariations = Dict.fromList [ ( "light", "🕵🏻\u{200D}♀️" ), ( "mediumLight", "🕵🏼\u{200D}♀️" ), ( "medium", "🕵🏽\u{200D}♀️" ), ( "mediumDark", "🕵🏾\u{200D}♀️" ), ( "dark", "🕵🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "guardsman", { name = "GUARDSMAN", native = "💂", nativeNonQual = "💂", keywords = [ "guard" ], skinVariations = Dict.fromList [ ( "light", "💂🏻" ), ( "mediumLight", "💂🏼" ), ( "medium", "💂🏽" ), ( "mediumDark", "💂🏾" ), ( "dark", "💂🏿" ) ], version = 15 } )
        , ( "male-guard", { name = "MAN GUARD", native = "💂\u{200D}♂️", nativeNonQual = "💂\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "💂🏻\u{200D}♂️" ), ( "mediumLight", "💂🏼\u{200D}♂️" ), ( "medium", "💂🏽\u{200D}♂️" ), ( "mediumDark", "💂🏾\u{200D}♂️" ), ( "dark", "💂🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female-guard", { name = "WOMAN GUARD", native = "💂\u{200D}♀️", nativeNonQual = "💂\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "💂🏻\u{200D}♀️" ), ( "mediumLight", "💂🏼\u{200D}♀️" ), ( "medium", "💂🏽\u{200D}♀️" ), ( "mediumDark", "💂🏾\u{200D}♀️" ), ( "dark", "💂🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "ninja", { name = "NINJA", native = "\u{1F977}", nativeNonQual = "\u{1F977}", keywords = [ "fighter", "hidden", "ninja", "stealth" ], skinVariations = Dict.fromList [ ( "light", "\u{1F977}🏻" ), ( "mediumLight", "\u{1F977}🏼" ), ( "medium", "\u{1F977}🏽" ), ( "mediumDark", "\u{1F977}🏾" ), ( "dark", "\u{1F977}🏿" ) ], version = 15 } )
        , ( "construction_worker", { name = "CONSTRUCTION WORKER", native = "👷", nativeNonQual = "👷", keywords = [ "construction", "hat", "worker" ], skinVariations = Dict.fromList [ ( "light", "👷🏻" ), ( "mediumLight", "👷🏼" ), ( "medium", "👷🏽" ), ( "mediumDark", "👷🏾" ), ( "dark", "👷🏿" ) ], version = 15 } )
        , ( "male-construction-worker", { name = "MAN CONSTRUCTION WORKER", native = "👷\u{200D}♂️", nativeNonQual = "👷\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "👷🏻\u{200D}♂️" ), ( "mediumLight", "👷🏼\u{200D}♂️" ), ( "medium", "👷🏽\u{200D}♂️" ), ( "mediumDark", "👷🏾\u{200D}♂️" ), ( "dark", "👷🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female-construction-worker", { name = "WOMAN CONSTRUCTION WORKER", native = "👷\u{200D}♀️", nativeNonQual = "👷\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "👷🏻\u{200D}♀️" ), ( "mediumLight", "👷🏼\u{200D}♀️" ), ( "medium", "👷🏽\u{200D}♀️" ), ( "mediumDark", "👷🏾\u{200D}♀️" ), ( "dark", "👷🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_with_crown", { name = "PERSON WITH CROWN", native = "\u{1FAC5}", nativeNonQual = "\u{1FAC5}", keywords = [ "monarch", "noble", "person with crown", "regal", "royalty" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAC5}🏻" ), ( "mediumLight", "\u{1FAC5}🏼" ), ( "medium", "\u{1FAC5}🏽" ), ( "mediumDark", "\u{1FAC5}🏾" ), ( "dark", "\u{1FAC5}🏿" ) ], version = 15 } )
        , ( "prince", { name = "PRINCE", native = "🤴", nativeNonQual = "🤴", keywords = [ "prince" ], skinVariations = Dict.fromList [ ( "light", "🤴🏻" ), ( "mediumLight", "🤴🏼" ), ( "medium", "🤴🏽" ), ( "mediumDark", "🤴🏾" ), ( "dark", "🤴🏿" ) ], version = 15 } )
        , ( "princess", { name = "PRINCESS", native = "👸", nativeNonQual = "👸", keywords = [ "fairy tale", "fantasy", "princess" ], skinVariations = Dict.fromList [ ( "light", "👸🏻" ), ( "mediumLight", "👸🏼" ), ( "medium", "👸🏽" ), ( "mediumDark", "👸🏾" ), ( "dark", "👸🏿" ) ], version = 15 } )
        , ( "man_with_turban", { name = "MAN WITH TURBAN", native = "👳", nativeNonQual = "👳", keywords = [ "person wearing turban", "turban" ], skinVariations = Dict.fromList [ ( "light", "👳🏻" ), ( "mediumLight", "👳🏼" ), ( "medium", "👳🏽" ), ( "mediumDark", "👳🏾" ), ( "dark", "👳🏿" ) ], version = 15 } )
        , ( "man-wearing-turban", { name = "MAN WEARING TURBAN", native = "👳\u{200D}♂️", nativeNonQual = "👳\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "👳🏻\u{200D}♂️" ), ( "mediumLight", "👳🏼\u{200D}♂️" ), ( "medium", "👳🏽\u{200D}♂️" ), ( "mediumDark", "👳🏾\u{200D}♂️" ), ( "dark", "👳🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-wearing-turban", { name = "WOMAN WEARING TURBAN", native = "👳\u{200D}♀️", nativeNonQual = "👳\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "👳🏻\u{200D}♀️" ), ( "mediumLight", "👳🏼\u{200D}♀️" ), ( "medium", "👳🏽\u{200D}♀️" ), ( "mediumDark", "👳🏾\u{200D}♀️" ), ( "dark", "👳🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "man_with_gua_pi_mao", { name = "MAN WITH GUA PI MAO", native = "👲", nativeNonQual = "👲", keywords = [ "cap", "gua pi mao", "hat", "person", "person with skullcap", "skullcap" ], skinVariations = Dict.fromList [ ( "light", "👲🏻" ), ( "mediumLight", "👲🏼" ), ( "medium", "👲🏽" ), ( "mediumDark", "👲🏾" ), ( "dark", "👲🏿" ) ], version = 15 } )
        , ( "person_with_headscarf", { name = "PERSON WITH HEADSCARF", native = "🧕", nativeNonQual = "🧕", keywords = [ "headscarf", "hijab", "mantilla", "tichel", "woman with headscarf" ], skinVariations = Dict.fromList [ ( "light", "🧕🏻" ), ( "mediumLight", "🧕🏼" ), ( "medium", "🧕🏽" ), ( "mediumDark", "🧕🏾" ), ( "dark", "🧕🏿" ) ], version = 15 } )
        , ( "person_in_tuxedo", { name = "MAN IN TUXEDO", native = "🤵", nativeNonQual = "🤵", keywords = [ "groom", "person", "person in tuxedo", "tuxedo" ], skinVariations = Dict.fromList [ ( "light", "🤵🏻" ), ( "mediumLight", "🤵🏼" ), ( "medium", "🤵🏽" ), ( "mediumDark", "🤵🏾" ), ( "dark", "🤵🏿" ) ], version = 15 } )
        , ( "man_in_tuxedo", { name = "MAN IN TUXEDO", native = "🤵\u{200D}♂️", nativeNonQual = "🤵\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤵🏻\u{200D}♂️" ), ( "mediumLight", "🤵🏼\u{200D}♂️" ), ( "medium", "🤵🏽\u{200D}♂️" ), ( "mediumDark", "🤵🏾\u{200D}♂️" ), ( "dark", "🤵🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_in_tuxedo", { name = "WOMAN IN TUXEDO", native = "🤵\u{200D}♀️", nativeNonQual = "🤵\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤵🏻\u{200D}♀️" ), ( "mediumLight", "🤵🏼\u{200D}♀️" ), ( "medium", "🤵🏽\u{200D}♀️" ), ( "mediumDark", "🤵🏾\u{200D}♀️" ), ( "dark", "🤵🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "bride_with_veil", { name = "BRIDE WITH VEIL", native = "👰", nativeNonQual = "👰", keywords = [ "bride", "person", "person with veil", "veil", "wedding" ], skinVariations = Dict.fromList [ ( "light", "👰🏻" ), ( "mediumLight", "👰🏼" ), ( "medium", "👰🏽" ), ( "mediumDark", "👰🏾" ), ( "dark", "👰🏿" ) ], version = 15 } )
        , ( "man_with_veil", { name = "MAN WITH VEIL", native = "👰\u{200D}♂️", nativeNonQual = "👰\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "👰🏻\u{200D}♂️" ), ( "mediumLight", "👰🏼\u{200D}♂️" ), ( "medium", "👰🏽\u{200D}♂️" ), ( "mediumDark", "👰🏾\u{200D}♂️" ), ( "dark", "👰🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_with_veil", { name = "WOMAN WITH VEIL", native = "👰\u{200D}♀️", nativeNonQual = "👰\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "👰🏻\u{200D}♀️" ), ( "mediumLight", "👰🏼\u{200D}♀️" ), ( "medium", "👰🏽\u{200D}♀️" ), ( "mediumDark", "👰🏾\u{200D}♀️" ), ( "dark", "👰🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "pregnant_woman", { name = "PREGNANT WOMAN", native = "🤰", nativeNonQual = "🤰", keywords = [ "pregnant", "woman" ], skinVariations = Dict.fromList [ ( "light", "🤰🏻" ), ( "mediumLight", "🤰🏼" ), ( "medium", "🤰🏽" ), ( "mediumDark", "🤰🏾" ), ( "dark", "🤰🏿" ) ], version = 15 } )
        , ( "pregnant_man", { name = "PREGNANT MAN", native = "\u{1FAC3}", nativeNonQual = "\u{1FAC3}", keywords = [ "belly", "bloated", "full", "pregnant", "pregnant man" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAC3}🏻" ), ( "mediumLight", "\u{1FAC3}🏼" ), ( "medium", "\u{1FAC3}🏽" ), ( "mediumDark", "\u{1FAC3}🏾" ), ( "dark", "\u{1FAC3}🏿" ) ], version = 15 } )
        , ( "pregnant_person", { name = "PREGNANT PERSON", native = "\u{1FAC4}", nativeNonQual = "\u{1FAC4}", keywords = [ "belly", "bloated", "full", "pregnant", "pregnant person" ], skinVariations = Dict.fromList [ ( "light", "\u{1FAC4}🏻" ), ( "mediumLight", "\u{1FAC4}🏼" ), ( "medium", "\u{1FAC4}🏽" ), ( "mediumDark", "\u{1FAC4}🏾" ), ( "dark", "\u{1FAC4}🏿" ) ], version = 15 } )
        , ( "breast-feeding", { name = "BREAST-FEEDING", native = "🤱", nativeNonQual = "🤱", keywords = [ "baby", "breast", "breast-feeding", "nursing" ], skinVariations = Dict.fromList [ ( "light", "🤱🏻" ), ( "mediumLight", "🤱🏼" ), ( "medium", "🤱🏽" ), ( "mediumDark", "🤱🏾" ), ( "dark", "🤱🏿" ) ], version = 15 } )
        , ( "woman_feeding_baby", { name = "WOMAN FEEDING BABY", native = "👩\u{200D}🍼", nativeNonQual = "👩\u{200D}🍼", keywords = [ "baby", "feeding", "nursing", "woman" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🍼" ), ( "mediumLight", "👩🏼\u{200D}🍼" ), ( "medium", "👩🏽\u{200D}🍼" ), ( "mediumDark", "👩🏾\u{200D}🍼" ), ( "dark", "👩🏿\u{200D}🍼" ) ], version = 15 } )
        , ( "man_feeding_baby", { name = "MAN FEEDING BABY", native = "👨\u{200D}🍼", nativeNonQual = "👨\u{200D}🍼", keywords = [ "baby", "feeding", "man", "nursing" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🍼" ), ( "mediumLight", "👨🏼\u{200D}🍼" ), ( "medium", "👨🏽\u{200D}🍼" ), ( "mediumDark", "👨🏾\u{200D}🍼" ), ( "dark", "👨🏿\u{200D}🍼" ) ], version = 15 } )
        , ( "person_feeding_baby", { name = "PERSON FEEDING BABY", native = "🧑\u{200D}🍼", nativeNonQual = "🧑\u{200D}🍼", keywords = [ "baby", "feeding", "nursing", "person" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🍼" ), ( "mediumLight", "🧑🏼\u{200D}🍼" ), ( "medium", "🧑🏽\u{200D}🍼" ), ( "mediumDark", "🧑🏾\u{200D}🍼" ), ( "dark", "🧑🏿\u{200D}🍼" ) ], version = 15 } )
        , ( "angel", { name = "BABY ANGEL", native = "👼", nativeNonQual = "👼", keywords = [ "angel", "baby", "face", "fairy tale", "fantasy" ], skinVariations = Dict.fromList [ ( "light", "👼🏻" ), ( "mediumLight", "👼🏼" ), ( "medium", "👼🏽" ), ( "mediumDark", "👼🏾" ), ( "dark", "👼🏿" ) ], version = 15 } )
        , ( "santa", { name = "FATHER CHRISTMAS", native = "🎅", nativeNonQual = "🎅", keywords = [ "celebration", "Christmas", "claus", "father", "santa" ], skinVariations = Dict.fromList [ ( "light", "🎅🏻" ), ( "mediumLight", "🎅🏼" ), ( "medium", "🎅🏽" ), ( "mediumDark", "🎅🏾" ), ( "dark", "🎅🏿" ) ], version = 15 } )
        , ( "mrs_claus", { name = "MOTHER CHRISTMAS", native = "🤶", nativeNonQual = "🤶", keywords = [ "celebration", "Christmas", "claus", "mother", "Mrs." ], skinVariations = Dict.fromList [ ( "light", "🤶🏻" ), ( "mediumLight", "🤶🏼" ), ( "medium", "🤶🏽" ), ( "mediumDark", "🤶🏾" ), ( "dark", "🤶🏿" ) ], version = 15 } )
        , ( "mx_claus", { name = "MX CLAUS", native = "🧑\u{200D}🎄", nativeNonQual = "🧑\u{200D}🎄", keywords = [ "christmas", "claus", "mx claus" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🎄" ), ( "mediumLight", "🧑🏼\u{200D}🎄" ), ( "medium", "🧑🏽\u{200D}🎄" ), ( "mediumDark", "🧑🏾\u{200D}🎄" ), ( "dark", "🧑🏿\u{200D}🎄" ) ], version = 15 } )
        , ( "superhero", { name = "SUPERHERO", native = "🦸", nativeNonQual = "🦸", keywords = [ "good", "hero", "heroine", "superhero", "superpower" ], skinVariations = Dict.fromList [ ( "light", "🦸🏻" ), ( "mediumLight", "🦸🏼" ), ( "medium", "🦸🏽" ), ( "mediumDark", "🦸🏾" ), ( "dark", "🦸🏿" ) ], version = 15 } )
        , ( "male_superhero", { name = "MAN SUPERHERO", native = "🦸\u{200D}♂️", nativeNonQual = "🦸\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🦸🏻\u{200D}♂️" ), ( "mediumLight", "🦸🏼\u{200D}♂️" ), ( "medium", "🦸🏽\u{200D}♂️" ), ( "mediumDark", "🦸🏾\u{200D}♂️" ), ( "dark", "🦸🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female_superhero", { name = "WOMAN SUPERHERO", native = "🦸\u{200D}♀️", nativeNonQual = "🦸\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🦸🏻\u{200D}♀️" ), ( "mediumLight", "🦸🏼\u{200D}♀️" ), ( "medium", "🦸🏽\u{200D}♀️" ), ( "mediumDark", "🦸🏾\u{200D}♀️" ), ( "dark", "🦸🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "supervillain", { name = "SUPERVILLAIN", native = "🦹", nativeNonQual = "🦹", keywords = [ "criminal", "evil", "superpower", "supervillain", "villain" ], skinVariations = Dict.fromList [ ( "light", "🦹🏻" ), ( "mediumLight", "🦹🏼" ), ( "medium", "🦹🏽" ), ( "mediumDark", "🦹🏾" ), ( "dark", "🦹🏿" ) ], version = 15 } )
        , ( "male_supervillain", { name = "MAN SUPERVILLAIN", native = "🦹\u{200D}♂️", nativeNonQual = "🦹\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🦹🏻\u{200D}♂️" ), ( "mediumLight", "🦹🏼\u{200D}♂️" ), ( "medium", "🦹🏽\u{200D}♂️" ), ( "mediumDark", "🦹🏾\u{200D}♂️" ), ( "dark", "🦹🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female_supervillain", { name = "WOMAN SUPERVILLAIN", native = "🦹\u{200D}♀️", nativeNonQual = "🦹\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🦹🏻\u{200D}♀️" ), ( "mediumLight", "🦹🏼\u{200D}♀️" ), ( "medium", "🦹🏽\u{200D}♀️" ), ( "mediumDark", "🦹🏾\u{200D}♀️" ), ( "dark", "🦹🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "mage", { name = "MAGE", native = "🧙", nativeNonQual = "🧙", keywords = [ "mage", "sorcerer", "sorceress", "witch", "wizard" ], skinVariations = Dict.fromList [ ( "light", "🧙🏻" ), ( "mediumLight", "🧙🏼" ), ( "medium", "🧙🏽" ), ( "mediumDark", "🧙🏾" ), ( "dark", "🧙🏿" ) ], version = 15 } )
        , ( "male_mage", { name = "MAN MAGE", native = "🧙\u{200D}♂️", nativeNonQual = "🧙\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧙🏻\u{200D}♂️" ), ( "mediumLight", "🧙🏼\u{200D}♂️" ), ( "medium", "🧙🏽\u{200D}♂️" ), ( "mediumDark", "🧙🏾\u{200D}♂️" ), ( "dark", "🧙🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female_mage", { name = "WOMAN MAGE", native = "🧙\u{200D}♀️", nativeNonQual = "🧙\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧙🏻\u{200D}♀️" ), ( "mediumLight", "🧙🏼\u{200D}♀️" ), ( "medium", "🧙🏽\u{200D}♀️" ), ( "mediumDark", "🧙🏾\u{200D}♀️" ), ( "dark", "🧙🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "fairy", { name = "FAIRY", native = "🧚", nativeNonQual = "🧚", keywords = [ "fairy", "Oberon", "Puck", "Titania" ], skinVariations = Dict.fromList [ ( "light", "🧚🏻" ), ( "mediumLight", "🧚🏼" ), ( "medium", "🧚🏽" ), ( "mediumDark", "🧚🏾" ), ( "dark", "🧚🏿" ) ], version = 15 } )
        , ( "male_fairy", { name = "MAN FAIRY", native = "🧚\u{200D}♂️", nativeNonQual = "🧚\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧚🏻\u{200D}♂️" ), ( "mediumLight", "🧚🏼\u{200D}♂️" ), ( "medium", "🧚🏽\u{200D}♂️" ), ( "mediumDark", "🧚🏾\u{200D}♂️" ), ( "dark", "🧚🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female_fairy", { name = "WOMAN FAIRY", native = "🧚\u{200D}♀️", nativeNonQual = "🧚\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧚🏻\u{200D}♀️" ), ( "mediumLight", "🧚🏼\u{200D}♀️" ), ( "medium", "🧚🏽\u{200D}♀️" ), ( "mediumDark", "🧚🏾\u{200D}♀️" ), ( "dark", "🧚🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "vampire", { name = "VAMPIRE", native = "🧛", nativeNonQual = "🧛", keywords = [ "Dracula", "undead", "vampire" ], skinVariations = Dict.fromList [ ( "light", "🧛🏻" ), ( "mediumLight", "🧛🏼" ), ( "medium", "🧛🏽" ), ( "mediumDark", "🧛🏾" ), ( "dark", "🧛🏿" ) ], version = 15 } )
        , ( "male_vampire", { name = "MAN VAMPIRE", native = "🧛\u{200D}♂️", nativeNonQual = "🧛\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧛🏻\u{200D}♂️" ), ( "mediumLight", "🧛🏼\u{200D}♂️" ), ( "medium", "🧛🏽\u{200D}♂️" ), ( "mediumDark", "🧛🏾\u{200D}♂️" ), ( "dark", "🧛🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female_vampire", { name = "WOMAN VAMPIRE", native = "🧛\u{200D}♀️", nativeNonQual = "🧛\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧛🏻\u{200D}♀️" ), ( "mediumLight", "🧛🏼\u{200D}♀️" ), ( "medium", "🧛🏽\u{200D}♀️" ), ( "mediumDark", "🧛🏾\u{200D}♀️" ), ( "dark", "🧛🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "merperson", { name = "MERPERSON", native = "🧜", nativeNonQual = "🧜", keywords = [ "mermaid", "merman", "merperson", "merwoman" ], skinVariations = Dict.fromList [ ( "light", "🧜🏻" ), ( "mediumLight", "🧜🏼" ), ( "medium", "🧜🏽" ), ( "mediumDark", "🧜🏾" ), ( "dark", "🧜🏿" ) ], version = 15 } )
        , ( "merman", { name = "MERMAN", native = "🧜\u{200D}♂️", nativeNonQual = "🧜\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧜🏻\u{200D}♂️" ), ( "mediumLight", "🧜🏼\u{200D}♂️" ), ( "medium", "🧜🏽\u{200D}♂️" ), ( "mediumDark", "🧜🏾\u{200D}♂️" ), ( "dark", "🧜🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "mermaid", { name = "MERMAID", native = "🧜\u{200D}♀️", nativeNonQual = "🧜\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧜🏻\u{200D}♀️" ), ( "mediumLight", "🧜🏼\u{200D}♀️" ), ( "medium", "🧜🏽\u{200D}♀️" ), ( "mediumDark", "🧜🏾\u{200D}♀️" ), ( "dark", "🧜🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "elf", { name = "ELF", native = "🧝", nativeNonQual = "🧝", keywords = [ "elf", "magical" ], skinVariations = Dict.fromList [ ( "light", "🧝🏻" ), ( "mediumLight", "🧝🏼" ), ( "medium", "🧝🏽" ), ( "mediumDark", "🧝🏾" ), ( "dark", "🧝🏿" ) ], version = 15 } )
        , ( "male_elf", { name = "MAN ELF", native = "🧝\u{200D}♂️", nativeNonQual = "🧝\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧝🏻\u{200D}♂️" ), ( "mediumLight", "🧝🏼\u{200D}♂️" ), ( "medium", "🧝🏽\u{200D}♂️" ), ( "mediumDark", "🧝🏾\u{200D}♂️" ), ( "dark", "🧝🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "female_elf", { name = "WOMAN ELF", native = "🧝\u{200D}♀️", nativeNonQual = "🧝\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧝🏻\u{200D}♀️" ), ( "mediumLight", "🧝🏼\u{200D}♀️" ), ( "medium", "🧝🏽\u{200D}♀️" ), ( "mediumDark", "🧝🏾\u{200D}♀️" ), ( "dark", "🧝🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "genie", { name = "GENIE", native = "🧞", nativeNonQual = "🧞", keywords = [ "djinn", "genie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "male_genie", { name = "MAN GENIE", native = "🧞\u{200D}♂️", nativeNonQual = "🧞\u{200D}♂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "female_genie", { name = "WOMAN GENIE", native = "🧞\u{200D}♀️", nativeNonQual = "🧞\u{200D}♀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zombie", { name = "ZOMBIE", native = "🧟", nativeNonQual = "🧟", keywords = [ "undead", "walking dead", "zombie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "male_zombie", { name = "MAN ZOMBIE", native = "🧟\u{200D}♂️", nativeNonQual = "🧟\u{200D}♂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "female_zombie", { name = "WOMAN ZOMBIE", native = "🧟\u{200D}♀️", nativeNonQual = "🧟\u{200D}♀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "troll", { name = "TROLL", native = "\u{1F9CC}", nativeNonQual = "\u{1F9CC}", keywords = [ "fairy tale", "fantasy", "monster", "troll" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "massage", { name = "FACE MASSAGE", native = "💆", nativeNonQual = "💆", keywords = [ "face", "massage", "person getting massage", "salon" ], skinVariations = Dict.fromList [ ( "light", "💆🏻" ), ( "mediumLight", "💆🏼" ), ( "medium", "💆🏽" ), ( "mediumDark", "💆🏾" ), ( "dark", "💆🏿" ) ], version = 15 } )
        , ( "man-getting-massage", { name = "MAN GETTING MASSAGE", native = "💆\u{200D}♂️", nativeNonQual = "💆\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "💆🏻\u{200D}♂️" ), ( "mediumLight", "💆🏼\u{200D}♂️" ), ( "medium", "💆🏽\u{200D}♂️" ), ( "mediumDark", "💆🏾\u{200D}♂️" ), ( "dark", "💆🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-getting-massage", { name = "WOMAN GETTING MASSAGE", native = "💆\u{200D}♀️", nativeNonQual = "💆\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "💆🏻\u{200D}♀️" ), ( "mediumLight", "💆🏼\u{200D}♀️" ), ( "medium", "💆🏽\u{200D}♀️" ), ( "mediumDark", "💆🏾\u{200D}♀️" ), ( "dark", "💆🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "haircut", { name = "HAIRCUT", native = "💇", nativeNonQual = "💇", keywords = [ "barber", "beauty", "haircut", "parlor", "person getting haircut" ], skinVariations = Dict.fromList [ ( "light", "💇🏻" ), ( "mediumLight", "💇🏼" ), ( "medium", "💇🏽" ), ( "mediumDark", "💇🏾" ), ( "dark", "💇🏿" ) ], version = 15 } )
        , ( "man-getting-haircut", { name = "MAN GETTING HAIRCUT", native = "💇\u{200D}♂️", nativeNonQual = "💇\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "💇🏻\u{200D}♂️" ), ( "mediumLight", "💇🏼\u{200D}♂️" ), ( "medium", "💇🏽\u{200D}♂️" ), ( "mediumDark", "💇🏾\u{200D}♂️" ), ( "dark", "💇🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-getting-haircut", { name = "WOMAN GETTING HAIRCUT", native = "💇\u{200D}♀️", nativeNonQual = "💇\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "💇🏻\u{200D}♀️" ), ( "mediumLight", "💇🏼\u{200D}♀️" ), ( "medium", "💇🏽\u{200D}♀️" ), ( "mediumDark", "💇🏾\u{200D}♀️" ), ( "dark", "💇🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "walking", { name = "PEDESTRIAN", native = "🚶", nativeNonQual = "🚶", keywords = [ "hike", "person walking", "walk", "walking" ], skinVariations = Dict.fromList [ ( "light", "🚶🏻" ), ( "mediumLight", "🚶🏼" ), ( "medium", "🚶🏽" ), ( "mediumDark", "🚶🏾" ), ( "dark", "🚶🏿" ) ], version = 15 } )
        , ( "man-walking", { name = "MAN WALKING", native = "🚶\u{200D}♂️", nativeNonQual = "🚶\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚶🏻\u{200D}♂️" ), ( "mediumLight", "🚶🏼\u{200D}♂️" ), ( "medium", "🚶🏽\u{200D}♂️" ), ( "mediumDark", "🚶🏾\u{200D}♂️" ), ( "dark", "🚶🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-walking", { name = "WOMAN WALKING", native = "🚶\u{200D}♀️", nativeNonQual = "🚶\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚶🏻\u{200D}♀️" ), ( "mediumLight", "🚶🏼\u{200D}♀️" ), ( "medium", "🚶🏽\u{200D}♀️" ), ( "mediumDark", "🚶🏾\u{200D}♀️" ), ( "dark", "🚶🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "standing_person", { name = "STANDING PERSON", native = "🧍", nativeNonQual = "🧍", keywords = [ "person standing", "stand", "standing" ], skinVariations = Dict.fromList [ ( "light", "🧍🏻" ), ( "mediumLight", "🧍🏼" ), ( "medium", "🧍🏽" ), ( "mediumDark", "🧍🏾" ), ( "dark", "🧍🏿" ) ], version = 15 } )
        , ( "man_standing", { name = "MAN STANDING", native = "🧍\u{200D}♂️", nativeNonQual = "🧍\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧍🏻\u{200D}♂️" ), ( "mediumLight", "🧍🏼\u{200D}♂️" ), ( "medium", "🧍🏽\u{200D}♂️" ), ( "mediumDark", "🧍🏾\u{200D}♂️" ), ( "dark", "🧍🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_standing", { name = "WOMAN STANDING", native = "🧍\u{200D}♀️", nativeNonQual = "🧍\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧍🏻\u{200D}♀️" ), ( "mediumLight", "🧍🏼\u{200D}♀️" ), ( "medium", "🧍🏽\u{200D}♀️" ), ( "mediumDark", "🧍🏾\u{200D}♀️" ), ( "dark", "🧍🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "kneeling_person", { name = "KNEELING PERSON", native = "🧎", nativeNonQual = "🧎", keywords = [ "kneel", "kneeling", "person kneeling" ], skinVariations = Dict.fromList [ ( "light", "🧎🏻" ), ( "mediumLight", "🧎🏼" ), ( "medium", "🧎🏽" ), ( "mediumDark", "🧎🏾" ), ( "dark", "🧎🏿" ) ], version = 15 } )
        , ( "man_kneeling", { name = "MAN KNEELING", native = "🧎\u{200D}♂️", nativeNonQual = "🧎\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧎🏻\u{200D}♂️" ), ( "mediumLight", "🧎🏼\u{200D}♂️" ), ( "medium", "🧎🏽\u{200D}♂️" ), ( "mediumDark", "🧎🏾\u{200D}♂️" ), ( "dark", "🧎🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_kneeling", { name = "WOMAN KNEELING", native = "🧎\u{200D}♀️", nativeNonQual = "🧎\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧎🏻\u{200D}♀️" ), ( "mediumLight", "🧎🏼\u{200D}♀️" ), ( "medium", "🧎🏽\u{200D}♀️" ), ( "mediumDark", "🧎🏾\u{200D}♀️" ), ( "dark", "🧎🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_with_probing_cane", { name = "PERSON WITH WHITE CANE", native = "🧑\u{200D}🦯", nativeNonQual = "🧑\u{200D}🦯", keywords = [ "accessibility", "blind", "person with white cane" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦯" ), ( "mediumLight", "🧑🏼\u{200D}🦯" ), ( "medium", "🧑🏽\u{200D}🦯" ), ( "mediumDark", "🧑🏾\u{200D}🦯" ), ( "dark", "🧑🏿\u{200D}🦯" ) ], version = 15 } )
        , ( "man_with_probing_cane", { name = "MAN WITH WHITE CANE", native = "👨\u{200D}🦯", nativeNonQual = "👨\u{200D}🦯", keywords = [ "accessibility", "blind", "man", "man with white cane" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦯" ), ( "mediumLight", "👨🏼\u{200D}🦯" ), ( "medium", "👨🏽\u{200D}🦯" ), ( "mediumDark", "👨🏾\u{200D}🦯" ), ( "dark", "👨🏿\u{200D}🦯" ) ], version = 15 } )
        , ( "woman_with_probing_cane", { name = "WOMAN WITH WHITE CANE", native = "👩\u{200D}🦯", nativeNonQual = "👩\u{200D}🦯", keywords = [ "accessibility", "blind", "woman", "woman with white cane" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦯" ), ( "mediumLight", "👩🏼\u{200D}🦯" ), ( "medium", "👩🏽\u{200D}🦯" ), ( "mediumDark", "👩🏾\u{200D}🦯" ), ( "dark", "👩🏿\u{200D}🦯" ) ], version = 15 } )
        , ( "person_in_motorized_wheelchair", { name = "PERSON IN MOTORIZED WHEELCHAIR", native = "🧑\u{200D}🦼", nativeNonQual = "🧑\u{200D}🦼", keywords = [ "accessibility", "person in motorized wheelchair", "wheelchair" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦼" ), ( "mediumLight", "🧑🏼\u{200D}🦼" ), ( "medium", "🧑🏽\u{200D}🦼" ), ( "mediumDark", "🧑🏾\u{200D}🦼" ), ( "dark", "🧑🏿\u{200D}🦼" ) ], version = 15 } )
        , ( "man_in_motorized_wheelchair", { name = "MAN IN MOTORIZED WHEELCHAIR", native = "👨\u{200D}🦼", nativeNonQual = "👨\u{200D}🦼", keywords = [ "accessibility", "man", "man in motorized wheelchair", "wheelchair" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦼" ), ( "mediumLight", "👨🏼\u{200D}🦼" ), ( "medium", "👨🏽\u{200D}🦼" ), ( "mediumDark", "👨🏾\u{200D}🦼" ), ( "dark", "👨🏿\u{200D}🦼" ) ], version = 15 } )
        , ( "woman_in_motorized_wheelchair", { name = "WOMAN IN MOTORIZED WHEELCHAIR", native = "👩\u{200D}🦼", nativeNonQual = "👩\u{200D}🦼", keywords = [ "accessibility", "wheelchair", "woman", "woman in motorized wheelchair" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦼" ), ( "mediumLight", "👩🏼\u{200D}🦼" ), ( "medium", "👩🏽\u{200D}🦼" ), ( "mediumDark", "👩🏾\u{200D}🦼" ), ( "dark", "👩🏿\u{200D}🦼" ) ], version = 15 } )
        , ( "person_in_manual_wheelchair", { name = "PERSON IN MANUAL WHEELCHAIR", native = "🧑\u{200D}🦽", nativeNonQual = "🧑\u{200D}🦽", keywords = [ "accessibility", "person in manual wheelchair", "wheelchair" ], skinVariations = Dict.fromList [ ( "light", "🧑🏻\u{200D}🦽" ), ( "mediumLight", "🧑🏼\u{200D}🦽" ), ( "medium", "🧑🏽\u{200D}🦽" ), ( "mediumDark", "🧑🏾\u{200D}🦽" ), ( "dark", "🧑🏿\u{200D}🦽" ) ], version = 15 } )
        , ( "man_in_manual_wheelchair", { name = "MAN IN MANUAL WHEELCHAIR", native = "👨\u{200D}🦽", nativeNonQual = "👨\u{200D}🦽", keywords = [ "accessibility", "man", "man in manual wheelchair", "wheelchair" ], skinVariations = Dict.fromList [ ( "light", "👨🏻\u{200D}🦽" ), ( "mediumLight", "👨🏼\u{200D}🦽" ), ( "medium", "👨🏽\u{200D}🦽" ), ( "mediumDark", "👨🏾\u{200D}🦽" ), ( "dark", "👨🏿\u{200D}🦽" ) ], version = 15 } )
        , ( "woman_in_manual_wheelchair", { name = "WOMAN IN MANUAL WHEELCHAIR", native = "👩\u{200D}🦽", nativeNonQual = "👩\u{200D}🦽", keywords = [ "accessibility", "wheelchair", "woman", "woman in manual wheelchair" ], skinVariations = Dict.fromList [ ( "light", "👩🏻\u{200D}🦽" ), ( "mediumLight", "👩🏼\u{200D}🦽" ), ( "medium", "👩🏽\u{200D}🦽" ), ( "mediumDark", "👩🏾\u{200D}🦽" ), ( "dark", "👩🏿\u{200D}🦽" ) ], version = 15 } )
        , ( "runner", { name = "RUNNER", native = "🏃", nativeNonQual = "🏃", keywords = [ "marathon", "person running", "running" ], skinVariations = Dict.fromList [ ( "light", "🏃🏻" ), ( "mediumLight", "🏃🏼" ), ( "medium", "🏃🏽" ), ( "mediumDark", "🏃🏾" ), ( "dark", "🏃🏿" ) ], version = 15 } )
        , ( "man-running", { name = "MAN RUNNING", native = "🏃\u{200D}♂️", nativeNonQual = "🏃\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏃🏻\u{200D}♂️" ), ( "mediumLight", "🏃🏼\u{200D}♂️" ), ( "medium", "🏃🏽\u{200D}♂️" ), ( "mediumDark", "🏃🏾\u{200D}♂️" ), ( "dark", "🏃🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-running", { name = "WOMAN RUNNING", native = "🏃\u{200D}♀️", nativeNonQual = "🏃\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏃🏻\u{200D}♀️" ), ( "mediumLight", "🏃🏼\u{200D}♀️" ), ( "medium", "🏃🏽\u{200D}♀️" ), ( "mediumDark", "🏃🏾\u{200D}♀️" ), ( "dark", "🏃🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "dancer", { name = "DANCER", native = "💃", nativeNonQual = "💃", keywords = [ "dance", "dancing", "woman" ], skinVariations = Dict.fromList [ ( "light", "💃🏻" ), ( "mediumLight", "💃🏼" ), ( "medium", "💃🏽" ), ( "mediumDark", "💃🏾" ), ( "dark", "💃🏿" ) ], version = 15 } )
        , ( "man_dancing", { name = "MAN DANCING", native = "🕺", nativeNonQual = "🕺", keywords = [ "dance", "dancing", "man" ], skinVariations = Dict.fromList [ ( "light", "🕺🏻" ), ( "mediumLight", "🕺🏼" ), ( "medium", "🕺🏽" ), ( "mediumDark", "🕺🏾" ), ( "dark", "🕺🏿" ) ], version = 15 } )
        , ( "man_in_business_suit_levitating", { name = "PERSON IN SUIT LEVITATING", native = "🕴️", nativeNonQual = "🕴", keywords = [], skinVariations = Dict.fromList [ ( "light", "🕴🏻" ), ( "mediumLight", "🕴🏼" ), ( "medium", "🕴🏽" ), ( "mediumDark", "🕴🏾" ), ( "dark", "🕴🏿" ) ], version = 15 } )
        , ( "dancers", { name = "WOMAN WITH BUNNY EARS", native = "👯", nativeNonQual = "👯", keywords = [ "bunny ear", "dancer", "partying", "people with bunny ears" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "men-with-bunny-ears-partying", { name = "MEN WITH BUNNY EARS", native = "👯\u{200D}♂️", nativeNonQual = "👯\u{200D}♂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "women-with-bunny-ears-partying", { name = "WOMEN WITH BUNNY EARS", native = "👯\u{200D}♀️", nativeNonQual = "👯\u{200D}♀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "person_in_steamy_room", { name = "PERSON IN STEAMY ROOM", native = "🧖", nativeNonQual = "🧖", keywords = [ "person in steamy room", "sauna", "steam room" ], skinVariations = Dict.fromList [ ( "light", "🧖🏻" ), ( "mediumLight", "🧖🏼" ), ( "medium", "🧖🏽" ), ( "mediumDark", "🧖🏾" ), ( "dark", "🧖🏿" ) ], version = 15 } )
        , ( "man_in_steamy_room", { name = "MAN IN STEAMY ROOM", native = "🧖\u{200D}♂️", nativeNonQual = "🧖\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧖🏻\u{200D}♂️" ), ( "mediumLight", "🧖🏼\u{200D}♂️" ), ( "medium", "🧖🏽\u{200D}♂️" ), ( "mediumDark", "🧖🏾\u{200D}♂️" ), ( "dark", "🧖🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_in_steamy_room", { name = "WOMAN IN STEAMY ROOM", native = "🧖\u{200D}♀️", nativeNonQual = "🧖\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧖🏻\u{200D}♀️" ), ( "mediumLight", "🧖🏼\u{200D}♀️" ), ( "medium", "🧖🏽\u{200D}♀️" ), ( "mediumDark", "🧖🏾\u{200D}♀️" ), ( "dark", "🧖🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_climbing", { name = "PERSON CLIMBING", native = "🧗", nativeNonQual = "🧗", keywords = [ "climber", "person climbing" ], skinVariations = Dict.fromList [ ( "light", "🧗🏻" ), ( "mediumLight", "🧗🏼" ), ( "medium", "🧗🏽" ), ( "mediumDark", "🧗🏾" ), ( "dark", "🧗🏿" ) ], version = 15 } )
        , ( "man_climbing", { name = "MAN CLIMBING", native = "🧗\u{200D}♂️", nativeNonQual = "🧗\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧗🏻\u{200D}♂️" ), ( "mediumLight", "🧗🏼\u{200D}♂️" ), ( "medium", "🧗🏽\u{200D}♂️" ), ( "mediumDark", "🧗🏾\u{200D}♂️" ), ( "dark", "🧗🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_climbing", { name = "WOMAN CLIMBING", native = "🧗\u{200D}♀️", nativeNonQual = "🧗\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧗🏻\u{200D}♀️" ), ( "mediumLight", "🧗🏼\u{200D}♀️" ), ( "medium", "🧗🏽\u{200D}♀️" ), ( "mediumDark", "🧗🏾\u{200D}♀️" ), ( "dark", "🧗🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "fencer", { name = "FENCER", native = "🤺", nativeNonQual = "🤺", keywords = [ "fencer", "fencing", "person fencing", "sword" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "horse_racing", { name = "HORSE RACING", native = "🏇", nativeNonQual = "🏇", keywords = [ "horse", "jockey", "racehorse", "racing" ], skinVariations = Dict.fromList [ ( "light", "🏇🏻" ), ( "mediumLight", "🏇🏼" ), ( "medium", "🏇🏽" ), ( "mediumDark", "🏇🏾" ), ( "dark", "🏇🏿" ) ], version = 15 } )
        , ( "skier", { name = "SKIER", native = "⛷️", nativeNonQual = "⛷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snowboarder", { name = "SNOWBOARDER", native = "🏂", nativeNonQual = "🏂", keywords = [ "ski", "snow", "snowboard", "snowboarder" ], skinVariations = Dict.fromList [ ( "light", "🏂🏻" ), ( "mediumLight", "🏂🏼" ), ( "medium", "🏂🏽" ), ( "mediumDark", "🏂🏾" ), ( "dark", "🏂🏿" ) ], version = 15 } )
        , ( "golfer", { name = "PERSON GOLFING", native = "🏌️", nativeNonQual = "🏌", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏌🏻" ), ( "mediumLight", "🏌🏼" ), ( "medium", "🏌🏽" ), ( "mediumDark", "🏌🏾" ), ( "dark", "🏌🏿" ) ], version = 15 } )
        , ( "man-golfing", { name = "MAN GOLFING", native = "🏌️\u{200D}♂️", nativeNonQual = "🏌️\u{200D}♂️", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏌🏻\u{200D}♂️" ), ( "mediumLight", "🏌🏼\u{200D}♂️" ), ( "medium", "🏌🏽\u{200D}♂️" ), ( "mediumDark", "🏌🏾\u{200D}♂️" ), ( "dark", "🏌🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-golfing", { name = "WOMAN GOLFING", native = "🏌️\u{200D}♀️", nativeNonQual = "🏌️\u{200D}♀️", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏌🏻\u{200D}♀️" ), ( "mediumLight", "🏌🏼\u{200D}♀️" ), ( "medium", "🏌🏽\u{200D}♀️" ), ( "mediumDark", "🏌🏾\u{200D}♀️" ), ( "dark", "🏌🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "surfer", { name = "SURFER", native = "🏄", nativeNonQual = "🏄", keywords = [ "person surfing", "surfing" ], skinVariations = Dict.fromList [ ( "light", "🏄🏻" ), ( "mediumLight", "🏄🏼" ), ( "medium", "🏄🏽" ), ( "mediumDark", "🏄🏾" ), ( "dark", "🏄🏿" ) ], version = 15 } )
        , ( "man-surfing", { name = "MAN SURFING", native = "🏄\u{200D}♂️", nativeNonQual = "🏄\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏄🏻\u{200D}♂️" ), ( "mediumLight", "🏄🏼\u{200D}♂️" ), ( "medium", "🏄🏽\u{200D}♂️" ), ( "mediumDark", "🏄🏾\u{200D}♂️" ), ( "dark", "🏄🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-surfing", { name = "WOMAN SURFING", native = "🏄\u{200D}♀️", nativeNonQual = "🏄\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏄🏻\u{200D}♀️" ), ( "mediumLight", "🏄🏼\u{200D}♀️" ), ( "medium", "🏄🏽\u{200D}♀️" ), ( "mediumDark", "🏄🏾\u{200D}♀️" ), ( "dark", "🏄🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "rowboat", { name = "ROWBOAT", native = "🚣", nativeNonQual = "🚣", keywords = [ "boat", "person rowing boat", "rowboat" ], skinVariations = Dict.fromList [ ( "light", "🚣🏻" ), ( "mediumLight", "🚣🏼" ), ( "medium", "🚣🏽" ), ( "mediumDark", "🚣🏾" ), ( "dark", "🚣🏿" ) ], version = 15 } )
        , ( "man-rowing-boat", { name = "MAN ROWING BOAT", native = "🚣\u{200D}♂️", nativeNonQual = "🚣\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚣🏻\u{200D}♂️" ), ( "mediumLight", "🚣🏼\u{200D}♂️" ), ( "medium", "🚣🏽\u{200D}♂️" ), ( "mediumDark", "🚣🏾\u{200D}♂️" ), ( "dark", "🚣🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-rowing-boat", { name = "WOMAN ROWING BOAT", native = "🚣\u{200D}♀️", nativeNonQual = "🚣\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚣🏻\u{200D}♀️" ), ( "mediumLight", "🚣🏼\u{200D}♀️" ), ( "medium", "🚣🏽\u{200D}♀️" ), ( "mediumDark", "🚣🏾\u{200D}♀️" ), ( "dark", "🚣🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "swimmer", { name = "SWIMMER", native = "🏊", nativeNonQual = "🏊", keywords = [ "person swimming", "swim" ], skinVariations = Dict.fromList [ ( "light", "🏊🏻" ), ( "mediumLight", "🏊🏼" ), ( "medium", "🏊🏽" ), ( "mediumDark", "🏊🏾" ), ( "dark", "🏊🏿" ) ], version = 15 } )
        , ( "man-swimming", { name = "MAN SWIMMING", native = "🏊\u{200D}♂️", nativeNonQual = "🏊\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏊🏻\u{200D}♂️" ), ( "mediumLight", "🏊🏼\u{200D}♂️" ), ( "medium", "🏊🏽\u{200D}♂️" ), ( "mediumDark", "🏊🏾\u{200D}♂️" ), ( "dark", "🏊🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-swimming", { name = "WOMAN SWIMMING", native = "🏊\u{200D}♀️", nativeNonQual = "🏊\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏊🏻\u{200D}♀️" ), ( "mediumLight", "🏊🏼\u{200D}♀️" ), ( "medium", "🏊🏽\u{200D}♀️" ), ( "mediumDark", "🏊🏾\u{200D}♀️" ), ( "dark", "🏊🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_with_ball", { name = "PERSON BOUNCING BALL", native = "⛹️", nativeNonQual = "⛹", keywords = [], skinVariations = Dict.fromList [ ( "light", "⛹🏻" ), ( "mediumLight", "⛹🏼" ), ( "medium", "⛹🏽" ), ( "mediumDark", "⛹🏾" ), ( "dark", "⛹🏿" ) ], version = 15 } )
        , ( "man-bouncing-ball", { name = "MAN BOUNCING BALL", native = "⛹️\u{200D}♂️", nativeNonQual = "⛹️\u{200D}♂️", keywords = [], skinVariations = Dict.fromList [ ( "light", "⛹🏻\u{200D}♂️" ), ( "mediumLight", "⛹🏼\u{200D}♂️" ), ( "medium", "⛹🏽\u{200D}♂️" ), ( "mediumDark", "⛹🏾\u{200D}♂️" ), ( "dark", "⛹🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-bouncing-ball", { name = "WOMAN BOUNCING BALL", native = "⛹️\u{200D}♀️", nativeNonQual = "⛹️\u{200D}♀️", keywords = [], skinVariations = Dict.fromList [ ( "light", "⛹🏻\u{200D}♀️" ), ( "mediumLight", "⛹🏼\u{200D}♀️" ), ( "medium", "⛹🏽\u{200D}♀️" ), ( "mediumDark", "⛹🏾\u{200D}♀️" ), ( "dark", "⛹🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "weight_lifter", { name = "PERSON LIFTING WEIGHTS", native = "🏋️", nativeNonQual = "🏋", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏋🏻" ), ( "mediumLight", "🏋🏼" ), ( "medium", "🏋🏽" ), ( "mediumDark", "🏋🏾" ), ( "dark", "🏋🏿" ) ], version = 15 } )
        , ( "man-lifting-weights", { name = "MAN LIFTING WEIGHTS", native = "🏋️\u{200D}♂️", nativeNonQual = "🏋️\u{200D}♂️", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏋🏻\u{200D}♂️" ), ( "mediumLight", "🏋🏼\u{200D}♂️" ), ( "medium", "🏋🏽\u{200D}♂️" ), ( "mediumDark", "🏋🏾\u{200D}♂️" ), ( "dark", "🏋🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-lifting-weights", { name = "WOMAN LIFTING WEIGHTS", native = "🏋️\u{200D}♀️", nativeNonQual = "🏋️\u{200D}♀️", keywords = [], skinVariations = Dict.fromList [ ( "light", "🏋🏻\u{200D}♀️" ), ( "mediumLight", "🏋🏼\u{200D}♀️" ), ( "medium", "🏋🏽\u{200D}♀️" ), ( "mediumDark", "🏋🏾\u{200D}♀️" ), ( "dark", "🏋🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "bicyclist", { name = "BICYCLIST", native = "🚴", nativeNonQual = "🚴", keywords = [ "bicycle", "biking", "cyclist", "person biking" ], skinVariations = Dict.fromList [ ( "light", "🚴🏻" ), ( "mediumLight", "🚴🏼" ), ( "medium", "🚴🏽" ), ( "mediumDark", "🚴🏾" ), ( "dark", "🚴🏿" ) ], version = 15 } )
        , ( "man-biking", { name = "MAN BIKING", native = "🚴\u{200D}♂️", nativeNonQual = "🚴\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚴🏻\u{200D}♂️" ), ( "mediumLight", "🚴🏼\u{200D}♂️" ), ( "medium", "🚴🏽\u{200D}♂️" ), ( "mediumDark", "🚴🏾\u{200D}♂️" ), ( "dark", "🚴🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-biking", { name = "WOMAN BIKING", native = "🚴\u{200D}♀️", nativeNonQual = "🚴\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚴🏻\u{200D}♀️" ), ( "mediumLight", "🚴🏼\u{200D}♀️" ), ( "medium", "🚴🏽\u{200D}♀️" ), ( "mediumDark", "🚴🏾\u{200D}♀️" ), ( "dark", "🚴🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "mountain_bicyclist", { name = "MOUNTAIN BICYCLIST", native = "🚵", nativeNonQual = "🚵", keywords = [ "bicycle", "bicyclist", "bike", "cyclist", "mountain", "person mountain biking" ], skinVariations = Dict.fromList [ ( "light", "🚵🏻" ), ( "mediumLight", "🚵🏼" ), ( "medium", "🚵🏽" ), ( "mediumDark", "🚵🏾" ), ( "dark", "🚵🏿" ) ], version = 15 } )
        , ( "man-mountain-biking", { name = "MAN MOUNTAIN BIKING", native = "🚵\u{200D}♂️", nativeNonQual = "🚵\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚵🏻\u{200D}♂️" ), ( "mediumLight", "🚵🏼\u{200D}♂️" ), ( "medium", "🚵🏽\u{200D}♂️" ), ( "mediumDark", "🚵🏾\u{200D}♂️" ), ( "dark", "🚵🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-mountain-biking", { name = "WOMAN MOUNTAIN BIKING", native = "🚵\u{200D}♀️", nativeNonQual = "🚵\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🚵🏻\u{200D}♀️" ), ( "mediumLight", "🚵🏼\u{200D}♀️" ), ( "medium", "🚵🏽\u{200D}♀️" ), ( "mediumDark", "🚵🏾\u{200D}♀️" ), ( "dark", "🚵🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_doing_cartwheel", { name = "PERSON DOING CARTWHEEL", native = "🤸", nativeNonQual = "🤸", keywords = [ "cartwheel", "gymnastics", "person cartwheeling" ], skinVariations = Dict.fromList [ ( "light", "🤸🏻" ), ( "mediumLight", "🤸🏼" ), ( "medium", "🤸🏽" ), ( "mediumDark", "🤸🏾" ), ( "dark", "🤸🏿" ) ], version = 15 } )
        , ( "man-cartwheeling", { name = "MAN CARTWHEELING", native = "🤸\u{200D}♂️", nativeNonQual = "🤸\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤸🏻\u{200D}♂️" ), ( "mediumLight", "🤸🏼\u{200D}♂️" ), ( "medium", "🤸🏽\u{200D}♂️" ), ( "mediumDark", "🤸🏾\u{200D}♂️" ), ( "dark", "🤸🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-cartwheeling", { name = "WOMAN CARTWHEELING", native = "🤸\u{200D}♀️", nativeNonQual = "🤸\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤸🏻\u{200D}♀️" ), ( "mediumLight", "🤸🏼\u{200D}♀️" ), ( "medium", "🤸🏽\u{200D}♀️" ), ( "mediumDark", "🤸🏾\u{200D}♀️" ), ( "dark", "🤸🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "wrestlers", { name = "WRESTLERS", native = "🤼", nativeNonQual = "🤼", keywords = [ "people wrestling", "wrestle", "wrestler" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-wrestling", { name = "MEN WRESTLING", native = "🤼\u{200D}♂️", nativeNonQual = "🤼\u{200D}♂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-wrestling", { name = "WOMEN WRESTLING", native = "🤼\u{200D}♀️", nativeNonQual = "🤼\u{200D}♀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "water_polo", { name = "WATER POLO", native = "🤽", nativeNonQual = "🤽", keywords = [ "person playing water polo", "polo", "water" ], skinVariations = Dict.fromList [ ( "light", "🤽🏻" ), ( "mediumLight", "🤽🏼" ), ( "medium", "🤽🏽" ), ( "mediumDark", "🤽🏾" ), ( "dark", "🤽🏿" ) ], version = 15 } )
        , ( "man-playing-water-polo", { name = "MAN PLAYING WATER POLO", native = "🤽\u{200D}♂️", nativeNonQual = "🤽\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤽🏻\u{200D}♂️" ), ( "mediumLight", "🤽🏼\u{200D}♂️" ), ( "medium", "🤽🏽\u{200D}♂️" ), ( "mediumDark", "🤽🏾\u{200D}♂️" ), ( "dark", "🤽🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-playing-water-polo", { name = "WOMAN PLAYING WATER POLO", native = "🤽\u{200D}♀️", nativeNonQual = "🤽\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤽🏻\u{200D}♀️" ), ( "mediumLight", "🤽🏼\u{200D}♀️" ), ( "medium", "🤽🏽\u{200D}♀️" ), ( "mediumDark", "🤽🏾\u{200D}♀️" ), ( "dark", "🤽🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "handball", { name = "HANDBALL", native = "🤾", nativeNonQual = "🤾", keywords = [ "ball", "handball", "person playing handball" ], skinVariations = Dict.fromList [ ( "light", "🤾🏻" ), ( "mediumLight", "🤾🏼" ), ( "medium", "🤾🏽" ), ( "mediumDark", "🤾🏾" ), ( "dark", "🤾🏿" ) ], version = 15 } )
        , ( "man-playing-handball", { name = "MAN PLAYING HANDBALL", native = "🤾\u{200D}♂️", nativeNonQual = "🤾\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤾🏻\u{200D}♂️" ), ( "mediumLight", "🤾🏼\u{200D}♂️" ), ( "medium", "🤾🏽\u{200D}♂️" ), ( "mediumDark", "🤾🏾\u{200D}♂️" ), ( "dark", "🤾🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-playing-handball", { name = "WOMAN PLAYING HANDBALL", native = "🤾\u{200D}♀️", nativeNonQual = "🤾\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤾🏻\u{200D}♀️" ), ( "mediumLight", "🤾🏼\u{200D}♀️" ), ( "medium", "🤾🏽\u{200D}♀️" ), ( "mediumDark", "🤾🏾\u{200D}♀️" ), ( "dark", "🤾🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "juggling", { name = "JUGGLING", native = "🤹", nativeNonQual = "🤹", keywords = [ "balance", "juggle", "multitask", "person juggling", "skill" ], skinVariations = Dict.fromList [ ( "light", "🤹🏻" ), ( "mediumLight", "🤹🏼" ), ( "medium", "🤹🏽" ), ( "mediumDark", "🤹🏾" ), ( "dark", "🤹🏿" ) ], version = 15 } )
        , ( "man-juggling", { name = "MAN JUGGLING", native = "🤹\u{200D}♂️", nativeNonQual = "🤹\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤹🏻\u{200D}♂️" ), ( "mediumLight", "🤹🏼\u{200D}♂️" ), ( "medium", "🤹🏽\u{200D}♂️" ), ( "mediumDark", "🤹🏾\u{200D}♂️" ), ( "dark", "🤹🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman-juggling", { name = "WOMAN JUGGLING", native = "🤹\u{200D}♀️", nativeNonQual = "🤹\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🤹🏻\u{200D}♀️" ), ( "mediumLight", "🤹🏼\u{200D}♀️" ), ( "medium", "🤹🏽\u{200D}♀️" ), ( "mediumDark", "🤹🏾\u{200D}♀️" ), ( "dark", "🤹🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "person_in_lotus_position", { name = "PERSON IN LOTUS POSITION", native = "🧘", nativeNonQual = "🧘", keywords = [ "meditation", "person in lotus position", "yoga" ], skinVariations = Dict.fromList [ ( "light", "🧘🏻" ), ( "mediumLight", "🧘🏼" ), ( "medium", "🧘🏽" ), ( "mediumDark", "🧘🏾" ), ( "dark", "🧘🏿" ) ], version = 15 } )
        , ( "man_in_lotus_position", { name = "MAN IN LOTUS POSITION", native = "🧘\u{200D}♂️", nativeNonQual = "🧘\u{200D}♂", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧘🏻\u{200D}♂️" ), ( "mediumLight", "🧘🏼\u{200D}♂️" ), ( "medium", "🧘🏽\u{200D}♂️" ), ( "mediumDark", "🧘🏾\u{200D}♂️" ), ( "dark", "🧘🏿\u{200D}♂️" ) ], version = 15 } )
        , ( "woman_in_lotus_position", { name = "WOMAN IN LOTUS POSITION", native = "🧘\u{200D}♀️", nativeNonQual = "🧘\u{200D}♀", keywords = [], skinVariations = Dict.fromList [ ( "light", "🧘🏻\u{200D}♀️" ), ( "mediumLight", "🧘🏼\u{200D}♀️" ), ( "medium", "🧘🏽\u{200D}♀️" ), ( "mediumDark", "🧘🏾\u{200D}♀️" ), ( "dark", "🧘🏿\u{200D}♀️" ) ], version = 15 } )
        , ( "bath", { name = "BATH", native = "🛀", nativeNonQual = "🛀", keywords = [ "bath", "bathtub", "person taking bath" ], skinVariations = Dict.fromList [ ( "light", "🛀🏻" ), ( "mediumLight", "🛀🏼" ), ( "medium", "🛀🏽" ), ( "mediumDark", "🛀🏾" ), ( "dark", "🛀🏿" ) ], version = 15 } )
        , ( "sleeping_accommodation", { name = "SLEEPING ACCOMMODATION", native = "🛌", nativeNonQual = "🛌", keywords = [ "good night", "hotel", "person in bed", "sleep" ], skinVariations = Dict.fromList [ ( "light", "🛌🏻" ), ( "mediumLight", "🛌🏼" ), ( "medium", "🛌🏽" ), ( "mediumDark", "🛌🏾" ), ( "dark", "🛌🏿" ) ], version = 15 } )
        , ( "people_holding_hands", { name = "PEOPLE HOLDING HANDS", native = "🧑\u{200D}🤝\u{200D}🧑", nativeNonQual = "🧑\u{200D}🤝\u{200D}🧑", keywords = [ "couple", "hand", "hold", "holding hands", "people holding hands", "person" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "two_women_holding_hands", { name = "TWO WOMEN HOLDING HANDS", native = "👭", nativeNonQual = "👭", keywords = [ "couple", "hand", "holding hands", "women", "women holding hands" ], skinVariations = Dict.fromList [ ( "light", "👭🏻" ), ( "mediumLight", "👭🏼" ), ( "medium", "👭🏽" ), ( "mediumDark", "👭🏾" ), ( "dark", "👭🏿" ) ], version = 15 } )
        , ( "man_and_woman_holding_hands", { name = "MAN AND WOMAN HOLDING HANDS", native = "👫", nativeNonQual = "👫", keywords = [ "couple", "hand", "hold", "holding hands", "man", "woman", "woman and man holding hands" ], skinVariations = Dict.fromList [ ( "light", "👫🏻" ), ( "mediumLight", "👫🏼" ), ( "medium", "👫🏽" ), ( "mediumDark", "👫🏾" ), ( "dark", "👫🏿" ) ], version = 15 } )
        , ( "two_men_holding_hands", { name = "TWO MEN HOLDING HANDS", native = "👬", nativeNonQual = "👬", keywords = [ "couple", "Gemini", "holding hands", "man", "men", "men holding hands", "twins", "zodiac" ], skinVariations = Dict.fromList [ ( "light", "👬🏻" ), ( "mediumLight", "👬🏼" ), ( "medium", "👬🏽" ), ( "mediumDark", "👬🏾" ), ( "dark", "👬🏿" ) ], version = 15 } )
        , ( "couplekiss", { name = "KISS", native = "💏", nativeNonQual = "💏", keywords = [ "couple", "kiss" ], skinVariations = Dict.fromList [ ( "light", "💏🏻" ), ( "mediumLight", "💏🏼" ), ( "medium", "💏🏽" ), ( "mediumDark", "💏🏾" ), ( "dark", "💏🏿" ) ], version = 15 } )
        , ( "woman-kiss-man", { name = "KISS: WOMAN, MAN", native = "👩\u{200D}❤️\u{200D}💋\u{200D}👨", nativeNonQual = "👩\u{200D}❤\u{200D}💋\u{200D}👨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-kiss-man", { name = "KISS: MAN, MAN", native = "👨\u{200D}❤️\u{200D}💋\u{200D}👨", nativeNonQual = "👨\u{200D}❤\u{200D}💋\u{200D}👨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-kiss-woman", { name = "KISS: WOMAN, WOMAN", native = "👩\u{200D}❤️\u{200D}💋\u{200D}👩", nativeNonQual = "👩\u{200D}❤\u{200D}💋\u{200D}👩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "couple_with_heart", { name = "COUPLE WITH HEART", native = "💑", nativeNonQual = "💑", keywords = [ "couple", "couple with heart", "love" ], skinVariations = Dict.fromList [ ( "light", "💑🏻" ), ( "mediumLight", "💑🏼" ), ( "medium", "💑🏽" ), ( "mediumDark", "💑🏾" ), ( "dark", "💑🏿" ) ], version = 15 } )
        , ( "woman-heart-man", { name = "COUPLE WITH HEART: WOMAN, MAN", native = "👩\u{200D}❤️\u{200D}👨", nativeNonQual = "👩\u{200D}❤\u{200D}👨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-heart-man", { name = "COUPLE WITH HEART: MAN, MAN", native = "👨\u{200D}❤️\u{200D}👨", nativeNonQual = "👨\u{200D}❤\u{200D}👨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-heart-woman", { name = "COUPLE WITH HEART: WOMAN, WOMAN", native = "👩\u{200D}❤️\u{200D}👩", nativeNonQual = "👩\u{200D}❤\u{200D}👩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "family", { name = "FAMILY", native = "👪", nativeNonQual = "👪", keywords = [ "family" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-woman-boy", { name = "FAMILY: MAN, WOMAN, BOY", native = "👨\u{200D}👩\u{200D}👦", nativeNonQual = "👨\u{200D}👩\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-woman-girl", { name = "FAMILY: MAN, WOMAN, GIRL", native = "👨\u{200D}👩\u{200D}👧", nativeNonQual = "👨\u{200D}👩\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-woman-girl-boy", { name = "FAMILY: MAN, WOMAN, GIRL, BOY", native = "👨\u{200D}👩\u{200D}👧\u{200D}👦", nativeNonQual = "👨\u{200D}👩\u{200D}👧\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-woman-boy-boy", { name = "FAMILY: MAN, WOMAN, BOY, BOY", native = "👨\u{200D}👩\u{200D}👦\u{200D}👦", nativeNonQual = "👨\u{200D}👩\u{200D}👦\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-woman-girl-girl", { name = "FAMILY: MAN, WOMAN, GIRL, GIRL", native = "👨\u{200D}👩\u{200D}👧\u{200D}👧", nativeNonQual = "👨\u{200D}👩\u{200D}👧\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-man-boy", { name = "FAMILY: MAN, MAN, BOY", native = "👨\u{200D}👨\u{200D}👦", nativeNonQual = "👨\u{200D}👨\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-man-girl", { name = "FAMILY: MAN, MAN, GIRL", native = "👨\u{200D}👨\u{200D}👧", nativeNonQual = "👨\u{200D}👨\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-man-girl-boy", { name = "FAMILY: MAN, MAN, GIRL, BOY", native = "👨\u{200D}👨\u{200D}👧\u{200D}👦", nativeNonQual = "👨\u{200D}👨\u{200D}👧\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-man-boy-boy", { name = "FAMILY: MAN, MAN, BOY, BOY", native = "👨\u{200D}👨\u{200D}👦\u{200D}👦", nativeNonQual = "👨\u{200D}👨\u{200D}👦\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-man-girl-girl", { name = "FAMILY: MAN, MAN, GIRL, GIRL", native = "👨\u{200D}👨\u{200D}👧\u{200D}👧", nativeNonQual = "👨\u{200D}👨\u{200D}👧\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-woman-boy", { name = "FAMILY: WOMAN, WOMAN, BOY", native = "👩\u{200D}👩\u{200D}👦", nativeNonQual = "👩\u{200D}👩\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-woman-girl", { name = "FAMILY: WOMAN, WOMAN, GIRL", native = "👩\u{200D}👩\u{200D}👧", nativeNonQual = "👩\u{200D}👩\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-woman-girl-boy", { name = "FAMILY: WOMAN, WOMAN, GIRL, BOY", native = "👩\u{200D}👩\u{200D}👧\u{200D}👦", nativeNonQual = "👩\u{200D}👩\u{200D}👧\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-woman-boy-boy", { name = "FAMILY: WOMAN, WOMAN, BOY, BOY", native = "👩\u{200D}👩\u{200D}👦\u{200D}👦", nativeNonQual = "👩\u{200D}👩\u{200D}👦\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-woman-girl-girl", { name = "FAMILY: WOMAN, WOMAN, GIRL, GIRL", native = "👩\u{200D}👩\u{200D}👧\u{200D}👧", nativeNonQual = "👩\u{200D}👩\u{200D}👧\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-boy", { name = "FAMILY: MAN, BOY", native = "👨\u{200D}👦", nativeNonQual = "👨\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-boy-boy", { name = "FAMILY: MAN, BOY, BOY", native = "👨\u{200D}👦\u{200D}👦", nativeNonQual = "👨\u{200D}👦\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-girl", { name = "FAMILY: MAN, GIRL", native = "👨\u{200D}👧", nativeNonQual = "👨\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-girl-boy", { name = "FAMILY: MAN, GIRL, BOY", native = "👨\u{200D}👧\u{200D}👦", nativeNonQual = "👨\u{200D}👧\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "man-girl-girl", { name = "FAMILY: MAN, GIRL, GIRL", native = "👨\u{200D}👧\u{200D}👧", nativeNonQual = "👨\u{200D}👧\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-boy", { name = "FAMILY: WOMAN, BOY", native = "👩\u{200D}👦", nativeNonQual = "👩\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-boy-boy", { name = "FAMILY: WOMAN, BOY, BOY", native = "👩\u{200D}👦\u{200D}👦", nativeNonQual = "👩\u{200D}👦\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-girl", { name = "FAMILY: WOMAN, GIRL", native = "👩\u{200D}👧", nativeNonQual = "👩\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-girl-boy", { name = "FAMILY: WOMAN, GIRL, BOY", native = "👩\u{200D}👧\u{200D}👦", nativeNonQual = "👩\u{200D}👧\u{200D}👦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "woman-girl-girl", { name = "FAMILY: WOMAN, GIRL, GIRL", native = "👩\u{200D}👧\u{200D}👧", nativeNonQual = "👩\u{200D}👧\u{200D}👧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "speaking_head_in_silhouette", { name = "SPEAKING HEAD", native = "🗣️", nativeNonQual = "🗣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bust_in_silhouette", { name = "BUST IN SILHOUETTE", native = "👤", nativeNonQual = "👤", keywords = [ "bust", "bust in silhouette", "silhouette" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "busts_in_silhouette", { name = "BUSTS IN SILHOUETTE", native = "👥", nativeNonQual = "👥", keywords = [ "bust", "busts in silhouette", "silhouette" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "people_hugging", { name = "PEOPLE HUGGING", native = "\u{1FAC2}", nativeNonQual = "\u{1FAC2}", keywords = [ "goodbye", "hello", "hug", "people hugging", "thanks" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "footprints", { name = "FOOTPRINTS", native = "👣", nativeNonQual = "👣", keywords = [ "clothing", "footprint", "footprints", "print" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skin-tone-2", { name = "EMOJI MODIFIER FITZPATRICK TYPE-1-2", native = "🏻", nativeNonQual = "🏻", keywords = [ "light skin tone", "skin tone", "type 1–2" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skin-tone-3", { name = "EMOJI MODIFIER FITZPATRICK TYPE-3", native = "🏼", nativeNonQual = "🏼", keywords = [ "medium-light skin tone", "skin tone", "type 3" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skin-tone-4", { name = "EMOJI MODIFIER FITZPATRICK TYPE-4", native = "🏽", nativeNonQual = "🏽", keywords = [ "medium skin tone", "skin tone", "type 4" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skin-tone-5", { name = "EMOJI MODIFIER FITZPATRICK TYPE-5", native = "🏾", nativeNonQual = "🏾", keywords = [ "medium-dark skin tone", "skin tone", "type 5" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skin-tone-6", { name = "EMOJI MODIFIER FITZPATRICK TYPE-6", native = "🏿", nativeNonQual = "🏿", keywords = [ "dark skin tone", "skin tone", "type 6" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "monkey_face", { name = "MONKEY FACE", native = "🐵", nativeNonQual = "🐵", keywords = [ "face", "monkey" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "monkey", { name = "MONKEY", native = "🐒", nativeNonQual = "🐒", keywords = [ "monkey" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gorilla", { name = "GORILLA", native = "🦍", nativeNonQual = "🦍", keywords = [ "gorilla" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "orangutan", { name = "ORANGUTAN", native = "🦧", nativeNonQual = "🦧", keywords = [ "ape", "orangutan" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dog", { name = "DOG FACE", native = "🐶", nativeNonQual = "🐶", keywords = [ "dog", "face", "pet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dog2", { name = "DOG", native = "🐕", nativeNonQual = "🐕", keywords = [ "dog", "pet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "guide_dog", { name = "GUIDE DOG", native = "🦮", nativeNonQual = "🦮", keywords = [ "accessibility", "blind", "guide", "guide dog" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "service_dog", { name = "SERVICE DOG", native = "🐕\u{200D}🦺", nativeNonQual = "🐕\u{200D}🦺", keywords = [ "accessibility", "assistance", "dog", "service" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "poodle", { name = "POODLE", native = "🐩", nativeNonQual = "🐩", keywords = [ "dog", "poodle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wolf", { name = "WOLF FACE", native = "🐺", nativeNonQual = "🐺", keywords = [ "face", "wolf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fox_face", { name = "FOX FACE", native = "🦊", nativeNonQual = "🦊", keywords = [ "face", "fox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "raccoon", { name = "RACCOON", native = "🦝", nativeNonQual = "🦝", keywords = [ "curious", "raccoon", "sly" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cat", { name = "CAT FACE", native = "🐱", nativeNonQual = "🐱", keywords = [ "cat", "face", "pet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cat2", { name = "CAT", native = "🐈", nativeNonQual = "🐈", keywords = [ "cat", "pet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_cat", { name = "BLACK CAT", native = "🐈\u{200D}⬛", nativeNonQual = "🐈\u{200D}⬛", keywords = [ "black", "cat", "unlucky" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lion_face", { name = "LION FACE", native = "🦁", nativeNonQual = "🦁", keywords = [ "face", "Leo", "lion", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tiger", { name = "TIGER FACE", native = "🐯", nativeNonQual = "🐯", keywords = [ "face", "tiger" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tiger2", { name = "TIGER", native = "🐅", nativeNonQual = "🐅", keywords = [ "tiger" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "leopard", { name = "LEOPARD", native = "🐆", nativeNonQual = "🐆", keywords = [ "leopard" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "horse", { name = "HORSE FACE", native = "🐴", nativeNonQual = "🐴", keywords = [ "face", "horse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "moose", { name = "MOOSE", native = "\u{1FACE}", nativeNonQual = "\u{1FACE}", keywords = [ "animal", "antlers", "elk", "mammal", "moose" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "donkey", { name = "DONKEY", native = "\u{1FACF}", nativeNonQual = "\u{1FACF}", keywords = [ "animal", "ass", "burro", "donkey", "mammal", "mule", "stubborn" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "racehorse", { name = "HORSE", native = "🐎", nativeNonQual = "🐎", keywords = [ "equestrian", "horse", "racehorse", "racing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "unicorn_face", { name = "UNICORN FACE", native = "🦄", nativeNonQual = "🦄", keywords = [ "face", "unicorn" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zebra_face", { name = "ZEBRA FACE", native = "🦓", nativeNonQual = "🦓", keywords = [ "stripe", "zebra" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "deer", { name = "DEER", native = "🦌", nativeNonQual = "🦌", keywords = [ "deer" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bison", { name = "BISON", native = "\u{1F9AC}", nativeNonQual = "\u{1F9AC}", keywords = [ "bison", "buffalo", "herd", "wisent" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cow", { name = "COW FACE", native = "🐮", nativeNonQual = "🐮", keywords = [ "cow", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ox", { name = "OX", native = "🐂", nativeNonQual = "🐂", keywords = [ "bull", "ox", "Taurus", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "water_buffalo", { name = "WATER BUFFALO", native = "🐃", nativeNonQual = "🐃", keywords = [ "buffalo", "water" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cow2", { name = "COW", native = "🐄", nativeNonQual = "🐄", keywords = [ "cow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pig", { name = "PIG FACE", native = "🐷", nativeNonQual = "🐷", keywords = [ "face", "pig" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pig2", { name = "PIG", native = "🐖", nativeNonQual = "🐖", keywords = [ "pig", "sow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "boar", { name = "BOAR", native = "🐗", nativeNonQual = "🐗", keywords = [ "boar", "pig" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pig_nose", { name = "PIG NOSE", native = "🐽", nativeNonQual = "🐽", keywords = [ "face", "nose", "pig" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ram", { name = "RAM", native = "🐏", nativeNonQual = "🐏", keywords = [ "Aries", "male", "ram", "sheep", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sheep", { name = "SHEEP", native = "🐑", nativeNonQual = "🐑", keywords = [ "ewe", "female", "sheep" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "goat", { name = "GOAT", native = "🐐", nativeNonQual = "🐐", keywords = [ "Capricorn", "goat", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dromedary_camel", { name = "DROMEDARY CAMEL", native = "🐪", nativeNonQual = "🐪", keywords = [ "camel", "dromedary", "hump" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "camel", { name = "BACTRIAN CAMEL", native = "🐫", nativeNonQual = "🐫", keywords = [ "bactrian", "camel", "hump", "two-hump camel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "llama", { name = "LLAMA", native = "🦙", nativeNonQual = "🦙", keywords = [ "alpaca", "guanaco", "llama", "vicuña", "wool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "giraffe_face", { name = "GIRAFFE FACE", native = "🦒", nativeNonQual = "🦒", keywords = [ "giraffe", "spots" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "elephant", { name = "ELEPHANT", native = "🐘", nativeNonQual = "🐘", keywords = [ "elephant" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mammoth", { name = "MAMMOTH", native = "\u{1F9A3}", nativeNonQual = "\u{1F9A3}", keywords = [ "extinction", "large", "mammoth", "tusk", "woolly" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rhinoceros", { name = "RHINOCEROS", native = "🦏", nativeNonQual = "🦏", keywords = [ "rhinoceros" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hippopotamus", { name = "HIPPOPOTAMUS", native = "🦛", nativeNonQual = "🦛", keywords = [ "hippo", "hippopotamus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mouse", { name = "MOUSE FACE", native = "🐭", nativeNonQual = "🐭", keywords = [ "face", "mouse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mouse2", { name = "MOUSE", native = "🐁", nativeNonQual = "🐁", keywords = [ "mouse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rat", { name = "RAT", native = "🐀", nativeNonQual = "🐀", keywords = [ "rat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hamster", { name = "HAMSTER FACE", native = "🐹", nativeNonQual = "🐹", keywords = [ "face", "hamster", "pet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rabbit", { name = "RABBIT FACE", native = "🐰", nativeNonQual = "🐰", keywords = [ "bunny", "face", "pet", "rabbit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rabbit2", { name = "RABBIT", native = "🐇", nativeNonQual = "🐇", keywords = [ "bunny", "pet", "rabbit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chipmunk", { name = "CHIPMUNK", native = "🐿️", nativeNonQual = "🐿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beaver", { name = "BEAVER", native = "\u{1F9AB}", nativeNonQual = "\u{1F9AB}", keywords = [ "beaver", "dam" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hedgehog", { name = "HEDGEHOG", native = "🦔", nativeNonQual = "🦔", keywords = [ "hedgehog", "spiny" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bat", { name = "BAT", native = "🦇", nativeNonQual = "🦇", keywords = [ "bat", "vampire" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bear", { name = "BEAR FACE", native = "🐻", nativeNonQual = "🐻", keywords = [ "bear", "face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "polar_bear", { name = "POLAR BEAR", native = "🐻\u{200D}❄️", nativeNonQual = "🐻\u{200D}❄", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "koala", { name = "KOALA", native = "🐨", nativeNonQual = "🐨", keywords = [ "face", "koala", "marsupial" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "panda_face", { name = "PANDA FACE", native = "🐼", nativeNonQual = "🐼", keywords = [ "face", "panda" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sloth", { name = "SLOTH", native = "🦥", nativeNonQual = "🦥", keywords = [ "lazy", "sloth", "slow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "otter", { name = "OTTER", native = "🦦", nativeNonQual = "🦦", keywords = [ "fishing", "otter", "playful" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skunk", { name = "SKUNK", native = "🦨", nativeNonQual = "🦨", keywords = [ "skunk", "stink" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kangaroo", { name = "KANGAROO", native = "🦘", nativeNonQual = "🦘", keywords = [ "joey", "jump", "kangaroo", "marsupial" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "badger", { name = "BADGER", native = "🦡", nativeNonQual = "🦡", keywords = [ "badger", "honey badger", "pester" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "feet", { name = "PAW PRINTS", native = "🐾", nativeNonQual = "🐾", keywords = [ "feet", "paw", "paw prints", "print" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "turkey", { name = "TURKEY", native = "🦃", nativeNonQual = "🦃", keywords = [ "bird", "turkey" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chicken", { name = "CHICKEN", native = "🐔", nativeNonQual = "🐔", keywords = [ "bird", "chicken" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rooster", { name = "ROOSTER", native = "🐓", nativeNonQual = "🐓", keywords = [ "bird", "rooster" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hatching_chick", { name = "HATCHING CHICK", native = "🐣", nativeNonQual = "🐣", keywords = [ "baby", "bird", "chick", "hatching" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baby_chick", { name = "BABY CHICK", native = "🐤", nativeNonQual = "🐤", keywords = [ "baby", "bird", "chick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hatched_chick", { name = "FRONT-FACING BABY CHICK", native = "🐥", nativeNonQual = "🐥", keywords = [ "baby", "bird", "chick", "front-facing baby chick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bird", { name = "BIRD", native = "🐦", nativeNonQual = "🐦", keywords = [ "bird" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "penguin", { name = "PENGUIN", native = "🐧", nativeNonQual = "🐧", keywords = [ "bird", "penguin" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dove_of_peace", { name = "DOVE", native = "🕊️", nativeNonQual = "🕊", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eagle", { name = "EAGLE", native = "🦅", nativeNonQual = "🦅", keywords = [ "bird", "eagle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "duck", { name = "DUCK", native = "🦆", nativeNonQual = "🦆", keywords = [ "bird", "duck" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "swan", { name = "SWAN", native = "🦢", nativeNonQual = "🦢", keywords = [ "bird", "cygnet", "swan", "ugly duckling" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "owl", { name = "OWL", native = "🦉", nativeNonQual = "🦉", keywords = [ "bird", "owl", "wise" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dodo", { name = "DODO", native = "\u{1F9A4}", nativeNonQual = "\u{1F9A4}", keywords = [ "dodo", "extinction", "large", "Mauritius" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "feather", { name = "FEATHER", native = "\u{1FAB6}", nativeNonQual = "\u{1FAB6}", keywords = [ "bird", "feather", "flight", "light", "plumage" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flamingo", { name = "FLAMINGO", native = "🦩", nativeNonQual = "🦩", keywords = [ "flamboyant", "flamingo", "tropical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "peacock", { name = "PEACOCK", native = "🦚", nativeNonQual = "🦚", keywords = [ "bird", "ostentatious", "peacock", "peahen", "proud" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "parrot", { name = "PARROT", native = "🦜", nativeNonQual = "🦜", keywords = [ "bird", "parrot", "pirate", "talk" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wing", { name = "WING", native = "\u{1FABD}", nativeNonQual = "\u{1FABD}", keywords = [ "angelic", "aviation", "bird", "flying", "mythology", "wing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_bird", { name = "BLACK BIRD", native = "🐦\u{200D}⬛", nativeNonQual = "🐦\u{200D}⬛", keywords = [ "bird", "black", "crow", "raven", "rook" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "goose", { name = "GOOSE", native = "\u{1FABF}", nativeNonQual = "\u{1FABF}", keywords = [ "bird", "fowl", "goose", "honk", "silly" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "frog", { name = "FROG FACE", native = "🐸", nativeNonQual = "🐸", keywords = [ "face", "frog" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crocodile", { name = "CROCODILE", native = "🐊", nativeNonQual = "🐊", keywords = [ "crocodile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "turtle", { name = "TURTLE", native = "🐢", nativeNonQual = "🐢", keywords = [ "terrapin", "tortoise", "turtle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lizard", { name = "LIZARD", native = "🦎", nativeNonQual = "🦎", keywords = [ "lizard", "reptile" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snake", { name = "SNAKE", native = "🐍", nativeNonQual = "🐍", keywords = [ "bearer", "Ophiuchus", "serpent", "snake", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dragon_face", { name = "DRAGON FACE", native = "🐲", nativeNonQual = "🐲", keywords = [ "dragon", "face", "fairy tale" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dragon", { name = "DRAGON", native = "🐉", nativeNonQual = "🐉", keywords = [ "dragon", "fairy tale" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sauropod", { name = "SAUROPOD", native = "🦕", nativeNonQual = "🦕", keywords = [ "brachiosaurus", "brontosaurus", "diplodocus", "sauropod" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "t-rex", { name = "T-REX", native = "🦖", nativeNonQual = "🦖", keywords = [ "T-Rex", "Tyrannosaurus Rex" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "whale", { name = "SPOUTING WHALE", native = "🐳", nativeNonQual = "🐳", keywords = [ "face", "spouting", "whale" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "whale2", { name = "WHALE", native = "🐋", nativeNonQual = "🐋", keywords = [ "whale" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dolphin", { name = "DOLPHIN", native = "🐬", nativeNonQual = "🐬", keywords = [ "dolphin", "flipper" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "seal", { name = "SEAL", native = "\u{1F9AD}", nativeNonQual = "\u{1F9AD}", keywords = [ "sea lion", "seal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fish", { name = "FISH", native = "🐟", nativeNonQual = "🐟", keywords = [ "fish", "Pisces", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tropical_fish", { name = "TROPICAL FISH", native = "🐠", nativeNonQual = "🐠", keywords = [ "fish", "tropical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blowfish", { name = "BLOWFISH", native = "🐡", nativeNonQual = "🐡", keywords = [ "blowfish", "fish" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shark", { name = "SHARK", native = "🦈", nativeNonQual = "🦈", keywords = [ "fish", "shark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "octopus", { name = "OCTOPUS", native = "🐙", nativeNonQual = "🐙", keywords = [ "octopus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shell", { name = "SPIRAL SHELL", native = "🐚", nativeNonQual = "🐚", keywords = [ "shell", "spiral" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "coral", { name = "CORAL", native = "\u{1FAB8}", nativeNonQual = "\u{1FAB8}", keywords = [ "coral", "ocean", "reef" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "jellyfish", { name = "JELLYFISH", native = "\u{1FABC}", nativeNonQual = "\u{1FABC}", keywords = [ "burn", "invertebrate", "jelly", "jellyfish", "marine", "ouch", "stinger" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snail", { name = "SNAIL", native = "🐌", nativeNonQual = "🐌", keywords = [ "snail" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "butterfly", { name = "BUTTERFLY", native = "🦋", nativeNonQual = "🦋", keywords = [ "butterfly", "insect", "pretty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bug", { name = "BUG", native = "🐛", nativeNonQual = "🐛", keywords = [ "bug", "insect" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ant", { name = "ANT", native = "🐜", nativeNonQual = "🐜", keywords = [ "ant", "insect" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bee", { name = "HONEYBEE", native = "🐝", nativeNonQual = "🐝", keywords = [ "bee", "honeybee", "insect" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beetle", { name = "BEETLE", native = "\u{1FAB2}", nativeNonQual = "\u{1FAB2}", keywords = [ "beetle", "bug", "insect" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ladybug", { name = "LADY BEETLE", native = "🐞", nativeNonQual = "🐞", keywords = [ "beetle", "insect", "lady beetle", "ladybird", "ladybug" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cricket", { name = "CRICKET", native = "🦗", nativeNonQual = "🦗", keywords = [ "cricket", "grasshopper" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cockroach", { name = "COCKROACH", native = "\u{1FAB3}", nativeNonQual = "\u{1FAB3}", keywords = [ "cockroach", "insect", "pest", "roach" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spider", { name = "SPIDER", native = "🕷️", nativeNonQual = "🕷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spider_web", { name = "SPIDER WEB", native = "🕸️", nativeNonQual = "🕸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scorpion", { name = "SCORPION", native = "🦂", nativeNonQual = "🦂", keywords = [ "Scorpio", "scorpion", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mosquito", { name = "MOSQUITO", native = "🦟", nativeNonQual = "🦟", keywords = [ "disease", "fever", "malaria", "mosquito", "pest", "virus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fly", { name = "FLY", native = "\u{1FAB0}", nativeNonQual = "\u{1FAB0}", keywords = [ "disease", "fly", "maggot", "pest", "rotting" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "worm", { name = "WORM", native = "\u{1FAB1}", nativeNonQual = "\u{1FAB1}", keywords = [ "annelid", "earthworm", "parasite", "worm" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "microbe", { name = "MICROBE", native = "🦠", nativeNonQual = "🦠", keywords = [ "amoeba", "bacteria", "microbe", "virus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bouquet", { name = "BOUQUET", native = "💐", nativeNonQual = "💐", keywords = [ "bouquet", "flower" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cherry_blossom", { name = "CHERRY BLOSSOM", native = "🌸", nativeNonQual = "🌸", keywords = [ "blossom", "cherry", "flower" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_flower", { name = "WHITE FLOWER", native = "💮", nativeNonQual = "💮", keywords = [ "flower", "white flower" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lotus", { name = "LOTUS", native = "\u{1FAB7}", nativeNonQual = "\u{1FAB7}", keywords = [ "Buddhism", "flower", "Hinduism", "lotus", "purity" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rosette", { name = "ROSETTE", native = "🏵️", nativeNonQual = "🏵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rose", { name = "ROSE", native = "🌹", nativeNonQual = "🌹", keywords = [ "flower", "rose" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wilted_flower", { name = "WILTED FLOWER", native = "🥀", nativeNonQual = "🥀", keywords = [ "flower", "wilted" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hibiscus", { name = "HIBISCUS", native = "🌺", nativeNonQual = "🌺", keywords = [ "flower", "hibiscus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sunflower", { name = "SUNFLOWER", native = "🌻", nativeNonQual = "🌻", keywords = [ "flower", "sun", "sunflower" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blossom", { name = "BLOSSOM", native = "🌼", nativeNonQual = "🌼", keywords = [ "blossom", "flower" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tulip", { name = "TULIP", native = "🌷", nativeNonQual = "🌷", keywords = [ "flower", "tulip" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hyacinth", { name = "HYACINTH", native = "\u{1FABB}", nativeNonQual = "\u{1FABB}", keywords = [ "bluebonnet", "flower", "hyacinth", "lavender", "lupine", "snapdragon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "seedling", { name = "SEEDLING", native = "🌱", nativeNonQual = "🌱", keywords = [ "seedling", "young" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "potted_plant", { name = "POTTED PLANT", native = "\u{1FAB4}", nativeNonQual = "\u{1FAB4}", keywords = [ "boring", "grow", "house", "nurturing", "plant", "potted plant", "useless" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "evergreen_tree", { name = "EVERGREEN TREE", native = "🌲", nativeNonQual = "🌲", keywords = [ "evergreen tree", "tree" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "deciduous_tree", { name = "DECIDUOUS TREE", native = "🌳", nativeNonQual = "🌳", keywords = [ "deciduous", "shedding", "tree" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "palm_tree", { name = "PALM TREE", native = "🌴", nativeNonQual = "🌴", keywords = [ "palm", "tree" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cactus", { name = "CACTUS", native = "🌵", nativeNonQual = "🌵", keywords = [ "cactus", "plant" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ear_of_rice", { name = "EAR OF RICE", native = "🌾", nativeNonQual = "🌾", keywords = [ "ear", "grain", "rice", "sheaf of rice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "herb", { name = "HERB", native = "🌿", nativeNonQual = "🌿", keywords = [ "herb", "leaf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shamrock", { name = "SHAMROCK", native = "☘️", nativeNonQual = "☘", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "four_leaf_clover", { name = "FOUR LEAF CLOVER", native = "🍀", nativeNonQual = "🍀", keywords = [ "4", "clover", "four", "four-leaf clover", "leaf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "maple_leaf", { name = "MAPLE LEAF", native = "🍁", nativeNonQual = "🍁", keywords = [ "falling", "leaf", "maple" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fallen_leaf", { name = "FALLEN LEAF", native = "🍂", nativeNonQual = "🍂", keywords = [ "fallen leaf", "falling", "leaf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "leaves", { name = "LEAF FLUTTERING IN WIND", native = "🍃", nativeNonQual = "🍃", keywords = [ "blow", "flutter", "leaf", "leaf fluttering in wind", "wind" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "empty_nest", { name = "EMPTY NEST", native = "\u{1FAB9}", nativeNonQual = "\u{1FAB9}", keywords = [ "empty nest", "nesting" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nest_with_eggs", { name = "NEST WITH EGGS", native = "\u{1FABA}", nativeNonQual = "\u{1FABA}", keywords = [ "nest with eggs", "nesting" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mushroom", { name = "MUSHROOM", native = "🍄", nativeNonQual = "🍄", keywords = [ "mushroom", "toadstool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "grapes", { name = "GRAPES", native = "🍇", nativeNonQual = "🍇", keywords = [ "fruit", "grape", "grapes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "melon", { name = "MELON", native = "🍈", nativeNonQual = "🍈", keywords = [ "fruit", "melon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "watermelon", { name = "WATERMELON", native = "🍉", nativeNonQual = "🍉", keywords = [ "fruit", "watermelon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tangerine", { name = "TANGERINE", native = "🍊", nativeNonQual = "🍊", keywords = [ "fruit", "orange", "tangerine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lemon", { name = "LEMON", native = "🍋", nativeNonQual = "🍋", keywords = [ "citrus", "fruit", "lemon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "banana", { name = "BANANA", native = "🍌", nativeNonQual = "🍌", keywords = [ "banana", "fruit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pineapple", { name = "PINEAPPLE", native = "🍍", nativeNonQual = "🍍", keywords = [ "fruit", "pineapple" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mango", { name = "MANGO", native = "🥭", nativeNonQual = "🥭", keywords = [ "fruit", "mango", "tropical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "apple", { name = "RED APPLE", native = "🍎", nativeNonQual = "🍎", keywords = [ "apple", "fruit", "red" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "green_apple", { name = "GREEN APPLE", native = "🍏", nativeNonQual = "🍏", keywords = [ "apple", "fruit", "green" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pear", { name = "PEAR", native = "🍐", nativeNonQual = "🍐", keywords = [ "fruit", "pear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "peach", { name = "PEACH", native = "🍑", nativeNonQual = "🍑", keywords = [ "fruit", "peach" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cherries", { name = "CHERRIES", native = "🍒", nativeNonQual = "🍒", keywords = [ "berries", "cherries", "cherry", "fruit", "red" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "strawberry", { name = "STRAWBERRY", native = "🍓", nativeNonQual = "🍓", keywords = [ "berry", "fruit", "strawberry" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blueberries", { name = "BLUEBERRIES", native = "\u{1FAD0}", nativeNonQual = "\u{1FAD0}", keywords = [ "berry", "bilberry", "blue", "blueberries", "blueberry" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kiwifruit", { name = "KIWIFRUIT", native = "🥝", nativeNonQual = "🥝", keywords = [ "food", "fruit", "kiwi" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tomato", { name = "TOMATO", native = "🍅", nativeNonQual = "🍅", keywords = [ "fruit", "tomato", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "olive", { name = "OLIVE", native = "\u{1FAD2}", nativeNonQual = "\u{1FAD2}", keywords = [ "food", "olive" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "coconut", { name = "COCONUT", native = "🥥", nativeNonQual = "🥥", keywords = [ "coconut", "palm", "piña colada" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "avocado", { name = "AVOCADO", native = "🥑", nativeNonQual = "🥑", keywords = [ "avocado", "food", "fruit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eggplant", { name = "AUBERGINE", native = "🍆", nativeNonQual = "🍆", keywords = [ "aubergine", "eggplant", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "potato", { name = "POTATO", native = "🥔", nativeNonQual = "🥔", keywords = [ "food", "potato", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "carrot", { name = "CARROT", native = "🥕", nativeNonQual = "🥕", keywords = [ "carrot", "food", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "corn", { name = "EAR OF MAIZE", native = "🌽", nativeNonQual = "🌽", keywords = [ "corn", "ear", "ear of corn", "maize", "maze" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hot_pepper", { name = "HOT PEPPER", native = "🌶️", nativeNonQual = "🌶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bell_pepper", { name = "BELL PEPPER", native = "\u{1FAD1}", nativeNonQual = "\u{1FAD1}", keywords = [ "bell pepper", "capsicum", "pepper", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cucumber", { name = "CUCUMBER", native = "🥒", nativeNonQual = "🥒", keywords = [ "cucumber", "food", "pickle", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "leafy_green", { name = "LEAFY GREEN", native = "🥬", nativeNonQual = "🥬", keywords = [ "bok choy", "cabbage", "kale", "leafy green", "lettuce" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "broccoli", { name = "BROCCOLI", native = "🥦", nativeNonQual = "🥦", keywords = [ "broccoli", "wild cabbage" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "garlic", { name = "GARLIC", native = "🧄", nativeNonQual = "🧄", keywords = [ "flavoring", "garlic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "onion", { name = "ONION", native = "🧅", nativeNonQual = "🧅", keywords = [ "flavoring", "onion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "peanuts", { name = "PEANUTS", native = "🥜", nativeNonQual = "🥜", keywords = [ "food", "nut", "peanut", "peanuts", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beans", { name = "BEANS", native = "\u{1FAD8}", nativeNonQual = "\u{1FAD8}", keywords = [ "beans", "food", "kidney", "legume" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chestnut", { name = "CHESTNUT", native = "🌰", nativeNonQual = "🌰", keywords = [ "chestnut", "plant" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ginger_root", { name = "GINGER ROOT", native = "\u{1FADA}", nativeNonQual = "\u{1FADA}", keywords = [ "beer", "ginger root", "root", "spice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pea_pod", { name = "PEA POD", native = "\u{1FADB}", nativeNonQual = "\u{1FADB}", keywords = [ "beans", "edamame", "legume", "pea", "pod", "vegetable" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bread", { name = "BREAD", native = "🍞", nativeNonQual = "🍞", keywords = [ "bread", "loaf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "croissant", { name = "CROISSANT", native = "🥐", nativeNonQual = "🥐", keywords = [ "bread", "breakfast", "croissant", "food", "french", "roll" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baguette_bread", { name = "BAGUETTE BREAD", native = "🥖", nativeNonQual = "🥖", keywords = [ "baguette", "bread", "food", "french" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flatbread", { name = "FLATBREAD", native = "\u{1FAD3}", nativeNonQual = "\u{1FAD3}", keywords = [ "arepa", "flatbread", "lavash", "naan", "pita" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pretzel", { name = "PRETZEL", native = "🥨", nativeNonQual = "🥨", keywords = [ "pretzel", "twisted" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bagel", { name = "BAGEL", native = "🥯", nativeNonQual = "🥯", keywords = [ "bagel", "bakery", "breakfast", "schmear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pancakes", { name = "PANCAKES", native = "🥞", nativeNonQual = "🥞", keywords = [ "breakfast", "crêpe", "food", "hotcake", "pancake", "pancakes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "waffle", { name = "WAFFLE", native = "🧇", nativeNonQual = "🧇", keywords = [ "breakfast", "indecisive", "iron", "waffle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cheese_wedge", { name = "CHEESE WEDGE", native = "🧀", nativeNonQual = "🧀", keywords = [ "cheese", "cheese wedge" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "meat_on_bone", { name = "MEAT ON BONE", native = "🍖", nativeNonQual = "🍖", keywords = [ "bone", "meat", "meat on bone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "poultry_leg", { name = "POULTRY LEG", native = "🍗", nativeNonQual = "🍗", keywords = [ "bone", "chicken", "drumstick", "leg", "poultry" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cut_of_meat", { name = "CUT OF MEAT", native = "🥩", nativeNonQual = "🥩", keywords = [ "chop", "cut of meat", "lambchop", "porkchop", "steak" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bacon", { name = "BACON", native = "🥓", nativeNonQual = "🥓", keywords = [ "bacon", "breakfast", "food", "meat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hamburger", { name = "HAMBURGER", native = "🍔", nativeNonQual = "🍔", keywords = [ "burger", "hamburger" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fries", { name = "FRENCH FRIES", native = "🍟", nativeNonQual = "🍟", keywords = [ "french", "fries" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pizza", { name = "SLICE OF PIZZA", native = "🍕", nativeNonQual = "🍕", keywords = [ "cheese", "pizza", "slice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hotdog", { name = "HOT DOG", native = "🌭", nativeNonQual = "🌭", keywords = [ "frankfurter", "hot dog", "hotdog", "sausage" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sandwich", { name = "SANDWICH", native = "🥪", nativeNonQual = "🥪", keywords = [ "bread", "sandwich" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "taco", { name = "TACO", native = "🌮", nativeNonQual = "🌮", keywords = [ "mexican", "taco" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "burrito", { name = "BURRITO", native = "🌯", nativeNonQual = "🌯", keywords = [ "burrito", "mexican", "wrap" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tamale", { name = "TAMALE", native = "\u{1FAD4}", nativeNonQual = "\u{1FAD4}", keywords = [ "mexican", "tamale", "wrapped" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stuffed_flatbread", { name = "STUFFED FLATBREAD", native = "🥙", nativeNonQual = "🥙", keywords = [ "falafel", "flatbread", "food", "gyro", "kebab", "stuffed" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "falafel", { name = "FALAFEL", native = "🧆", nativeNonQual = "🧆", keywords = [ "chickpea", "falafel", "meatball" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "egg", { name = "EGG", native = "🥚", nativeNonQual = "🥚", keywords = [ "breakfast", "egg", "food" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fried_egg", { name = "COOKING", native = "🍳", nativeNonQual = "🍳", keywords = [ "breakfast", "cooking", "egg", "frying", "pan" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shallow_pan_of_food", { name = "SHALLOW PAN OF FOOD", native = "🥘", nativeNonQual = "🥘", keywords = [ "casserole", "food", "paella", "pan", "shallow", "shallow pan of food" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stew", { name = "POT OF FOOD", native = "🍲", nativeNonQual = "🍲", keywords = [ "pot", "pot of food", "stew" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fondue", { name = "FONDUE", native = "\u{1FAD5}", nativeNonQual = "\u{1FAD5}", keywords = [ "cheese", "chocolate", "fondue", "melted", "pot", "Swiss" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bowl_with_spoon", { name = "BOWL WITH SPOON", native = "🥣", nativeNonQual = "🥣", keywords = [ "bowl with spoon", "breakfast", "cereal", "congee" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "green_salad", { name = "GREEN SALAD", native = "🥗", nativeNonQual = "🥗", keywords = [ "food", "green", "salad" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "popcorn", { name = "POPCORN", native = "🍿", nativeNonQual = "🍿", keywords = [ "popcorn" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "butter", { name = "BUTTER", native = "🧈", nativeNonQual = "🧈", keywords = [ "butter", "dairy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "salt", { name = "SALT SHAKER", native = "🧂", nativeNonQual = "🧂", keywords = [ "condiment", "salt", "shaker" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "canned_food", { name = "CANNED FOOD", native = "🥫", nativeNonQual = "🥫", keywords = [ "can", "canned food" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bento", { name = "BENTO BOX", native = "🍱", nativeNonQual = "🍱", keywords = [ "bento", "box" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rice_cracker", { name = "RICE CRACKER", native = "🍘", nativeNonQual = "🍘", keywords = [ "cracker", "rice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rice_ball", { name = "RICE BALL", native = "🍙", nativeNonQual = "🍙", keywords = [ "ball", "Japanese", "rice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rice", { name = "COOKED RICE", native = "🍚", nativeNonQual = "🍚", keywords = [ "cooked", "rice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "curry", { name = "CURRY AND RICE", native = "🍛", nativeNonQual = "🍛", keywords = [ "curry", "rice" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ramen", { name = "STEAMING BOWL", native = "🍜", nativeNonQual = "🍜", keywords = [ "bowl", "noodle", "ramen", "steaming" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spaghetti", { name = "SPAGHETTI", native = "🍝", nativeNonQual = "🍝", keywords = [ "pasta", "spaghetti" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sweet_potato", { name = "ROASTED SWEET POTATO", native = "🍠", nativeNonQual = "🍠", keywords = [ "potato", "roasted", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oden", { name = "ODEN", native = "🍢", nativeNonQual = "🍢", keywords = [ "kebab", "oden", "seafood", "skewer", "stick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sushi", { name = "SUSHI", native = "🍣", nativeNonQual = "🍣", keywords = [ "sushi" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fried_shrimp", { name = "FRIED SHRIMP", native = "🍤", nativeNonQual = "🍤", keywords = [ "fried", "prawn", "shrimp", "tempura" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fish_cake", { name = "FISH CAKE WITH SWIRL DESIGN", native = "🍥", nativeNonQual = "🍥", keywords = [ "cake", "fish", "fish cake with swirl", "pastry", "swirl" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "moon_cake", { name = "MOON CAKE", native = "🥮", nativeNonQual = "🥮", keywords = [ "autumn", "festival", "moon cake", "yuèbǐng" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dango", { name = "DANGO", native = "🍡", nativeNonQual = "🍡", keywords = [ "dango", "dessert", "Japanese", "skewer", "stick", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dumpling", { name = "DUMPLING", native = "🥟", nativeNonQual = "🥟", keywords = [ "dumpling", "empanada", "gyōza", "jiaozi", "pierogi", "potsticker" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fortune_cookie", { name = "FORTUNE COOKIE", native = "🥠", nativeNonQual = "🥠", keywords = [ "fortune cookie", "prophecy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "takeout_box", { name = "TAKEOUT BOX", native = "🥡", nativeNonQual = "🥡", keywords = [ "oyster pail", "takeout box" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crab", { name = "CRAB", native = "🦀", nativeNonQual = "🦀", keywords = [ "Cancer", "crab", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lobster", { name = "LOBSTER", native = "🦞", nativeNonQual = "🦞", keywords = [ "bisque", "claws", "lobster", "seafood" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shrimp", { name = "SHRIMP", native = "🦐", nativeNonQual = "🦐", keywords = [ "food", "shellfish", "shrimp", "small" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "squid", { name = "SQUID", native = "🦑", nativeNonQual = "🦑", keywords = [ "food", "molusc", "squid" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oyster", { name = "OYSTER", native = "🦪", nativeNonQual = "🦪", keywords = [ "diving", "oyster", "pearl" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "icecream", { name = "SOFT ICE CREAM", native = "🍦", nativeNonQual = "🍦", keywords = [ "cream", "dessert", "ice", "icecream", "soft", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shaved_ice", { name = "SHAVED ICE", native = "🍧", nativeNonQual = "🍧", keywords = [ "dessert", "ice", "shaved", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ice_cream", { name = "ICE CREAM", native = "🍨", nativeNonQual = "🍨", keywords = [ "cream", "dessert", "ice", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "doughnut", { name = "DOUGHNUT", native = "🍩", nativeNonQual = "🍩", keywords = [ "breakfast", "dessert", "donut", "doughnut", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cookie", { name = "COOKIE", native = "🍪", nativeNonQual = "🍪", keywords = [ "cookie", "dessert", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "birthday", { name = "BIRTHDAY CAKE", native = "🎂", nativeNonQual = "🎂", keywords = [ "birthday", "cake", "celebration", "dessert", "pastry", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cake", { name = "SHORTCAKE", native = "🍰", nativeNonQual = "🍰", keywords = [ "cake", "dessert", "pastry", "shortcake", "slice", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cupcake", { name = "CUPCAKE", native = "🧁", nativeNonQual = "🧁", keywords = [ "bakery", "cupcake", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pie", { name = "PIE", native = "🥧", nativeNonQual = "🥧", keywords = [ "filling", "pastry", "pie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chocolate_bar", { name = "CHOCOLATE BAR", native = "🍫", nativeNonQual = "🍫", keywords = [ "bar", "chocolate", "dessert", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "candy", { name = "CANDY", native = "🍬", nativeNonQual = "🍬", keywords = [ "candy", "dessert", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lollipop", { name = "LOLLIPOP", native = "🍭", nativeNonQual = "🍭", keywords = [ "candy", "dessert", "lollipop", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "custard", { name = "CUSTARD", native = "🍮", nativeNonQual = "🍮", keywords = [ "custard", "dessert", "pudding", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "honey_pot", { name = "HONEY POT", native = "🍯", nativeNonQual = "🍯", keywords = [ "honey", "honeypot", "pot", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baby_bottle", { name = "BABY BOTTLE", native = "🍼", nativeNonQual = "🍼", keywords = [ "baby", "bottle", "drink", "milk" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "glass_of_milk", { name = "GLASS OF MILK", native = "🥛", nativeNonQual = "🥛", keywords = [ "drink", "glass", "glass of milk", "milk" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "coffee", { name = "HOT BEVERAGE", native = "☕", nativeNonQual = "☕", keywords = [ "beverage", "coffee", "drink", "hot", "steaming", "tea" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "teapot", { name = "TEAPOT", native = "\u{1FAD6}", nativeNonQual = "\u{1FAD6}", keywords = [ "drink", "pot", "tea", "teapot" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tea", { name = "TEACUP WITHOUT HANDLE", native = "🍵", nativeNonQual = "🍵", keywords = [ "beverage", "cup", "drink", "tea", "teacup", "teacup without handle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sake", { name = "SAKE BOTTLE AND CUP", native = "🍶", nativeNonQual = "🍶", keywords = [ "bar", "beverage", "bottle", "cup", "drink", "sake" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "champagne", { name = "BOTTLE WITH POPPING CORK", native = "🍾", nativeNonQual = "🍾", keywords = [ "bar", "bottle", "bottle with popping cork", "cork", "drink", "popping" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wine_glass", { name = "WINE GLASS", native = "🍷", nativeNonQual = "🍷", keywords = [ "bar", "beverage", "drink", "glass", "wine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cocktail", { name = "COCKTAIL GLASS", native = "🍸", nativeNonQual = "🍸", keywords = [ "bar", "cocktail", "drink", "glass" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tropical_drink", { name = "TROPICAL DRINK", native = "🍹", nativeNonQual = "🍹", keywords = [ "bar", "drink", "tropical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beer", { name = "BEER MUG", native = "🍺", nativeNonQual = "🍺", keywords = [ "bar", "beer", "drink", "mug" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beers", { name = "CLINKING BEER MUGS", native = "🍻", nativeNonQual = "🍻", keywords = [ "bar", "beer", "clink", "clinking beer mugs", "drink", "mug" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clinking_glasses", { name = "CLINKING GLASSES", native = "🥂", nativeNonQual = "🥂", keywords = [ "celebrate", "clink", "clinking glasses", "drink", "glass" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tumbler_glass", { name = "TUMBLER GLASS", native = "🥃", nativeNonQual = "🥃", keywords = [ "glass", "liquor", "shot", "tumbler", "whisky" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pouring_liquid", { name = "POURING LIQUID", native = "\u{1FAD7}", nativeNonQual = "\u{1FAD7}", keywords = [ "drink", "empty", "glass", "pouring liquid", "spill" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cup_with_straw", { name = "CUP WITH STRAW", native = "🥤", nativeNonQual = "🥤", keywords = [ "cup with straw", "juice", "soda" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bubble_tea", { name = "BUBBLE TEA", native = "\u{1F9CB}", nativeNonQual = "\u{1F9CB}", keywords = [ "bubble", "milk", "pearl", "tea" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beverage_box", { name = "BEVERAGE BOX", native = "🧃", nativeNonQual = "🧃", keywords = [ "beverage", "box", "juice", "straw", "sweet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mate_drink", { name = "MATE DRINK", native = "🧉", nativeNonQual = "🧉", keywords = [ "drink", "mate" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ice_cube", { name = "ICE CUBE", native = "🧊", nativeNonQual = "🧊", keywords = [ "cold", "ice", "ice cube", "iceberg" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chopsticks", { name = "CHOPSTICKS", native = "🥢", nativeNonQual = "🥢", keywords = [ "chopsticks", "hashi" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "knife_fork_plate", { name = "FORK AND KNIFE WITH PLATE", native = "🍽️", nativeNonQual = "🍽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fork_and_knife", { name = "FORK AND KNIFE", native = "🍴", nativeNonQual = "🍴", keywords = [ "cooking", "cutlery", "fork", "fork and knife", "knife" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spoon", { name = "SPOON", native = "🥄", nativeNonQual = "🥄", keywords = [ "spoon", "tableware" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hocho", { name = "HOCHO", native = "🔪", nativeNonQual = "🔪", keywords = [ "cooking", "hocho", "kitchen knife", "knife", "tool", "weapon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "jar", { name = "JAR", native = "\u{1FAD9}", nativeNonQual = "\u{1FAD9}", keywords = [ "condiment", "container", "empty", "jar", "sauce", "store" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "amphora", { name = "AMPHORA", native = "🏺", nativeNonQual = "🏺", keywords = [ "amphora", "Aquarius", "cooking", "drink", "jug", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "earth_africa", { name = "EARTH GLOBE EUROPE-AFRICA", native = "🌍", nativeNonQual = "🌍", keywords = [ "Africa", "earth", "Europe", "globe", "globe showing Europe-Africa", "world" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "earth_americas", { name = "EARTH GLOBE AMERICAS", native = "🌎", nativeNonQual = "🌎", keywords = [ "Americas", "earth", "globe", "globe showing Americas", "world" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "earth_asia", { name = "EARTH GLOBE ASIA-AUSTRALIA", native = "🌏", nativeNonQual = "🌏", keywords = [ "Asia", "Australia", "earth", "globe", "globe showing Asia-Australia", "world" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "globe_with_meridians", { name = "GLOBE WITH MERIDIANS", native = "🌐", nativeNonQual = "🌐", keywords = [ "earth", "globe", "globe with meridians", "meridians", "world" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "world_map", { name = "WORLD MAP", native = "🗺️", nativeNonQual = "🗺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "japan", { name = "SILHOUETTE OF JAPAN", native = "🗾", nativeNonQual = "🗾", keywords = [ "Japan", "map", "map of Japan" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "compass", { name = "COMPASS", native = "🧭", nativeNonQual = "🧭", keywords = [ "compass", "magnetic", "navigation", "orienteering" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snow_capped_mountain", { name = "SNOW-CAPPED MOUNTAIN", native = "🏔️", nativeNonQual = "🏔", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mountain", { name = "MOUNTAIN", native = "⛰️", nativeNonQual = "⛰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "volcano", { name = "VOLCANO", native = "🌋", nativeNonQual = "🌋", keywords = [ "eruption", "mountain", "volcano" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mount_fuji", { name = "MOUNT FUJI", native = "🗻", nativeNonQual = "🗻", keywords = [ "fuji", "mount fuji", "mountain" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "camping", { name = "CAMPING", native = "🏕️", nativeNonQual = "🏕", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beach_with_umbrella", { name = "BEACH WITH UMBRELLA", native = "🏖️", nativeNonQual = "🏖", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "desert", { name = "DESERT", native = "🏜️", nativeNonQual = "🏜", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "desert_island", { name = "DESERT ISLAND", native = "🏝️", nativeNonQual = "🏝", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "national_park", { name = "NATIONAL PARK", native = "🏞️", nativeNonQual = "🏞", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stadium", { name = "STADIUM", native = "🏟️", nativeNonQual = "🏟", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "classical_building", { name = "CLASSICAL BUILDING", native = "🏛️", nativeNonQual = "🏛", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "building_construction", { name = "BUILDING CONSTRUCTION", native = "🏗️", nativeNonQual = "🏗", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bricks", { name = "BRICK", native = "🧱", nativeNonQual = "🧱", keywords = [ "brick", "bricks", "clay", "mortar", "wall" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rock", { name = "ROCK", native = "\u{1FAA8}", nativeNonQual = "\u{1FAA8}", keywords = [ "boulder", "heavy", "rock", "solid", "stone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wood", { name = "WOOD", native = "\u{1FAB5}", nativeNonQual = "\u{1FAB5}", keywords = [ "log", "lumber", "timber", "wood" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hut", { name = "HUT", native = "\u{1F6D6}", nativeNonQual = "\u{1F6D6}", keywords = [ "house", "hut", "roundhouse", "yurt" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "house_buildings", { name = "HOUSES", native = "🏘️", nativeNonQual = "🏘", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "derelict_house_building", { name = "DERELICT HOUSE", native = "🏚️", nativeNonQual = "🏚", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "house", { name = "HOUSE BUILDING", native = "🏠", nativeNonQual = "🏠", keywords = [ "home", "house" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "house_with_garden", { name = "HOUSE WITH GARDEN", native = "🏡", nativeNonQual = "🏡", keywords = [ "garden", "home", "house", "house with garden" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "office", { name = "OFFICE BUILDING", native = "🏢", nativeNonQual = "🏢", keywords = [ "building", "office building" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "post_office", { name = "JAPANESE POST OFFICE", native = "🏣", nativeNonQual = "🏣", keywords = [ "Japanese", "Japanese post office", "post" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "european_post_office", { name = "EUROPEAN POST OFFICE", native = "🏤", nativeNonQual = "🏤", keywords = [ "European", "post", "post office" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hospital", { name = "HOSPITAL", native = "🏥", nativeNonQual = "🏥", keywords = [ "doctor", "hospital", "medicine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bank", { name = "BANK", native = "🏦", nativeNonQual = "🏦", keywords = [ "bank", "building" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hotel", { name = "HOTEL", native = "🏨", nativeNonQual = "🏨", keywords = [ "building", "hotel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "love_hotel", { name = "LOVE HOTEL", native = "🏩", nativeNonQual = "🏩", keywords = [ "hotel", "love" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "convenience_store", { name = "CONVENIENCE STORE", native = "🏪", nativeNonQual = "🏪", keywords = [ "convenience", "store" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "school", { name = "SCHOOL", native = "🏫", nativeNonQual = "🏫", keywords = [ "building", "school" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "department_store", { name = "DEPARTMENT STORE", native = "🏬", nativeNonQual = "🏬", keywords = [ "department", "store" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "factory", { name = "FACTORY", native = "🏭", nativeNonQual = "🏭", keywords = [ "building", "factory" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "japanese_castle", { name = "JAPANESE CASTLE", native = "🏯", nativeNonQual = "🏯", keywords = [ "castle", "Japanese" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "european_castle", { name = "EUROPEAN CASTLE", native = "🏰", nativeNonQual = "🏰", keywords = [ "castle", "European" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wedding", { name = "WEDDING", native = "💒", nativeNonQual = "💒", keywords = [ "chapel", "romance", "wedding" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tokyo_tower", { name = "TOKYO TOWER", native = "🗼", nativeNonQual = "🗼", keywords = [ "Tokyo", "tower" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "statue_of_liberty", { name = "STATUE OF LIBERTY", native = "🗽", nativeNonQual = "🗽", keywords = [ "liberty", "statue", "Statue of Liberty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "church", { name = "CHURCH", native = "⛪", nativeNonQual = "⛪", keywords = [ "Christian", "church", "cross", "religion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mosque", { name = "MOSQUE", native = "🕌", nativeNonQual = "🕌", keywords = [ "islam", "mosque", "Muslim", "religion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hindu_temple", { name = "HINDU TEMPLE", native = "🛕", nativeNonQual = "🛕", keywords = [ "hindu", "temple" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "synagogue", { name = "SYNAGOGUE", native = "🕍", nativeNonQual = "🕍", keywords = [ "Jew", "Jewish", "religion", "synagogue", "temple" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shinto_shrine", { name = "SHINTO SHRINE", native = "⛩️", nativeNonQual = "⛩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kaaba", { name = "KAABA", native = "🕋", nativeNonQual = "🕋", keywords = [ "islam", "kaaba", "Muslim", "religion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fountain", { name = "FOUNTAIN", native = "⛲", nativeNonQual = "⛲", keywords = [ "fountain" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tent", { name = "TENT", native = "⛺", nativeNonQual = "⛺", keywords = [ "camping", "tent" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "foggy", { name = "FOGGY", native = "🌁", nativeNonQual = "🌁", keywords = [ "fog", "foggy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "night_with_stars", { name = "NIGHT WITH STARS", native = "🌃", nativeNonQual = "🌃", keywords = [ "night", "night with stars", "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cityscape", { name = "CITYSCAPE", native = "🏙️", nativeNonQual = "🏙", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sunrise_over_mountains", { name = "SUNRISE OVER MOUNTAINS", native = "🌄", nativeNonQual = "🌄", keywords = [ "morning", "mountain", "sun", "sunrise", "sunrise over mountains" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sunrise", { name = "SUNRISE", native = "🌅", nativeNonQual = "🌅", keywords = [ "morning", "sun", "sunrise" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "city_sunset", { name = "CITYSCAPE AT DUSK", native = "🌆", nativeNonQual = "🌆", keywords = [ "city", "cityscape at dusk", "dusk", "evening", "landscape", "sunset" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "city_sunrise", { name = "SUNSET OVER BUILDINGS", native = "🌇", nativeNonQual = "🌇", keywords = [ "dusk", "sun", "sunset" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bridge_at_night", { name = "BRIDGE AT NIGHT", native = "🌉", nativeNonQual = "🌉", keywords = [ "bridge", "bridge at night", "night" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hotsprings", { name = "HOT SPRINGS", native = "♨️", nativeNonQual = "♨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "carousel_horse", { name = "CAROUSEL HORSE", native = "🎠", nativeNonQual = "🎠", keywords = [ "carousel", "horse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "playground_slide", { name = "PLAYGROUND SLIDE", native = "\u{1F6DD}", nativeNonQual = "\u{1F6DD}", keywords = [ "amusement park", "play", "playground slide", "theme park" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ferris_wheel", { name = "FERRIS WHEEL", native = "🎡", nativeNonQual = "🎡", keywords = [ "amusement park", "ferris", "theme park", "wheel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "roller_coaster", { name = "ROLLER COASTER", native = "🎢", nativeNonQual = "🎢", keywords = [ "amusement park", "coaster", "roller", "theme park" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "barber", { name = "BARBER POLE", native = "💈", nativeNonQual = "💈", keywords = [ "barber", "haircut", "pole" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "circus_tent", { name = "CIRCUS TENT", native = "🎪", nativeNonQual = "🎪", keywords = [ "circus", "tent" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "steam_locomotive", { name = "STEAM LOCOMOTIVE", native = "🚂", nativeNonQual = "🚂", keywords = [ "engine", "locomotive", "railway", "steam", "train" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "railway_car", { name = "RAILWAY CAR", native = "🚃", nativeNonQual = "🚃", keywords = [ "car", "electric", "railway", "train", "tram", "trolleybus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bullettrain_side", { name = "HIGH-SPEED TRAIN", native = "🚄", nativeNonQual = "🚄", keywords = [ "high-speed train", "railway", "shinkansen", "speed", "train" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bullettrain_front", { name = "HIGH-SPEED TRAIN WITH BULLET NOSE", native = "🚅", nativeNonQual = "🚅", keywords = [ "bullet", "railway", "shinkansen", "speed", "train" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "train2", { name = "TRAIN", native = "🚆", nativeNonQual = "🚆", keywords = [ "railway", "train" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "metro", { name = "METRO", native = "🚇", nativeNonQual = "🚇", keywords = [ "metro", "subway" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "light_rail", { name = "LIGHT RAIL", native = "🚈", nativeNonQual = "🚈", keywords = [ "light rail", "railway" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "station", { name = "STATION", native = "🚉", nativeNonQual = "🚉", keywords = [ "railway", "station", "train" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tram", { name = "TRAM", native = "🚊", nativeNonQual = "🚊", keywords = [ "tram", "trolleybus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "monorail", { name = "MONORAIL", native = "🚝", nativeNonQual = "🚝", keywords = [ "monorail", "vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mountain_railway", { name = "MOUNTAIN RAILWAY", native = "🚞", nativeNonQual = "🚞", keywords = [ "car", "mountain", "railway" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "train", { name = "TRAM CAR", native = "🚋", nativeNonQual = "🚋", keywords = [ "car", "tram", "trolleybus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bus", { name = "BUS", native = "🚌", nativeNonQual = "🚌", keywords = [ "bus", "vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oncoming_bus", { name = "ONCOMING BUS", native = "🚍", nativeNonQual = "🚍", keywords = [ "bus", "oncoming" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "trolleybus", { name = "TROLLEYBUS", native = "🚎", nativeNonQual = "🚎", keywords = [ "bus", "tram", "trolley", "trolleybus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "minibus", { name = "MINIBUS", native = "🚐", nativeNonQual = "🚐", keywords = [ "bus", "minibus" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ambulance", { name = "AMBULANCE", native = "🚑", nativeNonQual = "🚑", keywords = [ "ambulance", "vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fire_engine", { name = "FIRE ENGINE", native = "🚒", nativeNonQual = "🚒", keywords = [ "engine", "fire", "truck" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "police_car", { name = "POLICE CAR", native = "🚓", nativeNonQual = "🚓", keywords = [ "car", "patrol", "police" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oncoming_police_car", { name = "ONCOMING POLICE CAR", native = "🚔", nativeNonQual = "🚔", keywords = [ "car", "oncoming", "police" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "taxi", { name = "TAXI", native = "🚕", nativeNonQual = "🚕", keywords = [ "taxi", "vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oncoming_taxi", { name = "ONCOMING TAXI", native = "🚖", nativeNonQual = "🚖", keywords = [ "oncoming", "taxi" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "car", { name = "AUTOMOBILE", native = "🚗", nativeNonQual = "🚗", keywords = [ "automobile", "car" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oncoming_automobile", { name = "ONCOMING AUTOMOBILE", native = "🚘", nativeNonQual = "🚘", keywords = [ "automobile", "car", "oncoming" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blue_car", { name = "RECREATIONAL VEHICLE", native = "🚙", nativeNonQual = "🚙", keywords = [ "recreational", "sport utility", "sport utility vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pickup_truck", { name = "PICKUP TRUCK", native = "\u{1F6FB}", nativeNonQual = "\u{1F6FB}", keywords = [ "pick-up", "pickup", "truck" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "truck", { name = "DELIVERY TRUCK", native = "🚚", nativeNonQual = "🚚", keywords = [ "delivery", "truck" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "articulated_lorry", { name = "ARTICULATED LORRY", native = "🚛", nativeNonQual = "🚛", keywords = [ "articulated lorry", "lorry", "semi", "truck" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tractor", { name = "TRACTOR", native = "🚜", nativeNonQual = "🚜", keywords = [ "tractor", "vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "racing_car", { name = "RACING CAR", native = "🏎️", nativeNonQual = "🏎", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "racing_motorcycle", { name = "MOTORCYCLE", native = "🏍️", nativeNonQual = "🏍", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "motor_scooter", { name = "MOTOR SCOOTER", native = "🛵", nativeNonQual = "🛵", keywords = [ "motor", "scooter" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "manual_wheelchair", { name = "MANUAL WHEELCHAIR", native = "🦽", nativeNonQual = "🦽", keywords = [ "accessibility", "manual wheelchair" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "motorized_wheelchair", { name = "MOTORIZED WHEELCHAIR", native = "🦼", nativeNonQual = "🦼", keywords = [ "accessibility", "motorized wheelchair" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "auto_rickshaw", { name = "AUTO RICKSHAW", native = "🛺", nativeNonQual = "🛺", keywords = [ "auto rickshaw", "tuk tuk" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bike", { name = "BICYCLE", native = "🚲", nativeNonQual = "🚲", keywords = [ "bicycle", "bike" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scooter", { name = "SCOOTER", native = "🛴", nativeNonQual = "🛴", keywords = [ "kick", "scooter" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "skateboard", { name = "SKATEBOARD", native = "🛹", nativeNonQual = "🛹", keywords = [ "board", "skateboard" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "roller_skate", { name = "ROLLER SKATE", native = "\u{1F6FC}", nativeNonQual = "\u{1F6FC}", keywords = [ "roller", "skate" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "busstop", { name = "BUS STOP", native = "🚏", nativeNonQual = "🚏", keywords = [ "bus", "stop" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "motorway", { name = "MOTORWAY", native = "🛣️", nativeNonQual = "🛣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "railway_track", { name = "RAILWAY TRACK", native = "🛤️", nativeNonQual = "🛤", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "oil_drum", { name = "OIL DRUM", native = "🛢️", nativeNonQual = "🛢", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fuelpump", { name = "FUEL PUMP", native = "⛽", nativeNonQual = "⛽", keywords = [ "diesel", "fuel", "fuelpump", "gas", "pump", "station" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wheel", { name = "WHEEL", native = "\u{1F6DE}", nativeNonQual = "\u{1F6DE}", keywords = [ "circle", "tire", "turn", "wheel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rotating_light", { name = "POLICE CARS REVOLVING LIGHT", native = "🚨", nativeNonQual = "🚨", keywords = [ "beacon", "car", "light", "police", "revolving" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "traffic_light", { name = "HORIZONTAL TRAFFIC LIGHT", native = "🚥", nativeNonQual = "🚥", keywords = [ "horizontal traffic light", "light", "signal", "traffic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "vertical_traffic_light", { name = "VERTICAL TRAFFIC LIGHT", native = "🚦", nativeNonQual = "🚦", keywords = [ "light", "signal", "traffic", "vertical traffic light" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "octagonal_sign", { name = "OCTAGONAL SIGN", native = "🛑", nativeNonQual = "🛑", keywords = [ "octagonal", "sign", "stop" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "construction", { name = "CONSTRUCTION SIGN", native = "🚧", nativeNonQual = "🚧", keywords = [ "barrier", "construction" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "anchor", { name = "ANCHOR", native = "⚓", nativeNonQual = "⚓", keywords = [ "anchor", "ship", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ring_buoy", { name = "RING BUOY", native = "\u{1F6DF}", nativeNonQual = "\u{1F6DF}", keywords = [ "float", "life preserver", "life saver", "rescue", "ring buoy", "safety" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "boat", { name = "SAILBOAT", native = "⛵", nativeNonQual = "⛵", keywords = [ "boat", "resort", "sailboat", "sea", "yacht" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "canoe", { name = "CANOE", native = "🛶", nativeNonQual = "🛶", keywords = [ "boat", "canoe" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "speedboat", { name = "SPEEDBOAT", native = "🚤", nativeNonQual = "🚤", keywords = [ "boat", "speedboat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "passenger_ship", { name = "PASSENGER SHIP", native = "🛳️", nativeNonQual = "🛳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ferry", { name = "FERRY", native = "⛴️", nativeNonQual = "⛴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "motor_boat", { name = "MOTOR BOAT", native = "🛥️", nativeNonQual = "🛥", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ship", { name = "SHIP", native = "🚢", nativeNonQual = "🚢", keywords = [ "boat", "passenger", "ship" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "airplane", { name = "AIRPLANE", native = "✈️", nativeNonQual = "✈", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "small_airplane", { name = "SMALL AIRPLANE", native = "🛩️", nativeNonQual = "🛩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "airplane_departure", { name = "AIRPLANE DEPARTURE", native = "🛫", nativeNonQual = "🛫", keywords = [ "aeroplane", "airplane", "check-in", "departure", "departures" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "airplane_arriving", { name = "AIRPLANE ARRIVING", native = "🛬", nativeNonQual = "🛬", keywords = [ "aeroplane", "airplane", "airplane arrival", "arrivals", "arriving", "landing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "parachute", { name = "PARACHUTE", native = "🪂", nativeNonQual = "🪂", keywords = [ "hang-glide", "parachute", "parasail", "skydive" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "seat", { name = "SEAT", native = "💺", nativeNonQual = "💺", keywords = [ "chair", "seat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "helicopter", { name = "HELICOPTER", native = "🚁", nativeNonQual = "🚁", keywords = [ "helicopter", "vehicle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "suspension_railway", { name = "SUSPENSION RAILWAY", native = "🚟", nativeNonQual = "🚟", keywords = [ "railway", "suspension" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mountain_cableway", { name = "MOUNTAIN CABLEWAY", native = "🚠", nativeNonQual = "🚠", keywords = [ "cable", "gondola", "mountain", "mountain cableway" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "aerial_tramway", { name = "AERIAL TRAMWAY", native = "🚡", nativeNonQual = "🚡", keywords = [ "aerial", "cable", "car", "gondola", "tramway" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "satellite", { name = "SATELLITE", native = "🛰️", nativeNonQual = "🛰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rocket", { name = "ROCKET", native = "🚀", nativeNonQual = "🚀", keywords = [ "rocket", "space" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flying_saucer", { name = "FLYING SAUCER", native = "🛸", nativeNonQual = "🛸", keywords = [ "flying saucer", "UFO" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bellhop_bell", { name = "BELLHOP BELL", native = "🛎️", nativeNonQual = "🛎", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "luggage", { name = "LUGGAGE", native = "🧳", nativeNonQual = "🧳", keywords = [ "luggage", "packing", "travel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hourglass", { name = "HOURGLASS", native = "⌛", nativeNonQual = "⌛", keywords = [ "hourglass done", "sand", "timer" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hourglass_flowing_sand", { name = "HOURGLASS WITH FLOWING SAND", native = "⏳", nativeNonQual = "⏳", keywords = [ "hourglass", "hourglass not done", "sand", "timer" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "watch", { name = "WATCH", native = "⌚", nativeNonQual = "⌚", keywords = [ "clock", "watch" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "alarm_clock", { name = "ALARM CLOCK", native = "⏰", nativeNonQual = "⏰", keywords = [ "alarm", "clock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stopwatch", { name = "STOPWATCH", native = "⏱️", nativeNonQual = "⏱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "timer_clock", { name = "TIMER CLOCK", native = "⏲️", nativeNonQual = "⏲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mantelpiece_clock", { name = "MANTELPIECE CLOCK", native = "🕰️", nativeNonQual = "🕰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock12", { name = "CLOCK FACE TWELVE OCLOCK", native = "🕛", nativeNonQual = "🕛", keywords = [ "00", "12", "12:00", "clock", "o’clock", "twelve" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock1230", { name = "CLOCK FACE TWELVE-THIRTY", native = "🕧", nativeNonQual = "🕧", keywords = [ "12", "12:30", "clock", "thirty", "twelve", "twelve-thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock1", { name = "CLOCK FACE ONE OCLOCK", native = "🕐", nativeNonQual = "🕐", keywords = [ "00", "1", "1:00", "clock", "o’clock", "one" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock130", { name = "CLOCK FACE ONE-THIRTY", native = "🕜", nativeNonQual = "🕜", keywords = [ "1", "1:30", "clock", "one", "one-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock2", { name = "CLOCK FACE TWO OCLOCK", native = "🕑", nativeNonQual = "🕑", keywords = [ "00", "2", "2:00", "clock", "o’clock", "two" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock230", { name = "CLOCK FACE TWO-THIRTY", native = "🕝", nativeNonQual = "🕝", keywords = [ "2", "2:30", "clock", "thirty", "two", "two-thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock3", { name = "CLOCK FACE THREE OCLOCK", native = "🕒", nativeNonQual = "🕒", keywords = [ "00", "3", "3:00", "clock", "o’clock", "three" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock330", { name = "CLOCK FACE THREE-THIRTY", native = "🕞", nativeNonQual = "🕞", keywords = [ "3", "3:30", "clock", "thirty", "three", "three-thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock4", { name = "CLOCK FACE FOUR OCLOCK", native = "🕓", nativeNonQual = "🕓", keywords = [ "00", "4", "4:00", "clock", "four", "o’clock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock430", { name = "CLOCK FACE FOUR-THIRTY", native = "🕟", nativeNonQual = "🕟", keywords = [ "4", "4:30", "clock", "four", "four-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock5", { name = "CLOCK FACE FIVE OCLOCK", native = "🕔", nativeNonQual = "🕔", keywords = [ "00", "5", "5:00", "clock", "five", "o’clock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock530", { name = "CLOCK FACE FIVE-THIRTY", native = "🕠", nativeNonQual = "🕠", keywords = [ "5", "5:30", "clock", "five", "five-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock6", { name = "CLOCK FACE SIX OCLOCK", native = "🕕", nativeNonQual = "🕕", keywords = [ "00", "6", "6:00", "clock", "o’clock", "six" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock630", { name = "CLOCK FACE SIX-THIRTY", native = "🕡", nativeNonQual = "🕡", keywords = [ "6", "6:30", "clock", "six", "six-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock7", { name = "CLOCK FACE SEVEN OCLOCK", native = "🕖", nativeNonQual = "🕖", keywords = [ "00", "7", "7:00", "clock", "o’clock", "seven" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock730", { name = "CLOCK FACE SEVEN-THIRTY", native = "🕢", nativeNonQual = "🕢", keywords = [ "7", "7:30", "clock", "seven", "seven-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock8", { name = "CLOCK FACE EIGHT OCLOCK", native = "🕗", nativeNonQual = "🕗", keywords = [ "00", "8", "8:00", "clock", "eight", "o’clock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock830", { name = "CLOCK FACE EIGHT-THIRTY", native = "🕣", nativeNonQual = "🕣", keywords = [ "8", "8:30", "clock", "eight", "eight-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock9", { name = "CLOCK FACE NINE OCLOCK", native = "🕘", nativeNonQual = "🕘", keywords = [ "00", "9", "9:00", "clock", "nine", "o’clock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock930", { name = "CLOCK FACE NINE-THIRTY", native = "🕤", nativeNonQual = "🕤", keywords = [ "9", "9:30", "clock", "nine", "nine-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock10", { name = "CLOCK FACE TEN OCLOCK", native = "🕙", nativeNonQual = "🕙", keywords = [ "00", "10", "10:00", "clock", "o’clock", "ten" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock1030", { name = "CLOCK FACE TEN-THIRTY", native = "🕥", nativeNonQual = "🕥", keywords = [ "10", "10:30", "clock", "ten", "ten-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock11", { name = "CLOCK FACE ELEVEN OCLOCK", native = "🕚", nativeNonQual = "🕚", keywords = [ "00", "11", "11:00", "clock", "eleven", "o’clock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clock1130", { name = "CLOCK FACE ELEVEN-THIRTY", native = "🕦", nativeNonQual = "🕦", keywords = [ "11", "11:30", "clock", "eleven", "eleven-thirty", "thirty" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "new_moon", { name = "NEW MOON SYMBOL", native = "🌑", nativeNonQual = "🌑", keywords = [ "dark", "moon", "new moon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "waxing_crescent_moon", { name = "WAXING CRESCENT MOON SYMBOL", native = "🌒", nativeNonQual = "🌒", keywords = [ "crescent", "moon", "waxing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "first_quarter_moon", { name = "FIRST QUARTER MOON SYMBOL", native = "🌓", nativeNonQual = "🌓", keywords = [ "first quarter moon", "moon", "quarter" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "moon", { name = "WAXING GIBBOUS MOON SYMBOL", native = "🌔", nativeNonQual = "🌔", keywords = [ "gibbous", "moon", "waxing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "full_moon", { name = "FULL MOON SYMBOL", native = "🌕", nativeNonQual = "🌕", keywords = [ "full", "moon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "waning_gibbous_moon", { name = "WANING GIBBOUS MOON SYMBOL", native = "🌖", nativeNonQual = "🌖", keywords = [ "gibbous", "moon", "waning" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "last_quarter_moon", { name = "LAST QUARTER MOON SYMBOL", native = "🌗", nativeNonQual = "🌗", keywords = [ "last quarter moon", "moon", "quarter" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "waning_crescent_moon", { name = "WANING CRESCENT MOON SYMBOL", native = "🌘", nativeNonQual = "🌘", keywords = [ "crescent", "moon", "waning" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crescent_moon", { name = "CRESCENT MOON", native = "🌙", nativeNonQual = "🌙", keywords = [ "crescent", "moon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "new_moon_with_face", { name = "NEW MOON WITH FACE", native = "🌚", nativeNonQual = "🌚", keywords = [ "face", "moon", "new moon face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "first_quarter_moon_with_face", { name = "FIRST QUARTER MOON WITH FACE", native = "🌛", nativeNonQual = "🌛", keywords = [ "face", "first quarter moon face", "moon", "quarter" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "last_quarter_moon_with_face", { name = "LAST QUARTER MOON WITH FACE", native = "🌜", nativeNonQual = "🌜", keywords = [ "face", "last quarter moon face", "moon", "quarter" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "thermometer", { name = "THERMOMETER", native = "🌡️", nativeNonQual = "🌡", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sunny", { name = "BLACK SUN WITH RAYS", native = "☀️", nativeNonQual = "☀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "full_moon_with_face", { name = "FULL MOON WITH FACE", native = "🌝", nativeNonQual = "🌝", keywords = [ "bright", "face", "full", "moon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sun_with_face", { name = "SUN WITH FACE", native = "🌞", nativeNonQual = "🌞", keywords = [ "bright", "face", "sun", "sun with face" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ringed_planet", { name = "RINGED PLANET", native = "🪐", nativeNonQual = "🪐", keywords = [ "ringed planet", "saturn", "saturnine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "star", { name = "WHITE MEDIUM STAR", native = "⭐", nativeNonQual = "⭐", keywords = [ "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "star2", { name = "GLOWING STAR", native = "🌟", nativeNonQual = "🌟", keywords = [ "glittery", "glow", "glowing star", "shining", "sparkle", "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stars", { name = "SHOOTING STAR", native = "🌠", nativeNonQual = "🌠", keywords = [ "falling", "shooting", "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "milky_way", { name = "MILKY WAY", native = "🌌", nativeNonQual = "🌌", keywords = [ "milky way", "space" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cloud", { name = "CLOUD", native = "☁️", nativeNonQual = "☁", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "partly_sunny", { name = "SUN BEHIND CLOUD", native = "⛅", nativeNonQual = "⛅", keywords = [ "cloud", "sun", "sun behind cloud" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "thunder_cloud_and_rain", { name = "CLOUD WITH LIGHTNING AND RAIN", native = "⛈️", nativeNonQual = "⛈", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mostly_sunny", { name = "SUN BEHIND SMALL CLOUD", native = "🌤️", nativeNonQual = "🌤", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "barely_sunny", { name = "SUN BEHIND LARGE CLOUD", native = "🌥️", nativeNonQual = "🌥", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "partly_sunny_rain", { name = "SUN BEHIND RAIN CLOUD", native = "🌦️", nativeNonQual = "🌦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rain_cloud", { name = "CLOUD WITH RAIN", native = "🌧️", nativeNonQual = "🌧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snow_cloud", { name = "CLOUD WITH SNOW", native = "🌨️", nativeNonQual = "🌨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lightning", { name = "CLOUD WITH LIGHTNING", native = "🌩️", nativeNonQual = "🌩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tornado", { name = "TORNADO", native = "🌪️", nativeNonQual = "🌪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fog", { name = "FOG", native = "🌫️", nativeNonQual = "🌫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wind_blowing_face", { name = "WIND FACE", native = "🌬️", nativeNonQual = "🌬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cyclone", { name = "CYCLONE", native = "🌀", nativeNonQual = "🌀", keywords = [ "cyclone", "dizzy", "hurricane", "twister", "typhoon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rainbow", { name = "RAINBOW", native = "🌈", nativeNonQual = "🌈", keywords = [ "rain", "rainbow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "closed_umbrella", { name = "CLOSED UMBRELLA", native = "🌂", nativeNonQual = "🌂", keywords = [ "closed umbrella", "clothing", "rain", "umbrella" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "umbrella", { name = "UMBRELLA", native = "☂️", nativeNonQual = "☂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "umbrella_with_rain_drops", { name = "UMBRELLA WITH RAIN DROPS", native = "☔", nativeNonQual = "☔", keywords = [ "clothing", "drop", "rain", "umbrella", "umbrella with rain drops" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "umbrella_on_ground", { name = "UMBRELLA ON GROUND", native = "⛱️", nativeNonQual = "⛱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zap", { name = "HIGH VOLTAGE SIGN", native = "⚡", nativeNonQual = "⚡", keywords = [ "danger", "electric", "high voltage", "lightning", "voltage", "zap" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snowflake", { name = "SNOWFLAKE", native = "❄️", nativeNonQual = "❄", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snowman", { name = "SNOWMAN", native = "☃️", nativeNonQual = "☃", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "snowman_without_snow", { name = "SNOWMAN WITHOUT SNOW", native = "⛄", nativeNonQual = "⛄", keywords = [ "cold", "snow", "snowman", "snowman without snow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "comet", { name = "COMET", native = "☄️", nativeNonQual = "☄", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fire", { name = "FIRE", native = "🔥", nativeNonQual = "🔥", keywords = [ "fire", "flame", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "droplet", { name = "DROPLET", native = "💧", nativeNonQual = "💧", keywords = [ "cold", "comic", "drop", "droplet", "sweat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ocean", { name = "WATER WAVE", native = "🌊", nativeNonQual = "🌊", keywords = [ "ocean", "water", "wave" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "jack_o_lantern", { name = "JACK-O-LANTERN", native = "🎃", nativeNonQual = "🎃", keywords = [ "celebration", "halloween", "jack", "jack-o-lantern", "lantern" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "christmas_tree", { name = "CHRISTMAS TREE", native = "🎄", nativeNonQual = "🎄", keywords = [ "celebration", "Christmas", "tree" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fireworks", { name = "FIREWORKS", native = "🎆", nativeNonQual = "🎆", keywords = [ "celebration", "fireworks" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sparkler", { name = "FIREWORK SPARKLER", native = "🎇", nativeNonQual = "🎇", keywords = [ "celebration", "fireworks", "sparkle", "sparkler" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "firecracker", { name = "FIRECRACKER", native = "🧨", nativeNonQual = "🧨", keywords = [ "dynamite", "explosive", "firecracker", "fireworks" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sparkles", { name = "SPARKLES", native = "✨", nativeNonQual = "✨", keywords = [ "*", "sparkle", "sparkles", "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "balloon", { name = "BALLOON", native = "🎈", nativeNonQual = "🎈", keywords = [ "balloon", "celebration" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tada", { name = "PARTY POPPER", native = "🎉", nativeNonQual = "🎉", keywords = [ "celebration", "party", "popper", "tada" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "confetti_ball", { name = "CONFETTI BALL", native = "🎊", nativeNonQual = "🎊", keywords = [ "ball", "celebration", "confetti" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tanabata_tree", { name = "TANABATA TREE", native = "🎋", nativeNonQual = "🎋", keywords = [ "banner", "celebration", "Japanese", "tanabata tree", "tree" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bamboo", { name = "PINE DECORATION", native = "🎍", nativeNonQual = "🎍", keywords = [ "bamboo", "celebration", "Japanese", "pine", "pine decoration" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dolls", { name = "JAPANESE DOLLS", native = "🎎", nativeNonQual = "🎎", keywords = [ "celebration", "doll", "festival", "Japanese", "Japanese dolls" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flags", { name = "CARP STREAMER", native = "🎏", nativeNonQual = "🎏", keywords = [ "carp", "celebration", "streamer" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wind_chime", { name = "WIND CHIME", native = "🎐", nativeNonQual = "🎐", keywords = [ "bell", "celebration", "chime", "wind" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rice_scene", { name = "MOON VIEWING CEREMONY", native = "🎑", nativeNonQual = "🎑", keywords = [ "celebration", "ceremony", "moon", "moon viewing ceremony" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "red_envelope", { name = "RED GIFT ENVELOPE", native = "🧧", nativeNonQual = "🧧", keywords = [ "gift", "good luck", "hóngbāo", "lai see", "money", "red envelope" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ribbon", { name = "RIBBON", native = "🎀", nativeNonQual = "🎀", keywords = [ "celebration", "ribbon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gift", { name = "WRAPPED PRESENT", native = "🎁", nativeNonQual = "🎁", keywords = [ "box", "celebration", "gift", "present", "wrapped" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "reminder_ribbon", { name = "REMINDER RIBBON", native = "🎗️", nativeNonQual = "🎗", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "admission_tickets", { name = "ADMISSION TICKETS", native = "🎟️", nativeNonQual = "🎟", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ticket", { name = "TICKET", native = "🎫", nativeNonQual = "🎫", keywords = [ "admission", "ticket" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "medal", { name = "MILITARY MEDAL", native = "🎖️", nativeNonQual = "🎖", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "trophy", { name = "TROPHY", native = "🏆", nativeNonQual = "🏆", keywords = [ "prize", "trophy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sports_medal", { name = "SPORTS MEDAL", native = "🏅", nativeNonQual = "🏅", keywords = [ "medal", "sports medal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "first_place_medal", { name = "FIRST PLACE MEDAL", native = "🥇", nativeNonQual = "🥇", keywords = [ "1st place medal", "first", "gold", "medal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "second_place_medal", { name = "SECOND PLACE MEDAL", native = "🥈", nativeNonQual = "🥈", keywords = [ "2nd place medal", "medal", "second", "silver" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "third_place_medal", { name = "THIRD PLACE MEDAL", native = "🥉", nativeNonQual = "🥉", keywords = [ "3rd place medal", "bronze", "medal", "third" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "soccer", { name = "SOCCER BALL", native = "⚽", nativeNonQual = "⚽", keywords = [ "ball", "football", "soccer" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baseball", { name = "BASEBALL", native = "⚾", nativeNonQual = "⚾", keywords = [ "ball", "baseball" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "softball", { name = "SOFTBALL", native = "🥎", nativeNonQual = "🥎", keywords = [ "ball", "glove", "softball", "underarm" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "basketball", { name = "BASKETBALL AND HOOP", native = "🏀", nativeNonQual = "🏀", keywords = [ "ball", "basketball", "hoop" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "volleyball", { name = "VOLLEYBALL", native = "🏐", nativeNonQual = "🏐", keywords = [ "ball", "game", "volleyball" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "football", { name = "AMERICAN FOOTBALL", native = "🏈", nativeNonQual = "🏈", keywords = [ "american", "ball", "football" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rugby_football", { name = "RUGBY FOOTBALL", native = "🏉", nativeNonQual = "🏉", keywords = [ "ball", "football", "rugby" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tennis", { name = "TENNIS RACQUET AND BALL", native = "🎾", nativeNonQual = "🎾", keywords = [ "ball", "racquet", "tennis" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flying_disc", { name = "FLYING DISC", native = "🥏", nativeNonQual = "🥏", keywords = [ "flying disc", "ultimate" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bowling", { name = "BOWLING", native = "🎳", nativeNonQual = "🎳", keywords = [ "ball", "bowling", "game" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cricket_bat_and_ball", { name = "CRICKET BAT AND BALL", native = "🏏", nativeNonQual = "🏏", keywords = [ "ball", "bat", "cricket game", "game" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "field_hockey_stick_and_ball", { name = "FIELD HOCKEY STICK AND BALL", native = "🏑", nativeNonQual = "🏑", keywords = [ "ball", "field", "game", "hockey", "stick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ice_hockey_stick_and_puck", { name = "ICE HOCKEY STICK AND PUCK", native = "🏒", nativeNonQual = "🏒", keywords = [ "game", "hockey", "ice", "puck", "stick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lacrosse", { name = "LACROSSE STICK AND BALL", native = "🥍", nativeNonQual = "🥍", keywords = [ "ball", "goal", "lacrosse", "stick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "table_tennis_paddle_and_ball", { name = "TABLE TENNIS PADDLE AND BALL", native = "🏓", nativeNonQual = "🏓", keywords = [ "ball", "bat", "game", "paddle", "ping pong", "table tennis" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "badminton_racquet_and_shuttlecock", { name = "BADMINTON RACQUET AND SHUTTLECOCK", native = "🏸", nativeNonQual = "🏸", keywords = [ "badminton", "birdie", "game", "racquet", "shuttlecock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "boxing_glove", { name = "BOXING GLOVE", native = "🥊", nativeNonQual = "🥊", keywords = [ "boxing", "glove" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "martial_arts_uniform", { name = "MARTIAL ARTS UNIFORM", native = "🥋", nativeNonQual = "🥋", keywords = [ "judo", "karate", "martial arts", "martial arts uniform", "taekwondo", "uniform" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "goal_net", { name = "GOAL NET", native = "🥅", nativeNonQual = "🥅", keywords = [ "goal", "net" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "golf", { name = "FLAG IN HOLE", native = "⛳", nativeNonQual = "⛳", keywords = [ "flag in hole", "golf", "hole" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ice_skate", { name = "ICE SKATE", native = "⛸️", nativeNonQual = "⛸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fishing_pole_and_fish", { name = "FISHING POLE AND FISH", native = "🎣", nativeNonQual = "🎣", keywords = [ "fish", "fishing pole", "pole" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "diving_mask", { name = "DIVING MASK", native = "🤿", nativeNonQual = "🤿", keywords = [ "diving", "diving mask", "scuba", "snorkeling" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "running_shirt_with_sash", { name = "RUNNING SHIRT WITH SASH", native = "🎽", nativeNonQual = "🎽", keywords = [ "athletics", "running", "sash", "shirt" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ski", { name = "SKI AND SKI BOOT", native = "🎿", nativeNonQual = "🎿", keywords = [ "ski", "skis", "snow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sled", { name = "SLED", native = "🛷", nativeNonQual = "🛷", keywords = [ "sled", "sledge", "sleigh" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "curling_stone", { name = "CURLING STONE", native = "🥌", nativeNonQual = "🥌", keywords = [ "curling stone", "game", "rock" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dart", { name = "DIRECT HIT", native = "🎯", nativeNonQual = "🎯", keywords = [ "bullseye", "dart", "direct hit", "game", "hit", "target" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yo-yo", { name = "YO-YO", native = "🪀", nativeNonQual = "🪀", keywords = [ "fluctuate", "toy", "yo-yo" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kite", { name = "KITE", native = "🪁", nativeNonQual = "🪁", keywords = [ "fly", "kite", "soar" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gun", { name = "PISTOL", native = "🔫", nativeNonQual = "🔫", keywords = [ "gun", "handgun", "pistol", "revolver", "tool", "water", "weapon" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "8ball", { name = "BILLIARDS", native = "🎱", nativeNonQual = "🎱", keywords = [ "8", "ball", "billiard", "eight", "game", "pool 8 ball" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crystal_ball", { name = "CRYSTAL BALL", native = "🔮", nativeNonQual = "🔮", keywords = [ "ball", "crystal", "fairy tale", "fantasy", "fortune", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "magic_wand", { name = "MAGIC WAND", native = "\u{1FA84}", nativeNonQual = "\u{1FA84}", keywords = [ "magic", "magic wand", "witch", "wizard" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "video_game", { name = "VIDEO GAME", native = "🎮", nativeNonQual = "🎮", keywords = [ "controller", "game", "video game" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "joystick", { name = "JOYSTICK", native = "🕹️", nativeNonQual = "🕹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "slot_machine", { name = "SLOT MACHINE", native = "🎰", nativeNonQual = "🎰", keywords = [ "game", "slot", "slot machine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "game_die", { name = "GAME DIE", native = "🎲", nativeNonQual = "🎲", keywords = [ "dice", "die", "game" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "jigsaw", { name = "JIGSAW PUZZLE PIECE", native = "🧩", nativeNonQual = "🧩", keywords = [ "clue", "interlocking", "jigsaw", "piece", "puzzle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "teddy_bear", { name = "TEDDY BEAR", native = "🧸", nativeNonQual = "🧸", keywords = [ "plaything", "plush", "stuffed", "teddy bear", "toy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pinata", { name = "PINATA", native = "\u{1FA85}", nativeNonQual = "\u{1FA85}", keywords = [ "celebration", "party", "piñata" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mirror_ball", { name = "MIRROR BALL", native = "\u{1FAA9}", nativeNonQual = "\u{1FAA9}", keywords = [ "dance", "disco", "glitter", "mirror ball", "party" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nesting_dolls", { name = "NESTING DOLLS", native = "\u{1FA86}", nativeNonQual = "\u{1FA86}", keywords = [ "doll", "nesting", "nesting dolls", "russia" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spades", { name = "BLACK SPADE SUIT", native = "♠️", nativeNonQual = "♠", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hearts", { name = "BLACK HEART SUIT", native = "♥️", nativeNonQual = "♥", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "diamonds", { name = "BLACK DIAMOND SUIT", native = "♦️", nativeNonQual = "♦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clubs", { name = "BLACK CLUB SUIT", native = "♣️", nativeNonQual = "♣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chess_pawn", { name = "CHESS PAWN", native = "♟️", nativeNonQual = "♟", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_joker", { name = "PLAYING CARD BLACK JOKER", native = "🃏", nativeNonQual = "🃏", keywords = [ "card", "game", "joker", "wildcard" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mahjong", { name = "MAHJONG TILE RED DRAGON", native = "🀄", nativeNonQual = "🀄", keywords = [ "game", "mahjong", "mahjong red dragon", "red" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flower_playing_cards", { name = "FLOWER PLAYING CARDS", native = "🎴", nativeNonQual = "🎴", keywords = [ "card", "flower", "flower playing cards", "game", "Japanese", "playing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "performing_arts", { name = "PERFORMING ARTS", native = "🎭", nativeNonQual = "🎭", keywords = [ "art", "mask", "performing", "performing arts", "theater", "theatre" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "frame_with_picture", { name = "FRAMED PICTURE", native = "🖼️", nativeNonQual = "🖼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "art", { name = "ARTIST PALETTE", native = "🎨", nativeNonQual = "🎨", keywords = [ "art", "artist palette", "museum", "painting", "palette" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "thread", { name = "SPOOL OF THREAD", native = "🧵", nativeNonQual = "🧵", keywords = [ "needle", "sewing", "spool", "string", "thread" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sewing_needle", { name = "SEWING NEEDLE", native = "\u{1FAA1}", nativeNonQual = "\u{1FAA1}", keywords = [ "embroidery", "needle", "sewing", "stitches", "sutures", "tailoring" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yarn", { name = "BALL OF YARN", native = "🧶", nativeNonQual = "🧶", keywords = [ "ball", "crochet", "knit", "yarn" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "knot", { name = "KNOT", native = "\u{1FAA2}", nativeNonQual = "\u{1FAA2}", keywords = [ "knot", "rope", "tangled", "tie", "twine", "twist" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eyeglasses", { name = "EYEGLASSES", native = "👓", nativeNonQual = "👓", keywords = [ "clothing", "eye", "eyeglasses", "eyewear", "glasses" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dark_sunglasses", { name = "SUNGLASSES", native = "🕶️", nativeNonQual = "🕶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "goggles", { name = "GOGGLES", native = "🥽", nativeNonQual = "🥽", keywords = [ "eye protection", "goggles", "swimming", "welding" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lab_coat", { name = "LAB COAT", native = "🥼", nativeNonQual = "🥼", keywords = [ "doctor", "experiment", "lab coat", "scientist" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "safety_vest", { name = "SAFETY VEST", native = "🦺", nativeNonQual = "🦺", keywords = [ "emergency", "safety", "vest" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "necktie", { name = "NECKTIE", native = "👔", nativeNonQual = "👔", keywords = [ "clothing", "necktie", "tie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shirt", { name = "T-SHIRT", native = "👕", nativeNonQual = "👕", keywords = [ "clothing", "shirt", "t-shirt", "tshirt" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "jeans", { name = "JEANS", native = "👖", nativeNonQual = "👖", keywords = [ "clothing", "jeans", "pants", "trousers" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scarf", { name = "SCARF", native = "🧣", nativeNonQual = "🧣", keywords = [ "neck", "scarf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gloves", { name = "GLOVES", native = "🧤", nativeNonQual = "🧤", keywords = [ "gloves", "hand" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "coat", { name = "COAT", native = "🧥", nativeNonQual = "🧥", keywords = [ "coat", "jacket" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "socks", { name = "SOCKS", native = "🧦", nativeNonQual = "🧦", keywords = [ "socks", "stocking" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dress", { name = "DRESS", native = "👗", nativeNonQual = "👗", keywords = [ "clothing", "dress" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kimono", { name = "KIMONO", native = "👘", nativeNonQual = "👘", keywords = [ "clothing", "kimono" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sari", { name = "SARI", native = "🥻", nativeNonQual = "🥻", keywords = [ "clothing", "dress", "sari" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "one-piece_swimsuit", { name = "ONE-PIECE SWIMSUIT", native = "🩱", nativeNonQual = "🩱", keywords = [ "bathing suit", "one-piece swimsuit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "briefs", { name = "BRIEFS", native = "🩲", nativeNonQual = "🩲", keywords = [ "bathing suit", "briefs", "one-piece", "swimsuit", "underwear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shorts", { name = "SHORTS", native = "🩳", nativeNonQual = "🩳", keywords = [ "bathing suit", "pants", "shorts", "underwear" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bikini", { name = "BIKINI", native = "👙", nativeNonQual = "👙", keywords = [ "bikini", "clothing", "swim" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "womans_clothes", { name = "WOMANS CLOTHES", native = "👚", nativeNonQual = "👚", keywords = [ "clothing", "woman", "woman’s clothes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "folding_hand_fan", { name = "FOLDING HAND FAN", native = "\u{1FAAD}", nativeNonQual = "\u{1FAAD}", keywords = [ "cooling", "dance", "fan", "flutter", "folding hand fan", "hot", "shy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "purse", { name = "PURSE", native = "👛", nativeNonQual = "👛", keywords = [ "clothing", "coin", "purse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "handbag", { name = "HANDBAG", native = "👜", nativeNonQual = "👜", keywords = [ "bag", "clothing", "handbag", "purse" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pouch", { name = "POUCH", native = "👝", nativeNonQual = "👝", keywords = [ "bag", "clothing", "clutch bag", "pouch" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shopping_bags", { name = "SHOPPING BAGS", native = "🛍️", nativeNonQual = "🛍", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "school_satchel", { name = "SCHOOL SATCHEL", native = "🎒", nativeNonQual = "🎒", keywords = [ "backpack", "bag", "rucksack", "satchel", "school" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "thong_sandal", { name = "THONG SANDAL", native = "\u{1FA74}", nativeNonQual = "\u{1FA74}", keywords = [ "beach sandals", "sandals", "thong sandal", "thong sandals", "thongs", "zōri" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mans_shoe", { name = "MANS SHOE", native = "👞", nativeNonQual = "👞", keywords = [ "clothing", "man", "man’s shoe", "shoe" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "athletic_shoe", { name = "ATHLETIC SHOE", native = "👟", nativeNonQual = "👟", keywords = [ "athletic", "clothing", "running shoe", "shoe", "sneaker" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hiking_boot", { name = "HIKING BOOT", native = "🥾", nativeNonQual = "🥾", keywords = [ "backpacking", "boot", "camping", "hiking" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "womans_flat_shoe", { name = "FLAT SHOE", native = "🥿", nativeNonQual = "🥿", keywords = [ "ballet flat", "flat shoe", "slip-on", "slipper" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "high_heel", { name = "HIGH-HEELED SHOE", native = "👠", nativeNonQual = "👠", keywords = [ "clothing", "heel", "high-heeled shoe", "shoe", "woman" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sandal", { name = "WOMANS SANDAL", native = "👡", nativeNonQual = "👡", keywords = [ "clothing", "sandal", "shoe", "woman", "woman’s sandal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ballet_shoes", { name = "BALLET SHOES", native = "🩰", nativeNonQual = "🩰", keywords = [ "ballet", "ballet shoes", "dance" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "boot", { name = "WOMANS BOOTS", native = "👢", nativeNonQual = "👢", keywords = [ "boot", "clothing", "shoe", "woman", "woman’s boot" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hair_pick", { name = "HAIR PICK", native = "\u{1FAAE}", nativeNonQual = "\u{1FAAE}", keywords = [ "Afro", "comb", "hair", "pick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crown", { name = "CROWN", native = "👑", nativeNonQual = "👑", keywords = [ "clothing", "crown", "king", "queen" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "womans_hat", { name = "WOMANS HAT", native = "👒", nativeNonQual = "👒", keywords = [ "clothing", "hat", "woman", "woman’s hat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tophat", { name = "TOP HAT", native = "🎩", nativeNonQual = "🎩", keywords = [ "clothing", "hat", "top", "tophat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mortar_board", { name = "GRADUATION CAP", native = "🎓", nativeNonQual = "🎓", keywords = [ "cap", "celebration", "clothing", "graduation", "hat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "billed_cap", { name = "BILLED CAP", native = "🧢", nativeNonQual = "🧢", keywords = [ "baseball cap", "billed cap" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "military_helmet", { name = "MILITARY HELMET", native = "\u{1FA96}", nativeNonQual = "\u{1FA96}", keywords = [ "army", "helmet", "military", "soldier", "warrior" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "helmet_with_white_cross", { name = "RESCUE WORKER’S HELMET", native = "⛑️", nativeNonQual = "⛑", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "prayer_beads", { name = "PRAYER BEADS", native = "📿", nativeNonQual = "📿", keywords = [ "beads", "clothing", "necklace", "prayer", "religion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lipstick", { name = "LIPSTICK", native = "💄", nativeNonQual = "💄", keywords = [ "cosmetics", "lipstick", "makeup" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ring", { name = "RING", native = "💍", nativeNonQual = "💍", keywords = [ "diamond", "ring" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gem", { name = "GEM STONE", native = "💎", nativeNonQual = "💎", keywords = [ "diamond", "gem", "gem stone", "jewel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mute", { name = "SPEAKER WITH CANCELLATION STROKE", native = "🔇", nativeNonQual = "🔇", keywords = [ "mute", "muted speaker", "quiet", "silent", "speaker" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "speaker", { name = "SPEAKER", native = "🔈", nativeNonQual = "🔈", keywords = [ "soft", "speaker low volume" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sound", { name = "SPEAKER WITH ONE SOUND WAVE", native = "🔉", nativeNonQual = "🔉", keywords = [ "medium", "speaker medium volume" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "loud_sound", { name = "SPEAKER WITH THREE SOUND WAVES", native = "🔊", nativeNonQual = "🔊", keywords = [ "loud", "speaker high volume" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "loudspeaker", { name = "PUBLIC ADDRESS LOUDSPEAKER", native = "📢", nativeNonQual = "📢", keywords = [ "loud", "loudspeaker", "public address" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mega", { name = "CHEERING MEGAPHONE", native = "📣", nativeNonQual = "📣", keywords = [ "cheering", "megaphone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "postal_horn", { name = "POSTAL HORN", native = "📯", nativeNonQual = "📯", keywords = [ "horn", "post", "postal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bell", { name = "BELL", native = "🔔", nativeNonQual = "🔔", keywords = [ "bell" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_bell", { name = "BELL WITH CANCELLATION STROKE", native = "🔕", nativeNonQual = "🔕", keywords = [ "bell", "bell with slash", "forbidden", "mute", "quiet", "silent" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "musical_score", { name = "MUSICAL SCORE", native = "🎼", nativeNonQual = "🎼", keywords = [ "music", "musical score", "score" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "musical_note", { name = "MUSICAL NOTE", native = "🎵", nativeNonQual = "🎵", keywords = [ "music", "musical note", "note" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "notes", { name = "MULTIPLE MUSICAL NOTES", native = "🎶", nativeNonQual = "🎶", keywords = [ "music", "musical notes", "note", "notes" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "studio_microphone", { name = "STUDIO MICROPHONE", native = "🎙️", nativeNonQual = "🎙", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "level_slider", { name = "LEVEL SLIDER", native = "🎚️", nativeNonQual = "🎚", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "control_knobs", { name = "CONTROL KNOBS", native = "🎛️", nativeNonQual = "🎛", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "microphone", { name = "MICROPHONE", native = "🎤", nativeNonQual = "🎤", keywords = [ "karaoke", "mic", "microphone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "headphones", { name = "HEADPHONE", native = "🎧", nativeNonQual = "🎧", keywords = [ "earbud", "headphone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "radio", { name = "RADIO", native = "📻", nativeNonQual = "📻", keywords = [ "radio", "video" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "saxophone", { name = "SAXOPHONE", native = "🎷", nativeNonQual = "🎷", keywords = [ "instrument", "music", "sax", "saxophone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "accordion", { name = "ACCORDION", native = "\u{1FA97}", nativeNonQual = "\u{1FA97}", keywords = [ "accordion", "concertina", "squeeze box" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "guitar", { name = "GUITAR", native = "🎸", nativeNonQual = "🎸", keywords = [ "guitar", "instrument", "music" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "musical_keyboard", { name = "MUSICAL KEYBOARD", native = "🎹", nativeNonQual = "🎹", keywords = [ "instrument", "keyboard", "music", "musical keyboard", "piano" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "trumpet", { name = "TRUMPET", native = "🎺", nativeNonQual = "🎺", keywords = [ "instrument", "music", "trumpet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "violin", { name = "VIOLIN", native = "🎻", nativeNonQual = "🎻", keywords = [ "instrument", "music", "violin" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "banjo", { name = "BANJO", native = "🪕", nativeNonQual = "🪕", keywords = [ "banjo", "music", "stringed" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "drum_with_drumsticks", { name = "DRUM WITH DRUMSTICKS", native = "🥁", nativeNonQual = "🥁", keywords = [ "drum", "drumsticks", "music" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "long_drum", { name = "LONG DRUM", native = "\u{1FA98}", nativeNonQual = "\u{1FA98}", keywords = [ "beat", "conga", "drum", "long drum", "rhythm" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "maracas", { name = "MARACAS", native = "\u{1FA87}", nativeNonQual = "\u{1FA87}", keywords = [ "instrument", "maracas", "music", "percussion", "rattle", "shake" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flute", { name = "FLUTE", native = "\u{1FA88}", nativeNonQual = "\u{1FA88}", keywords = [ "fife", "flute", "music", "pipe", "recorder", "woodwind" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "iphone", { name = "MOBILE PHONE", native = "📱", nativeNonQual = "📱", keywords = [ "cell", "mobile", "phone", "telephone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "calling", { name = "MOBILE PHONE WITH RIGHTWARDS ARROW AT LEFT", native = "📲", nativeNonQual = "📲", keywords = [ "arrow", "cell", "mobile", "mobile phone with arrow", "phone", "receive" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "phone", { name = "BLACK TELEPHONE", native = "☎️", nativeNonQual = "☎", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "telephone_receiver", { name = "TELEPHONE RECEIVER", native = "📞", nativeNonQual = "📞", keywords = [ "phone", "receiver", "telephone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pager", { name = "PAGER", native = "📟", nativeNonQual = "📟", keywords = [ "pager" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fax", { name = "FAX MACHINE", native = "📠", nativeNonQual = "📠", keywords = [ "fax", "fax machine" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "battery", { name = "BATTERY", native = "🔋", nativeNonQual = "🔋", keywords = [ "battery" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "low_battery", { name = "LOW BATTERY", native = "\u{1FAAB}", nativeNonQual = "\u{1FAAB}", keywords = [ "electronic", "low battery", "low energy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "electric_plug", { name = "ELECTRIC PLUG", native = "🔌", nativeNonQual = "🔌", keywords = [ "electric", "electricity", "plug" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "computer", { name = "PERSONAL COMPUTER", native = "💻", nativeNonQual = "💻", keywords = [ "computer", "laptop", "pc", "personal" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "desktop_computer", { name = "DESKTOP COMPUTER", native = "🖥️", nativeNonQual = "🖥", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "printer", { name = "PRINTER", native = "🖨️", nativeNonQual = "🖨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "keyboard", { name = "KEYBOARD", native = "⌨️", nativeNonQual = "⌨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "three_button_mouse", { name = "COMPUTER MOUSE", native = "🖱️", nativeNonQual = "🖱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "trackball", { name = "TRACKBALL", native = "🖲️", nativeNonQual = "🖲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "minidisc", { name = "MINIDISC", native = "💽", nativeNonQual = "💽", keywords = [ "computer", "disk", "minidisk", "optical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "floppy_disk", { name = "FLOPPY DISK", native = "💾", nativeNonQual = "💾", keywords = [ "computer", "disk", "floppy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cd", { name = "OPTICAL DISC", native = "💿", nativeNonQual = "💿", keywords = [ "CD", "computer", "disk", "optical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dvd", { name = "DVD", native = "📀", nativeNonQual = "📀", keywords = [ "Blu-ray", "computer", "disk", "DVD", "optical" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "abacus", { name = "ABACUS", native = "🧮", nativeNonQual = "🧮", keywords = [ "abacus", "calculation" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "movie_camera", { name = "MOVIE CAMERA", native = "🎥", nativeNonQual = "🎥", keywords = [ "camera", "cinema", "movie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "film_frames", { name = "FILM FRAMES", native = "🎞️", nativeNonQual = "🎞", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "film_projector", { name = "FILM PROJECTOR", native = "📽️", nativeNonQual = "📽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clapper", { name = "CLAPPER BOARD", native = "🎬", nativeNonQual = "🎬", keywords = [ "clapper", "clapper board", "movie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tv", { name = "TELEVISION", native = "📺", nativeNonQual = "📺", keywords = [ "television", "tv", "video" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "camera", { name = "CAMERA", native = "📷", nativeNonQual = "📷", keywords = [ "camera", "video" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "camera_with_flash", { name = "CAMERA WITH FLASH", native = "📸", nativeNonQual = "📸", keywords = [ "camera", "camera with flash", "flash", "video" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "video_camera", { name = "VIDEO CAMERA", native = "📹", nativeNonQual = "📹", keywords = [ "camera", "video" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "vhs", { name = "VIDEOCASSETTE", native = "📼", nativeNonQual = "📼", keywords = [ "tape", "vhs", "video", "videocassette" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mag", { name = "LEFT-POINTING MAGNIFYING GLASS", native = "🔍", nativeNonQual = "🔍", keywords = [ "glass", "magnifying", "magnifying glass tilted left", "search", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mag_right", { name = "RIGHT-POINTING MAGNIFYING GLASS", native = "🔎", nativeNonQual = "🔎", keywords = [ "glass", "magnifying", "magnifying glass tilted right", "search", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "candle", { name = "CANDLE", native = "🕯️", nativeNonQual = "🕯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bulb", { name = "ELECTRIC LIGHT BULB", native = "💡", nativeNonQual = "💡", keywords = [ "bulb", "comic", "electric", "idea", "light" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flashlight", { name = "ELECTRIC TORCH", native = "🔦", nativeNonQual = "🔦", keywords = [ "electric", "flashlight", "light", "tool", "torch" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "izakaya_lantern", { name = "IZAKAYA LANTERN", native = "🏮", nativeNonQual = "🏮", keywords = [ "bar", "lantern", "light", "red", "red paper lantern" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "diya_lamp", { name = "DIYA LAMP", native = "🪔", nativeNonQual = "🪔", keywords = [ "diya", "lamp", "oil" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "notebook_with_decorative_cover", { name = "NOTEBOOK WITH DECORATIVE COVER", native = "📔", nativeNonQual = "📔", keywords = [ "book", "cover", "decorated", "notebook", "notebook with decorative cover" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "closed_book", { name = "CLOSED BOOK", native = "📕", nativeNonQual = "📕", keywords = [ "book", "closed" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "book", { name = "OPEN BOOK", native = "📖", nativeNonQual = "📖", keywords = [ "book", "open" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "green_book", { name = "GREEN BOOK", native = "📗", nativeNonQual = "📗", keywords = [ "book", "green" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "blue_book", { name = "BLUE BOOK", native = "📘", nativeNonQual = "📘", keywords = [ "blue", "book" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "orange_book", { name = "ORANGE BOOK", native = "📙", nativeNonQual = "📙", keywords = [ "book", "orange" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "books", { name = "BOOKS", native = "📚", nativeNonQual = "📚", keywords = [ "book", "books" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "notebook", { name = "NOTEBOOK", native = "📓", nativeNonQual = "📓", keywords = [ "notebook" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ledger", { name = "LEDGER", native = "📒", nativeNonQual = "📒", keywords = [ "ledger", "notebook" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "page_with_curl", { name = "PAGE WITH CURL", native = "📃", nativeNonQual = "📃", keywords = [ "curl", "document", "page", "page with curl" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scroll", { name = "SCROLL", native = "📜", nativeNonQual = "📜", keywords = [ "paper", "scroll" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "page_facing_up", { name = "PAGE FACING UP", native = "📄", nativeNonQual = "📄", keywords = [ "document", "page", "page facing up" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "newspaper", { name = "NEWSPAPER", native = "📰", nativeNonQual = "📰", keywords = [ "news", "newspaper", "paper" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rolled_up_newspaper", { name = "ROLLED-UP NEWSPAPER", native = "🗞️", nativeNonQual = "🗞", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bookmark_tabs", { name = "BOOKMARK TABS", native = "📑", nativeNonQual = "📑", keywords = [ "bookmark", "mark", "marker", "tabs" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bookmark", { name = "BOOKMARK", native = "🔖", nativeNonQual = "🔖", keywords = [ "bookmark", "mark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "label", { name = "LABEL", native = "🏷️", nativeNonQual = "🏷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "moneybag", { name = "MONEY BAG", native = "💰", nativeNonQual = "💰", keywords = [ "bag", "dollar", "money", "moneybag" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "coin", { name = "COIN", native = "\u{1FA99}", nativeNonQual = "\u{1FA99}", keywords = [ "coin", "gold", "metal", "money", "silver", "treasure" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yen", { name = "BANKNOTE WITH YEN SIGN", native = "💴", nativeNonQual = "💴", keywords = [ "banknote", "bill", "currency", "money", "note", "yen" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dollar", { name = "BANKNOTE WITH DOLLAR SIGN", native = "💵", nativeNonQual = "💵", keywords = [ "banknote", "bill", "currency", "dollar", "money", "note" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "euro", { name = "BANKNOTE WITH EURO SIGN", native = "💶", nativeNonQual = "💶", keywords = [ "banknote", "bill", "currency", "euro", "money", "note" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pound", { name = "BANKNOTE WITH POUND SIGN", native = "💷", nativeNonQual = "💷", keywords = [ "banknote", "bill", "currency", "money", "note", "pound" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "money_with_wings", { name = "MONEY WITH WINGS", native = "💸", nativeNonQual = "💸", keywords = [ "banknote", "bill", "fly", "money", "money with wings", "wings" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "credit_card", { name = "CREDIT CARD", native = "💳", nativeNonQual = "💳", keywords = [ "card", "credit", "money" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "receipt", { name = "RECEIPT", native = "🧾", nativeNonQual = "🧾", keywords = [ "accounting", "bookkeeping", "evidence", "proof", "receipt" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chart", { name = "CHART WITH UPWARDS TREND AND YEN SIGN", native = "💹", nativeNonQual = "💹", keywords = [ "chart", "chart increasing with yen", "graph", "growth", "money", "yen" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "email", { name = "ENVELOPE", native = "✉️", nativeNonQual = "✉", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "e-mail", { name = "E-MAIL SYMBOL", native = "📧", nativeNonQual = "📧", keywords = [ "e-mail", "email", "letter", "mail" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "incoming_envelope", { name = "INCOMING ENVELOPE", native = "📨", nativeNonQual = "📨", keywords = [ "e-mail", "email", "envelope", "incoming", "letter", "receive" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "envelope_with_arrow", { name = "ENVELOPE WITH DOWNWARDS ARROW ABOVE", native = "📩", nativeNonQual = "📩", keywords = [ "arrow", "e-mail", "email", "envelope", "envelope with arrow", "outgoing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "outbox_tray", { name = "OUTBOX TRAY", native = "📤", nativeNonQual = "📤", keywords = [ "box", "letter", "mail", "outbox", "sent", "tray" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "inbox_tray", { name = "INBOX TRAY", native = "📥", nativeNonQual = "📥", keywords = [ "box", "inbox", "letter", "mail", "receive", "tray" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "package", { name = "PACKAGE", native = "📦", nativeNonQual = "📦", keywords = [ "box", "package", "parcel" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mailbox", { name = "CLOSED MAILBOX WITH RAISED FLAG", native = "📫", nativeNonQual = "📫", keywords = [ "closed", "closed mailbox with raised flag", "mail", "mailbox", "postbox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mailbox_closed", { name = "CLOSED MAILBOX WITH LOWERED FLAG", native = "📪", nativeNonQual = "📪", keywords = [ "closed", "closed mailbox with lowered flag", "lowered", "mail", "mailbox", "postbox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mailbox_with_mail", { name = "OPEN MAILBOX WITH RAISED FLAG", native = "📬", nativeNonQual = "📬", keywords = [ "mail", "mailbox", "open", "open mailbox with raised flag", "postbox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mailbox_with_no_mail", { name = "OPEN MAILBOX WITH LOWERED FLAG", native = "📭", nativeNonQual = "📭", keywords = [ "lowered", "mail", "mailbox", "open", "open mailbox with lowered flag", "postbox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "postbox", { name = "POSTBOX", native = "📮", nativeNonQual = "📮", keywords = [ "mail", "mailbox", "postbox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ballot_box_with_ballot", { name = "BALLOT BOX WITH BALLOT", native = "🗳️", nativeNonQual = "🗳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pencil2", { name = "PENCIL", native = "✏️", nativeNonQual = "✏", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_nib", { name = "BLACK NIB", native = "✒️", nativeNonQual = "✒", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lower_left_fountain_pen", { name = "FOUNTAIN PEN", native = "🖋️", nativeNonQual = "🖋", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lower_left_ballpoint_pen", { name = "PEN", native = "🖊️", nativeNonQual = "🖊", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lower_left_paintbrush", { name = "PAINTBRUSH", native = "🖌️", nativeNonQual = "🖌", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lower_left_crayon", { name = "CRAYON", native = "🖍️", nativeNonQual = "🖍", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "memo", { name = "MEMO", native = "📝", nativeNonQual = "📝", keywords = [ "memo", "pencil" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "briefcase", { name = "BRIEFCASE", native = "💼", nativeNonQual = "💼", keywords = [ "briefcase" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "file_folder", { name = "FILE FOLDER", native = "📁", nativeNonQual = "📁", keywords = [ "file", "folder" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "open_file_folder", { name = "OPEN FILE FOLDER", native = "📂", nativeNonQual = "📂", keywords = [ "file", "folder", "open" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "card_index_dividers", { name = "CARD INDEX DIVIDERS", native = "🗂️", nativeNonQual = "🗂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "date", { name = "CALENDAR", native = "📅", nativeNonQual = "📅", keywords = [ "calendar", "date" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "calendar", { name = "TEAR-OFF CALENDAR", native = "📆", nativeNonQual = "📆", keywords = [ "calendar", "tear-off calendar" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spiral_note_pad", { name = "SPIRAL NOTEPAD", native = "🗒️", nativeNonQual = "🗒", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "spiral_calendar_pad", { name = "SPIRAL CALENDAR", native = "🗓️", nativeNonQual = "🗓", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "card_index", { name = "CARD INDEX", native = "📇", nativeNonQual = "📇", keywords = [ "card", "index", "rolodex" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chart_with_upwards_trend", { name = "CHART WITH UPWARDS TREND", native = "📈", nativeNonQual = "📈", keywords = [ "chart", "chart increasing", "graph", "growth", "trend", "upward" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chart_with_downwards_trend", { name = "CHART WITH DOWNWARDS TREND", native = "📉", nativeNonQual = "📉", keywords = [ "chart", "chart decreasing", "down", "graph", "trend" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bar_chart", { name = "BAR CHART", native = "📊", nativeNonQual = "📊", keywords = [ "bar", "chart", "graph" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "clipboard", { name = "CLIPBOARD", native = "📋", nativeNonQual = "📋", keywords = [ "clipboard" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pushpin", { name = "PUSHPIN", native = "📌", nativeNonQual = "📌", keywords = [ "pin", "pushpin" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "round_pushpin", { name = "ROUND PUSHPIN", native = "📍", nativeNonQual = "📍", keywords = [ "pin", "pushpin", "round pushpin" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "paperclip", { name = "PAPERCLIP", native = "📎", nativeNonQual = "📎", keywords = [ "paperclip" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "linked_paperclips", { name = "LINKED PAPERCLIPS", native = "🖇️", nativeNonQual = "🖇", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "straight_ruler", { name = "STRAIGHT RULER", native = "📏", nativeNonQual = "📏", keywords = [ "ruler", "straight edge", "straight ruler" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "triangular_ruler", { name = "TRIANGULAR RULER", native = "📐", nativeNonQual = "📐", keywords = [ "ruler", "set", "triangle", "triangular ruler" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scissors", { name = "BLACK SCISSORS", native = "✂️", nativeNonQual = "✂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "card_file_box", { name = "CARD FILE BOX", native = "🗃️", nativeNonQual = "🗃", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "file_cabinet", { name = "FILE CABINET", native = "🗄️", nativeNonQual = "🗄", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wastebasket", { name = "WASTEBASKET", native = "🗑️", nativeNonQual = "🗑", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lock", { name = "LOCK", native = "🔒", nativeNonQual = "🔒", keywords = [ "closed", "locked" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "unlock", { name = "OPEN LOCK", native = "🔓", nativeNonQual = "🔓", keywords = [ "lock", "open", "unlock", "unlocked" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lock_with_ink_pen", { name = "LOCK WITH INK PEN", native = "🔏", nativeNonQual = "🔏", keywords = [ "ink", "lock", "locked with pen", "nib", "pen", "privacy" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "closed_lock_with_key", { name = "CLOSED LOCK WITH KEY", native = "🔐", nativeNonQual = "🔐", keywords = [ "closed", "key", "lock", "locked with key", "secure" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "key", { name = "KEY", native = "🔑", nativeNonQual = "🔑", keywords = [ "key", "lock", "password" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "old_key", { name = "OLD KEY", native = "🗝️", nativeNonQual = "🗝", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hammer", { name = "HAMMER", native = "🔨", nativeNonQual = "🔨", keywords = [ "hammer", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "axe", { name = "AXE", native = "🪓", nativeNonQual = "🪓", keywords = [ "axe", "chop", "hatchet", "split", "wood" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pick", { name = "PICK", native = "⛏️", nativeNonQual = "⛏", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hammer_and_pick", { name = "HAMMER AND PICK", native = "⚒️", nativeNonQual = "⚒", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hammer_and_wrench", { name = "HAMMER AND WRENCH", native = "🛠️", nativeNonQual = "🛠", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dagger_knife", { name = "DAGGER", native = "🗡️", nativeNonQual = "🗡", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crossed_swords", { name = "CROSSED SWORDS", native = "⚔️", nativeNonQual = "⚔", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bomb", { name = "BOMB", native = "💣", nativeNonQual = "💣", keywords = [ "bomb", "comic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "boomerang", { name = "BOOMERANG", native = "\u{1FA83}", nativeNonQual = "\u{1FA83}", keywords = [ "boomerang", "rebound", "repercussion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bow_and_arrow", { name = "BOW AND ARROW", native = "🏹", nativeNonQual = "🏹", keywords = [ "archer", "arrow", "bow", "bow and arrow", "Sagittarius", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shield", { name = "SHIELD", native = "🛡️", nativeNonQual = "🛡", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "carpentry_saw", { name = "CARPENTRY SAW", native = "\u{1FA9A}", nativeNonQual = "\u{1FA9A}", keywords = [ "carpenter", "carpentry saw", "lumber", "saw", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wrench", { name = "WRENCH", native = "🔧", nativeNonQual = "🔧", keywords = [ "spanner", "tool", "wrench" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "screwdriver", { name = "SCREWDRIVER", native = "\u{1FA9B}", nativeNonQual = "\u{1FA9B}", keywords = [ "screw", "screwdriver", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nut_and_bolt", { name = "NUT AND BOLT", native = "🔩", nativeNonQual = "🔩", keywords = [ "bolt", "nut", "nut and bolt", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gear", { name = "GEAR", native = "⚙️", nativeNonQual = "⚙", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "compression", { name = "CLAMP", native = "🗜️", nativeNonQual = "🗜", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scales", { name = "BALANCE SCALE", native = "⚖️", nativeNonQual = "⚖", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "probing_cane", { name = "PROBING CANE", native = "🦯", nativeNonQual = "🦯", keywords = [ "accessibility", "blind", "white cane" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "link", { name = "LINK SYMBOL", native = "🔗", nativeNonQual = "🔗", keywords = [ "link" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chains", { name = "CHAINS", native = "⛓️", nativeNonQual = "⛓", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hook", { name = "HOOK", native = "\u{1FA9D}", nativeNonQual = "\u{1FA9D}", keywords = [ "catch", "crook", "curve", "ensnare", "hook", "selling point" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "toolbox", { name = "TOOLBOX", native = "🧰", nativeNonQual = "🧰", keywords = [ "chest", "mechanic", "tool", "toolbox" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "magnet", { name = "MAGNET", native = "🧲", nativeNonQual = "🧲", keywords = [ "attraction", "horseshoe", "magnet", "magnetic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ladder", { name = "LADDER", native = "\u{1FA9C}", nativeNonQual = "\u{1FA9C}", keywords = [ "climb", "ladder", "rung", "step" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "alembic", { name = "ALEMBIC", native = "⚗️", nativeNonQual = "⚗", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "test_tube", { name = "TEST TUBE", native = "🧪", nativeNonQual = "🧪", keywords = [ "chemist", "chemistry", "experiment", "lab", "science", "test tube" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "petri_dish", { name = "PETRI DISH", native = "🧫", nativeNonQual = "🧫", keywords = [ "bacteria", "biologist", "biology", "culture", "lab", "petri dish" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "dna", { name = "DNA DOUBLE HELIX", native = "🧬", nativeNonQual = "🧬", keywords = [ "biologist", "dna", "evolution", "gene", "genetics", "life" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "microscope", { name = "MICROSCOPE", native = "🔬", nativeNonQual = "🔬", keywords = [ "microscope", "science", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "telescope", { name = "TELESCOPE", native = "🔭", nativeNonQual = "🔭", keywords = [ "science", "telescope", "tool" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "satellite_antenna", { name = "SATELLITE ANTENNA", native = "📡", nativeNonQual = "📡", keywords = [ "antenna", "dish", "satellite" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "syringe", { name = "SYRINGE", native = "💉", nativeNonQual = "💉", keywords = [ "medicine", "needle", "shot", "sick", "syringe" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "drop_of_blood", { name = "DROP OF BLOOD", native = "🩸", nativeNonQual = "🩸", keywords = [ "bleed", "blood donation", "drop of blood", "injury", "medicine", "menstruation" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pill", { name = "PILL", native = "💊", nativeNonQual = "💊", keywords = [ "doctor", "medicine", "pill", "sick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "adhesive_bandage", { name = "ADHESIVE BANDAGE", native = "🩹", nativeNonQual = "🩹", keywords = [ "adhesive bandage", "bandage" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crutch", { name = "CRUTCH", native = "\u{1FA7C}", nativeNonQual = "\u{1FA7C}", keywords = [ "cane", "crutch", "disability", "hurt", "mobility aid", "stick" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "stethoscope", { name = "STETHOSCOPE", native = "🩺", nativeNonQual = "🩺", keywords = [ "doctor", "heart", "medicine", "stethoscope" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "x-ray", { name = "X-RAY", native = "\u{1FA7B}", nativeNonQual = "\u{1FA7B}", keywords = [ "bones", "doctor", "medical", "skeleton", "x-ray" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "door", { name = "DOOR", native = "🚪", nativeNonQual = "🚪", keywords = [ "door" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "elevator", { name = "ELEVATOR", native = "\u{1F6D7}", nativeNonQual = "\u{1F6D7}", keywords = [ "accessibility", "elevator", "hoist", "lift" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mirror", { name = "MIRROR", native = "\u{1FA9E}", nativeNonQual = "\u{1FA9E}", keywords = [ "mirror", "reflection", "reflector", "speculum" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "window", { name = "WINDOW", native = "\u{1FA9F}", nativeNonQual = "\u{1FA9F}", keywords = [ "frame", "fresh air", "opening", "transparent", "view", "window" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bed", { name = "BED", native = "🛏️", nativeNonQual = "🛏", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "couch_and_lamp", { name = "COUCH AND LAMP", native = "🛋️", nativeNonQual = "🛋", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "chair", { name = "CHAIR", native = "🪑", nativeNonQual = "🪑", keywords = [ "chair", "seat", "sit" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "toilet", { name = "TOILET", native = "🚽", nativeNonQual = "🚽", keywords = [ "toilet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "plunger", { name = "PLUNGER", native = "\u{1FAA0}", nativeNonQual = "\u{1FAA0}", keywords = [ "force cup", "plumber", "plunger", "suction", "toilet" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shower", { name = "SHOWER", native = "🚿", nativeNonQual = "🚿", keywords = [ "shower", "water" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bathtub", { name = "BATHTUB", native = "🛁", nativeNonQual = "🛁", keywords = [ "bath", "bathtub" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mouse_trap", { name = "MOUSE TRAP", native = "\u{1FAA4}", nativeNonQual = "\u{1FAA4}", keywords = [ "bait", "mouse trap", "mousetrap", "snare", "trap" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "razor", { name = "RAZOR", native = "🪒", nativeNonQual = "🪒", keywords = [ "razor", "sharp", "shave" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "lotion_bottle", { name = "LOTION BOTTLE", native = "🧴", nativeNonQual = "🧴", keywords = [ "lotion", "lotion bottle", "moisturizer", "shampoo", "sunscreen" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "safety_pin", { name = "SAFETY PIN", native = "🧷", nativeNonQual = "🧷", keywords = [ "diaper", "punk rock", "safety pin" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "broom", { name = "BROOM", native = "🧹", nativeNonQual = "🧹", keywords = [ "broom", "cleaning", "sweeping", "witch" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "basket", { name = "BASKET", native = "🧺", nativeNonQual = "🧺", keywords = [ "basket", "farming", "laundry", "picnic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "roll_of_paper", { name = "ROLL OF PAPER", native = "🧻", nativeNonQual = "🧻", keywords = [ "paper towels", "roll of paper", "toilet paper" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bucket", { name = "BUCKET", native = "\u{1FAA3}", nativeNonQual = "\u{1FAA3}", keywords = [ "bucket", "cask", "pail", "vat" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "soap", { name = "BAR OF SOAP", native = "🧼", nativeNonQual = "🧼", keywords = [ "bar", "bathing", "cleaning", "lather", "soap", "soapdish" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bubbles", { name = "BUBBLES", native = "\u{1FAE7}", nativeNonQual = "\u{1FAE7}", keywords = [ "bubbles", "burp", "clean", "soap", "underwater" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "toothbrush", { name = "TOOTHBRUSH", native = "\u{1FAA5}", nativeNonQual = "\u{1FAA5}", keywords = [ "bathroom", "brush", "clean", "dental", "hygiene", "teeth", "toothbrush" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sponge", { name = "SPONGE", native = "🧽", nativeNonQual = "🧽", keywords = [ "absorbing", "cleaning", "porous", "sponge" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fire_extinguisher", { name = "FIRE EXTINGUISHER", native = "🧯", nativeNonQual = "🧯", keywords = [ "extinguish", "fire", "fire extinguisher", "quench" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "shopping_trolley", { name = "SHOPPING TROLLEY", native = "🛒", nativeNonQual = "🛒", keywords = [ "cart", "shopping", "trolley" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "smoking", { name = "SMOKING SYMBOL", native = "🚬", nativeNonQual = "🚬", keywords = [ "cigarette", "smoking" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "coffin", { name = "COFFIN", native = "⚰️", nativeNonQual = "⚰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "headstone", { name = "HEADSTONE", native = "\u{1FAA6}", nativeNonQual = "\u{1FAA6}", keywords = [ "cemetery", "grave", "graveyard", "headstone", "tombstone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "funeral_urn", { name = "FUNERAL URN", native = "⚱️", nativeNonQual = "⚱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nazar_amulet", { name = "NAZAR AMULET", native = "🧿", nativeNonQual = "🧿", keywords = [ "bead", "charm", "evil-eye", "nazar", "nazar amulet", "talisman" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hamsa", { name = "HAMSA", native = "\u{1FAAC}", nativeNonQual = "\u{1FAAC}", keywords = [ "amulet", "Fatima", "hamsa", "hand", "Mary", "Miriam", "protection" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "moyai", { name = "MOYAI", native = "🗿", nativeNonQual = "🗿", keywords = [ "face", "moai", "moyai", "statue" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "placard", { name = "PLACARD", native = "\u{1FAA7}", nativeNonQual = "\u{1FAA7}", keywords = [ "demonstration", "picket", "placard", "protest", "sign" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "identification_card", { name = "IDENTIFICATION CARD", native = "\u{1FAAA}", nativeNonQual = "\u{1FAAA}", keywords = [ "credentials", "ID", "identification card", "license", "security" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "atm", { name = "AUTOMATED TELLER MACHINE", native = "🏧", nativeNonQual = "🏧", keywords = [ "ATM", "ATM sign", "automated", "bank", "teller" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "put_litter_in_its_place", { name = "PUT LITTER IN ITS PLACE SYMBOL", native = "🚮", nativeNonQual = "🚮", keywords = [ "litter", "litter bin", "litter in bin sign" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "potable_water", { name = "POTABLE WATER SYMBOL", native = "🚰", nativeNonQual = "🚰", keywords = [ "drinking", "potable", "water" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wheelchair", { name = "WHEELCHAIR SYMBOL", native = "♿", nativeNonQual = "♿", keywords = [ "access", "wheelchair symbol" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mens", { name = "MENS SYMBOL", native = "🚹", nativeNonQual = "🚹", keywords = [ "bathroom", "lavatory", "man", "men’s room", "restroom", "toilet", "WC" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "womens", { name = "WOMENS SYMBOL", native = "🚺", nativeNonQual = "🚺", keywords = [ "bathroom", "lavatory", "restroom", "toilet", "WC", "woman", "women’s room" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "restroom", { name = "RESTROOM", native = "🚻", nativeNonQual = "🚻", keywords = [ "bathroom", "lavatory", "restroom", "toilet", "WC" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baby_symbol", { name = "BABY SYMBOL", native = "🚼", nativeNonQual = "🚼", keywords = [ "baby", "baby symbol", "changing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wc", { name = "WATER CLOSET", native = "🚾", nativeNonQual = "🚾", keywords = [ "bathroom", "closet", "lavatory", "restroom", "toilet", "water", "WC" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "passport_control", { name = "PASSPORT CONTROL", native = "🛂", nativeNonQual = "🛂", keywords = [ "control", "passport" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "customs", { name = "CUSTOMS", native = "🛃", nativeNonQual = "🛃", keywords = [ "customs" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "baggage_claim", { name = "BAGGAGE CLAIM", native = "🛄", nativeNonQual = "🛄", keywords = [ "baggage", "claim" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "left_luggage", { name = "LEFT LUGGAGE", native = "🛅", nativeNonQual = "🛅", keywords = [ "baggage", "left luggage", "locker", "luggage" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "warning", { name = "WARNING SIGN", native = "⚠️", nativeNonQual = "⚠", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "children_crossing", { name = "CHILDREN CROSSING", native = "🚸", nativeNonQual = "🚸", keywords = [ "child", "children crossing", "crossing", "pedestrian", "traffic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_entry", { name = "NO ENTRY", native = "⛔", nativeNonQual = "⛔", keywords = [ "entry", "forbidden", "no", "not", "prohibited", "traffic" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_entry_sign", { name = "NO ENTRY SIGN", native = "🚫", nativeNonQual = "🚫", keywords = [ "entry", "forbidden", "no", "not", "prohibited" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_bicycles", { name = "NO BICYCLES", native = "🚳", nativeNonQual = "🚳", keywords = [ "bicycle", "bike", "forbidden", "no", "no bicycles", "prohibited" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_smoking", { name = "NO SMOKING SYMBOL", native = "🚭", nativeNonQual = "🚭", keywords = [ "forbidden", "no", "not", "prohibited", "smoking" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "do_not_litter", { name = "DO NOT LITTER SYMBOL", native = "🚯", nativeNonQual = "🚯", keywords = [ "forbidden", "litter", "no", "no littering", "not", "prohibited" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "non-potable_water", { name = "NON-POTABLE WATER SYMBOL", native = "🚱", nativeNonQual = "🚱", keywords = [ "non-drinking", "non-potable", "water" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_pedestrians", { name = "NO PEDESTRIANS", native = "🚷", nativeNonQual = "🚷", keywords = [ "forbidden", "no", "no pedestrians", "not", "pedestrian", "prohibited" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "no_mobile_phones", { name = "NO MOBILE PHONES", native = "📵", nativeNonQual = "📵", keywords = [ "cell", "forbidden", "mobile", "no", "no mobile phones", "phone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "underage", { name = "NO ONE UNDER EIGHTEEN SYMBOL", native = "🔞", nativeNonQual = "🔞", keywords = [ "18", "age restriction", "eighteen", "no one under eighteen", "prohibited", "underage" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "radioactive_sign", { name = "RADIOACTIVE", native = "☢️", nativeNonQual = "☢", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "biohazard_sign", { name = "BIOHAZARD", native = "☣️", nativeNonQual = "☣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_up", { name = "UPWARDS BLACK ARROW", native = "⬆️", nativeNonQual = "⬆", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_upper_right", { name = "NORTH EAST ARROW", native = "↗️", nativeNonQual = "↗", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_right", { name = "BLACK RIGHTWARDS ARROW", native = "➡️", nativeNonQual = "➡", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_lower_right", { name = "SOUTH EAST ARROW", native = "↘️", nativeNonQual = "↘", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_down", { name = "DOWNWARDS BLACK ARROW", native = "⬇️", nativeNonQual = "⬇", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_lower_left", { name = "SOUTH WEST ARROW", native = "↙️", nativeNonQual = "↙", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_left", { name = "LEFTWARDS BLACK ARROW", native = "⬅️", nativeNonQual = "⬅", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_upper_left", { name = "NORTH WEST ARROW", native = "↖️", nativeNonQual = "↖", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_up_down", { name = "UP DOWN ARROW", native = "↕️", nativeNonQual = "↕", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "left_right_arrow", { name = "LEFT RIGHT ARROW", native = "↔️", nativeNonQual = "↔", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "leftwards_arrow_with_hook", { name = "LEFTWARDS ARROW WITH HOOK", native = "↩️", nativeNonQual = "↩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_right_hook", { name = "RIGHTWARDS ARROW WITH HOOK", native = "↪️", nativeNonQual = "↪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_heading_up", { name = "ARROW POINTING RIGHTWARDS THEN CURVING UPWARDS", native = "⤴️", nativeNonQual = "⤴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_heading_down", { name = "ARROW POINTING RIGHTWARDS THEN CURVING DOWNWARDS", native = "⤵️", nativeNonQual = "⤵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrows_clockwise", { name = "CLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS", native = "🔃", nativeNonQual = "🔃", keywords = [ "arrow", "clockwise", "clockwise vertical arrows", "reload" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrows_counterclockwise", { name = "ANTICLOCKWISE DOWNWARDS AND UPWARDS OPEN CIRCLE ARROWS", native = "🔄", nativeNonQual = "🔄", keywords = [ "anticlockwise", "arrow", "counterclockwise", "counterclockwise arrows button", "withershins" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "back", { name = "BACK WITH LEFTWARDS ARROW ABOVE", native = "🔙", nativeNonQual = "🔙", keywords = [ "arrow", "BACK" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "end", { name = "END WITH LEFTWARDS ARROW ABOVE", native = "🔚", nativeNonQual = "🔚", keywords = [ "arrow", "END" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "on", { name = "ON WITH EXCLAMATION MARK WITH LEFT RIGHT ARROW ABOVE", native = "🔛", nativeNonQual = "🔛", keywords = [ "arrow", "mark", "ON", "ON!" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "soon", { name = "SOON WITH RIGHTWARDS ARROW ABOVE", native = "🔜", nativeNonQual = "🔜", keywords = [ "arrow", "SOON" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "top", { name = "TOP WITH UPWARDS ARROW ABOVE", native = "🔝", nativeNonQual = "🔝", keywords = [ "arrow", "TOP", "up" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "place_of_worship", { name = "PLACE OF WORSHIP", native = "🛐", nativeNonQual = "🛐", keywords = [ "place of worship", "religion", "worship" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "atom_symbol", { name = "ATOM SYMBOL", native = "⚛️", nativeNonQual = "⚛", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "om_symbol", { name = "OM", native = "🕉️", nativeNonQual = "🕉", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "star_of_david", { name = "STAR OF DAVID", native = "✡️", nativeNonQual = "✡", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wheel_of_dharma", { name = "WHEEL OF DHARMA", native = "☸️", nativeNonQual = "☸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "yin_yang", { name = "YIN YANG", native = "☯️", nativeNonQual = "☯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "latin_cross", { name = "LATIN CROSS", native = "✝️", nativeNonQual = "✝", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "orthodox_cross", { name = "ORTHODOX CROSS", native = "☦️", nativeNonQual = "☦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "star_and_crescent", { name = "STAR AND CRESCENT", native = "☪️", nativeNonQual = "☪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "peace_symbol", { name = "PEACE SYMBOL", native = "☮️", nativeNonQual = "☮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "menorah_with_nine_branches", { name = "MENORAH WITH NINE BRANCHES", native = "🕎", nativeNonQual = "🕎", keywords = [ "candelabrum", "candlestick", "menorah", "religion" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "six_pointed_star", { name = "SIX POINTED STAR WITH MIDDLE DOT", native = "🔯", nativeNonQual = "🔯", keywords = [ "dotted six-pointed star", "fortune", "star" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "khanda", { name = "KHANDA", native = "\u{1FAAF}", nativeNonQual = "\u{1FAAF}", keywords = [ "khanda", "religion", "Sikh" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "aries", { name = "ARIES", native = "♈", nativeNonQual = "♈", keywords = [ "Aries", "ram", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "taurus", { name = "TAURUS", native = "♉", nativeNonQual = "♉", keywords = [ "bull", "ox", "Taurus", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gemini", { name = "GEMINI", native = "♊", nativeNonQual = "♊", keywords = [ "Gemini", "twins", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cancer", { name = "CANCER", native = "♋", nativeNonQual = "♋", keywords = [ "Cancer", "crab", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "leo", { name = "LEO", native = "♌", nativeNonQual = "♌", keywords = [ "Leo", "lion", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "virgo", { name = "VIRGO", native = "♍", nativeNonQual = "♍", keywords = [ "Virgo", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "libra", { name = "LIBRA", native = "♎", nativeNonQual = "♎", keywords = [ "balance", "justice", "Libra", "scales", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "scorpius", { name = "SCORPIUS", native = "♏", nativeNonQual = "♏", keywords = [ "Scorpio", "scorpion", "scorpius", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sagittarius", { name = "SAGITTARIUS", native = "♐", nativeNonQual = "♐", keywords = [ "archer", "Sagittarius", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "capricorn", { name = "CAPRICORN", native = "♑", nativeNonQual = "♑", keywords = [ "Capricorn", "goat", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "aquarius", { name = "AQUARIUS", native = "♒", nativeNonQual = "♒", keywords = [ "Aquarius", "bearer", "water", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pisces", { name = "PISCES", native = "♓", nativeNonQual = "♓", keywords = [ "fish", "Pisces", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ophiuchus", { name = "OPHIUCHUS", native = "⛎", nativeNonQual = "⛎", keywords = [ "bearer", "Ophiuchus", "serpent", "snake", "zodiac" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "twisted_rightwards_arrows", { name = "TWISTED RIGHTWARDS ARROWS", native = "🔀", nativeNonQual = "🔀", keywords = [ "arrow", "crossed", "shuffle tracks button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "repeat", { name = "CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS", native = "🔁", nativeNonQual = "🔁", keywords = [ "arrow", "clockwise", "repeat", "repeat button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "repeat_one", { name = "CLOCKWISE RIGHTWARDS AND LEFTWARDS OPEN CIRCLE ARROWS WITH CIRCLED ONE OVERLAY", native = "🔂", nativeNonQual = "🔂", keywords = [ "arrow", "clockwise", "once", "repeat single button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_forward", { name = "BLACK RIGHT-POINTING TRIANGLE", native = "▶️", nativeNonQual = "▶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fast_forward", { name = "BLACK RIGHT-POINTING DOUBLE TRIANGLE", native = "⏩", nativeNonQual = "⏩", keywords = [ "arrow", "double", "fast", "fast-forward button", "forward" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_right_pointing_double_triangle_with_vertical_bar", { name = "NEXT TRACK BUTTON", native = "⏭️", nativeNonQual = "⏭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_right_pointing_triangle_with_double_vertical_bar", { name = "PLAY OR PAUSE BUTTON", native = "⏯️", nativeNonQual = "⏯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_backward", { name = "BLACK LEFT-POINTING TRIANGLE", native = "◀️", nativeNonQual = "◀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rewind", { name = "BLACK LEFT-POINTING DOUBLE TRIANGLE", native = "⏪", nativeNonQual = "⏪", keywords = [ "arrow", "double", "fast reverse button", "rewind" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_left_pointing_double_triangle_with_vertical_bar", { name = "LAST TRACK BUTTON", native = "⏮️", nativeNonQual = "⏮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_up_small", { name = "UP-POINTING SMALL RED TRIANGLE", native = "🔼", nativeNonQual = "🔼", keywords = [ "arrow", "button", "upwards button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_double_up", { name = "BLACK UP-POINTING DOUBLE TRIANGLE", native = "⏫", nativeNonQual = "⏫", keywords = [ "arrow", "double", "fast up button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_down_small", { name = "DOWN-POINTING SMALL RED TRIANGLE", native = "🔽", nativeNonQual = "🔽", keywords = [ "arrow", "button", "down", "downwards button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "arrow_double_down", { name = "BLACK DOWN-POINTING DOUBLE TRIANGLE", native = "⏬", nativeNonQual = "⏬", keywords = [ "arrow", "double", "down", "fast down button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "double_vertical_bar", { name = "PAUSE BUTTON", native = "⏸️", nativeNonQual = "⏸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_square_for_stop", { name = "STOP BUTTON", native = "⏹️", nativeNonQual = "⏹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_circle_for_record", { name = "RECORD BUTTON", native = "⏺️", nativeNonQual = "⏺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eject", { name = "EJECT BUTTON", native = "⏏️", nativeNonQual = "⏏", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cinema", { name = "CINEMA", native = "🎦", nativeNonQual = "🎦", keywords = [ "camera", "cinema", "film", "movie" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "low_brightness", { name = "LOW BRIGHTNESS SYMBOL", native = "🔅", nativeNonQual = "🔅", keywords = [ "brightness", "dim", "dim button", "low" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "high_brightness", { name = "HIGH BRIGHTNESS SYMBOL", native = "🔆", nativeNonQual = "🔆", keywords = [ "bright", "bright button", "brightness" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "signal_strength", { name = "ANTENNA WITH BARS", native = "📶", nativeNonQual = "📶", keywords = [ "antenna", "antenna bars", "bar", "cell", "mobile", "phone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wireless", { name = "WIRELESS", native = "\u{1F6DC}", nativeNonQual = "\u{1F6DC}", keywords = [ "computer", "internet", "network", "wi-fi", "wifi", "wireless" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "vibration_mode", { name = "VIBRATION MODE", native = "📳", nativeNonQual = "📳", keywords = [ "cell", "mobile", "mode", "phone", "telephone", "vibration" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "mobile_phone_off", { name = "MOBILE PHONE OFF", native = "📴", nativeNonQual = "📴", keywords = [ "cell", "mobile", "off", "phone", "telephone" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "female_sign", { name = "FEMALE SIGN", native = "♀️", nativeNonQual = "♀", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "male_sign", { name = "MALE SIGN", native = "♂️", nativeNonQual = "♂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "transgender_symbol", { name = "TRANSGENDER SYMBOL", native = "⚧️", nativeNonQual = "⚧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_multiplication_x", { name = "HEAVY MULTIPLICATION X", native = "✖️", nativeNonQual = "✖", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_plus_sign", { name = "HEAVY PLUS SIGN", native = "➕", nativeNonQual = "➕", keywords = [ "+", "math", "plus", "sign" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_minus_sign", { name = "HEAVY MINUS SIGN", native = "➖", nativeNonQual = "➖", keywords = [ "-", "−", "math", "minus", "sign" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_division_sign", { name = "HEAVY DIVISION SIGN", native = "➗", nativeNonQual = "➗", keywords = [ "÷", "divide", "division", "math", "sign" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_equals_sign", { name = "HEAVY EQUALS SIGN", native = "\u{1F7F0}", nativeNonQual = "\u{1F7F0}", keywords = [ "equality", "heavy equals sign", "math" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "infinity", { name = "INFINITY", native = "♾️", nativeNonQual = "♾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "bangbang", { name = "DOUBLE EXCLAMATION MARK", native = "‼️", nativeNonQual = "‼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "interrobang", { name = "EXCLAMATION QUESTION MARK", native = "⁉️", nativeNonQual = "⁉", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "question", { name = "BLACK QUESTION MARK ORNAMENT", native = "❓", nativeNonQual = "❓", keywords = [ "?", "mark", "punctuation", "question", "red question mark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "grey_question", { name = "WHITE QUESTION MARK ORNAMENT", native = "❔", nativeNonQual = "❔", keywords = [ "?", "mark", "outlined", "punctuation", "question", "white question mark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "grey_exclamation", { name = "WHITE EXCLAMATION MARK ORNAMENT", native = "❕", nativeNonQual = "❕", keywords = [ "!", "exclamation", "mark", "outlined", "punctuation", "white exclamation mark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "exclamation", { name = "HEAVY EXCLAMATION MARK SYMBOL", native = "❗", nativeNonQual = "❗", keywords = [ "!", "exclamation", "mark", "punctuation", "red exclamation mark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "wavy_dash", { name = "WAVY DASH", native = "〰️", nativeNonQual = "〰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "currency_exchange", { name = "CURRENCY EXCHANGE", native = "💱", nativeNonQual = "💱", keywords = [ "bank", "currency", "exchange", "money" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_dollar_sign", { name = "HEAVY DOLLAR SIGN", native = "💲", nativeNonQual = "💲", keywords = [ "currency", "dollar", "heavy dollar sign", "money" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "medical_symbol", { name = "MEDICAL SYMBOL", native = "⚕️", nativeNonQual = "⚕", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "recycle", { name = "BLACK UNIVERSAL RECYCLING SYMBOL", native = "♻️", nativeNonQual = "♻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fleur_de_lis", { name = "FLEUR-DE-LIS", native = "⚜️", nativeNonQual = "⚜", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "trident", { name = "TRIDENT EMBLEM", native = "🔱", nativeNonQual = "🔱", keywords = [ "anchor", "emblem", "ship", "tool", "trident" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "name_badge", { name = "NAME BADGE", native = "📛", nativeNonQual = "📛", keywords = [ "badge", "name" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "beginner", { name = "JAPANESE SYMBOL FOR BEGINNER", native = "🔰", nativeNonQual = "🔰", keywords = [ "beginner", "chevron", "Japanese", "Japanese symbol for beginner", "leaf" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "o", { name = "HEAVY LARGE CIRCLE", native = "⭕", nativeNonQual = "⭕", keywords = [ "circle", "hollow red circle", "large", "o", "red" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_check_mark", { name = "WHITE HEAVY CHECK MARK", native = "✅", nativeNonQual = "✅", keywords = [ "✓", "button", "check", "mark" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ballot_box_with_check", { name = "BALLOT BOX WITH CHECK", native = "☑️", nativeNonQual = "☑", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "heavy_check_mark", { name = "HEAVY CHECK MARK", native = "✔️", nativeNonQual = "✔", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "x", { name = "CROSS MARK", native = "❌", nativeNonQual = "❌", keywords = [ "×", "cancel", "cross", "mark", "multiplication", "multiply", "x" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "negative_squared_cross_mark", { name = "NEGATIVE SQUARED CROSS MARK", native = "❎", nativeNonQual = "❎", keywords = [ "×", "cross mark button", "mark", "square", "x" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "curly_loop", { name = "CURLY LOOP", native = "➰", nativeNonQual = "➰", keywords = [ "curl", "curly loop", "loop" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "loop", { name = "DOUBLE CURLY LOOP", native = "➿", nativeNonQual = "➿", keywords = [ "curl", "double", "double curly loop", "loop" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "part_alternation_mark", { name = "PART ALTERNATION MARK", native = "〽️", nativeNonQual = "〽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eight_spoked_asterisk", { name = "EIGHT SPOKED ASTERISK", native = "✳️", nativeNonQual = "✳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eight_pointed_black_star", { name = "EIGHT POINTED BLACK STAR", native = "✴️", nativeNonQual = "✴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sparkle", { name = "SPARKLE", native = "❇️", nativeNonQual = "❇", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "copyright", { name = "COPYRIGHT SIGN", native = "©️", nativeNonQual = "©", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "registered", { name = "REGISTERED SIGN", native = "®️", nativeNonQual = "®", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "tm", { name = "TRADE MARK SIGN", native = "™️", nativeNonQual = "™", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "hash", { name = "HASH KEY", native = "#️⃣", nativeNonQual = "#⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "keycap_star", { name = "KEYCAP: *", native = "*️⃣", nativeNonQual = "*⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "zero", { name = "KEYCAP 0", native = "0️⃣", nativeNonQual = "0⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "one", { name = "KEYCAP 1", native = "1️⃣", nativeNonQual = "1⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "two", { name = "KEYCAP 2", native = "2️⃣", nativeNonQual = "2⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "three", { name = "KEYCAP 3", native = "3️⃣", nativeNonQual = "3⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "four", { name = "KEYCAP 4", native = "4️⃣", nativeNonQual = "4⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "five", { name = "KEYCAP 5", native = "5️⃣", nativeNonQual = "5⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "six", { name = "KEYCAP 6", native = "6️⃣", nativeNonQual = "6⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "seven", { name = "KEYCAP 7", native = "7️⃣", nativeNonQual = "7⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "eight", { name = "KEYCAP 8", native = "8️⃣", nativeNonQual = "8⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "nine", { name = "KEYCAP 9", native = "9️⃣", nativeNonQual = "9⃣", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "keycap_ten", { name = "KEYCAP TEN", native = "🔟", nativeNonQual = "🔟", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "capital_abcd", { name = "INPUT SYMBOL FOR LATIN CAPITAL LETTERS", native = "🔠", nativeNonQual = "🔠", keywords = [ "ABCD", "input", "latin", "letters", "uppercase" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "abcd", { name = "INPUT SYMBOL FOR LATIN SMALL LETTERS", native = "🔡", nativeNonQual = "🔡", keywords = [ "abcd", "input", "latin", "letters", "lowercase" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "1234", { name = "INPUT SYMBOL FOR NUMBERS", native = "🔢", nativeNonQual = "🔢", keywords = [ "1234", "input", "numbers" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "symbols", { name = "INPUT SYMBOL FOR SYMBOLS", native = "🔣", nativeNonQual = "🔣", keywords = [ "〒♪&%", "input", "input symbols" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "abc", { name = "INPUT SYMBOL FOR LATIN LETTERS", native = "🔤", nativeNonQual = "🔤", keywords = [ "abc", "alphabet", "input", "latin", "letters" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "a", { name = "NEGATIVE SQUARED LATIN CAPITAL LETTER A", native = "🅰️", nativeNonQual = "🅰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ab", { name = "NEGATIVE SQUARED AB", native = "🆎", nativeNonQual = "🆎", keywords = [ "AB", "AB button (blood type)", "blood type" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "b", { name = "NEGATIVE SQUARED LATIN CAPITAL LETTER B", native = "🅱️", nativeNonQual = "🅱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cl", { name = "SQUARED CL", native = "🆑", nativeNonQual = "🆑", keywords = [ "CL", "CL button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cool", { name = "SQUARED COOL", native = "🆒", nativeNonQual = "🆒", keywords = [ "COOL", "COOL button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "free", { name = "SQUARED FREE", native = "🆓", nativeNonQual = "🆓", keywords = [ "FREE", "FREE button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "information_source", { name = "INFORMATION SOURCE", native = "ℹ️", nativeNonQual = "ℹ", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "id", { name = "SQUARED ID", native = "🆔", nativeNonQual = "🆔", keywords = [ "ID", "ID button", "identity" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "m", { name = "CIRCLED LATIN CAPITAL LETTER M", native = "Ⓜ️", nativeNonQual = "Ⓜ", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "new", { name = "SQUARED NEW", native = "🆕", nativeNonQual = "🆕", keywords = [ "NEW", "NEW button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ng", { name = "SQUARED NG", native = "🆖", nativeNonQual = "🆖", keywords = [ "NG", "NG button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "o2", { name = "NEGATIVE SQUARED LATIN CAPITAL LETTER O", native = "🅾️", nativeNonQual = "🅾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ok", { name = "SQUARED OK", native = "🆗", nativeNonQual = "🆗", keywords = [ "OK", "OK button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "parking", { name = "NEGATIVE SQUARED LATIN CAPITAL LETTER P", native = "🅿️", nativeNonQual = "🅿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sos", { name = "SQUARED SOS", native = "🆘", nativeNonQual = "🆘", keywords = [ "help", "SOS", "SOS button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "up", { name = "SQUARED UP WITH EXCLAMATION MARK", native = "🆙", nativeNonQual = "🆙", keywords = [ "mark", "UP", "UP!", "UP! button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "vs", { name = "SQUARED VS", native = "🆚", nativeNonQual = "🆚", keywords = [ "versus", "VS", "VS button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "koko", { name = "SQUARED KATAKANA KOKO", native = "🈁", nativeNonQual = "🈁", keywords = [ "“here”", "Japanese", "Japanese “here” button", "katakana", "ココ" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "sa", { name = "SQUARED KATAKANA SA", native = "🈂️", nativeNonQual = "🈂", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u6708", { name = "SQUARED CJK UNIFIED IDEOGRAPH-6708", native = "🈷️", nativeNonQual = "🈷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u6709", { name = "SQUARED CJK UNIFIED IDEOGRAPH-6709", native = "🈶", nativeNonQual = "🈶", keywords = [ "“not free of charge”", "ideograph", "Japanese", "Japanese “not free of charge” button", "有" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u6307", { name = "SQUARED CJK UNIFIED IDEOGRAPH-6307", native = "🈯", nativeNonQual = "🈯", keywords = [ "“reserved”", "ideograph", "Japanese", "Japanese “reserved” button", "指" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ideograph_advantage", { name = "CIRCLED IDEOGRAPH ADVANTAGE", native = "🉐", nativeNonQual = "🉐", keywords = [ "“bargain”", "ideograph", "Japanese", "Japanese “bargain” button", "得" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u5272", { name = "SQUARED CJK UNIFIED IDEOGRAPH-5272", native = "🈹", nativeNonQual = "🈹", keywords = [ "“discount”", "ideograph", "Japanese", "Japanese “discount” button", "割" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u7121", { name = "SQUARED CJK UNIFIED IDEOGRAPH-7121", native = "🈚", nativeNonQual = "🈚", keywords = [ "“free of charge”", "ideograph", "Japanese", "Japanese “free of charge” button", "無" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u7981", { name = "SQUARED CJK UNIFIED IDEOGRAPH-7981", native = "🈲", nativeNonQual = "🈲", keywords = [ "“prohibited”", "ideograph", "Japanese", "Japanese “prohibited” button", "禁" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "accept", { name = "CIRCLED IDEOGRAPH ACCEPT", native = "🉑", nativeNonQual = "🉑", keywords = [ "“acceptable”", "ideograph", "Japanese", "Japanese “acceptable” button", "可" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u7533", { name = "SQUARED CJK UNIFIED IDEOGRAPH-7533", native = "🈸", nativeNonQual = "🈸", keywords = [ "“application”", "ideograph", "Japanese", "Japanese “application” button", "申" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u5408", { name = "SQUARED CJK UNIFIED IDEOGRAPH-5408", native = "🈴", nativeNonQual = "🈴", keywords = [ "“passing grade”", "ideograph", "Japanese", "Japanese “passing grade” button", "合" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u7a7a", { name = "SQUARED CJK UNIFIED IDEOGRAPH-7A7A", native = "🈳", nativeNonQual = "🈳", keywords = [ "“vacancy”", "ideograph", "Japanese", "Japanese “vacancy” button", "空" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "congratulations", { name = "CIRCLED IDEOGRAPH CONGRATULATION", native = "㊗️", nativeNonQual = "㊗", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "secret", { name = "CIRCLED IDEOGRAPH SECRET", native = "㊙️", nativeNonQual = "㊙", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u55b6", { name = "SQUARED CJK UNIFIED IDEOGRAPH-55B6", native = "🈺", nativeNonQual = "🈺", keywords = [ "“open for business”", "ideograph", "Japanese", "Japanese “open for business” button", "営" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "u6e80", { name = "SQUARED CJK UNIFIED IDEOGRAPH-6E80", native = "🈵", nativeNonQual = "🈵", keywords = [ "“no vacancy”", "ideograph", "Japanese", "Japanese “no vacancy” button", "満" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "red_circle", { name = "LARGE RED CIRCLE", native = "🔴", nativeNonQual = "🔴", keywords = [ "circle", "geometric", "red" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_orange_circle", { name = "LARGE ORANGE CIRCLE", native = "🟠", nativeNonQual = "🟠", keywords = [ "circle", "orange" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_yellow_circle", { name = "LARGE YELLOW CIRCLE", native = "🟡", nativeNonQual = "🟡", keywords = [ "circle", "yellow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_green_circle", { name = "LARGE GREEN CIRCLE", native = "🟢", nativeNonQual = "🟢", keywords = [ "circle", "green" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_blue_circle", { name = "LARGE BLUE CIRCLE", native = "🔵", nativeNonQual = "🔵", keywords = [ "blue", "circle", "geometric" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_purple_circle", { name = "LARGE PURPLE CIRCLE", native = "🟣", nativeNonQual = "🟣", keywords = [ "circle", "purple" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_brown_circle", { name = "LARGE BROWN CIRCLE", native = "🟤", nativeNonQual = "🟤", keywords = [ "brown", "circle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_circle", { name = "MEDIUM BLACK CIRCLE", native = "⚫", nativeNonQual = "⚫", keywords = [ "black circle", "circle", "geometric" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_circle", { name = "MEDIUM WHITE CIRCLE", native = "⚪", nativeNonQual = "⚪", keywords = [ "circle", "geometric", "white circle" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_red_square", { name = "LARGE RED SQUARE", native = "🟥", nativeNonQual = "🟥", keywords = [ "red", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_orange_square", { name = "LARGE ORANGE SQUARE", native = "🟧", nativeNonQual = "🟧", keywords = [ "orange", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_yellow_square", { name = "LARGE YELLOW SQUARE", native = "🟨", nativeNonQual = "🟨", keywords = [ "square", "yellow" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_green_square", { name = "LARGE GREEN SQUARE", native = "🟩", nativeNonQual = "🟩", keywords = [ "green", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_blue_square", { name = "LARGE BLUE SQUARE", native = "🟦", nativeNonQual = "🟦", keywords = [ "blue", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_purple_square", { name = "LARGE PURPLE SQUARE", native = "🟪", nativeNonQual = "🟪", keywords = [ "purple", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_brown_square", { name = "LARGE BROWN SQUARE", native = "🟫", nativeNonQual = "🟫", keywords = [ "brown", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_large_square", { name = "BLACK LARGE SQUARE", native = "⬛", nativeNonQual = "⬛", keywords = [ "black large square", "geometric", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_large_square", { name = "WHITE LARGE SQUARE", native = "⬜", nativeNonQual = "⬜", keywords = [ "geometric", "square", "white large square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_medium_square", { name = "BLACK MEDIUM SQUARE", native = "◼️", nativeNonQual = "◼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_medium_square", { name = "WHITE MEDIUM SQUARE", native = "◻️", nativeNonQual = "◻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_medium_small_square", { name = "BLACK MEDIUM SMALL SQUARE", native = "◾", nativeNonQual = "◾", keywords = [ "black medium-small square", "geometric", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_medium_small_square", { name = "WHITE MEDIUM SMALL SQUARE", native = "◽", nativeNonQual = "◽", keywords = [ "geometric", "square", "white medium-small square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_small_square", { name = "BLACK SMALL SQUARE", native = "▪️", nativeNonQual = "▪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_small_square", { name = "WHITE SMALL SQUARE", native = "▫️", nativeNonQual = "▫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_orange_diamond", { name = "LARGE ORANGE DIAMOND", native = "🔶", nativeNonQual = "🔶", keywords = [ "diamond", "geometric", "large orange diamond", "orange" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "large_blue_diamond", { name = "LARGE BLUE DIAMOND", native = "🔷", nativeNonQual = "🔷", keywords = [ "blue", "diamond", "geometric", "large blue diamond" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "small_orange_diamond", { name = "SMALL ORANGE DIAMOND", native = "🔸", nativeNonQual = "🔸", keywords = [ "diamond", "geometric", "orange", "small orange diamond" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "small_blue_diamond", { name = "SMALL BLUE DIAMOND", native = "🔹", nativeNonQual = "🔹", keywords = [ "blue", "diamond", "geometric", "small blue diamond" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "small_red_triangle", { name = "UP-POINTING RED TRIANGLE", native = "🔺", nativeNonQual = "🔺", keywords = [ "geometric", "red", "red triangle pointed up" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "small_red_triangle_down", { name = "DOWN-POINTING RED TRIANGLE", native = "🔻", nativeNonQual = "🔻", keywords = [ "down", "geometric", "red", "red triangle pointed down" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "diamond_shape_with_a_dot_inside", { name = "DIAMOND SHAPE WITH A DOT INSIDE", native = "💠", nativeNonQual = "💠", keywords = [ "comic", "diamond", "diamond with a dot", "geometric", "inside" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "radio_button", { name = "RADIO BUTTON", native = "🔘", nativeNonQual = "🔘", keywords = [ "button", "geometric", "radio" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "white_square_button", { name = "WHITE SQUARE BUTTON", native = "🔳", nativeNonQual = "🔳", keywords = [ "button", "geometric", "outlined", "square", "white square button" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "black_square_button", { name = "BLACK SQUARE BUTTON", native = "🔲", nativeNonQual = "🔲", keywords = [ "black square button", "button", "geometric", "square" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "checkered_flag", { name = "CHEQUERED FLAG", native = "🏁", nativeNonQual = "🏁", keywords = [ "checkered", "chequered", "chequered flag", "racing" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "triangular_flag_on_post", { name = "TRIANGULAR FLAG ON POST", native = "🚩", nativeNonQual = "🚩", keywords = [ "post", "triangular flag" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "crossed_flags", { name = "CROSSED FLAGS", native = "🎌", nativeNonQual = "🎌", keywords = [ "celebration", "cross", "crossed", "crossed flags", "Japanese" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "waving_black_flag", { name = "WAVING BLACK FLAG", native = "🏴", nativeNonQual = "🏴", keywords = [ "black flag", "waving" ], skinVariations = Dict.fromList [], version = 15 } )
        , ( "waving_white_flag", { name = "WHITE FLAG", native = "🏳️", nativeNonQual = "🏳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "rainbow-flag", { name = "RAINBOW FLAG", native = "🏳️\u{200D}🌈", nativeNonQual = "🏳\u{200D}🌈", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "transgender_flag", { name = "TRANSGENDER FLAG", native = "🏳️\u{200D}⚧️", nativeNonQual = "🏳️\u{200D}⚧️", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "pirate_flag", { name = "PIRATE FLAG", native = "🏴\u{200D}☠️", nativeNonQual = "🏴\u{200D}☠", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ac", { name = "Ascension Island Flag", native = "🇦🇨", nativeNonQual = "🇦🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ad", { name = "Andorra Flag", native = "🇦🇩", nativeNonQual = "🇦🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ae", { name = "United Arab Emirates Flag", native = "🇦🇪", nativeNonQual = "🇦🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-af", { name = "Afghanistan Flag", native = "🇦🇫", nativeNonQual = "🇦🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ag", { name = "Antigua & Barbuda Flag", native = "🇦🇬", nativeNonQual = "🇦🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ai", { name = "Anguilla Flag", native = "🇦🇮", nativeNonQual = "🇦🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-al", { name = "Albania Flag", native = "🇦🇱", nativeNonQual = "🇦🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-am", { name = "Armenia Flag", native = "🇦🇲", nativeNonQual = "🇦🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ao", { name = "Angola Flag", native = "🇦🇴", nativeNonQual = "🇦🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-aq", { name = "Antarctica Flag", native = "🇦🇶", nativeNonQual = "🇦🇶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ar", { name = "Argentina Flag", native = "🇦🇷", nativeNonQual = "🇦🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-as", { name = "American Samoa Flag", native = "🇦🇸", nativeNonQual = "🇦🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-at", { name = "Austria Flag", native = "🇦🇹", nativeNonQual = "🇦🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-au", { name = "Australia Flag", native = "🇦🇺", nativeNonQual = "🇦🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-aw", { name = "Aruba Flag", native = "🇦🇼", nativeNonQual = "🇦🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ax", { name = "Åland Islands Flag", native = "🇦🇽", nativeNonQual = "🇦🇽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-az", { name = "Azerbaijan Flag", native = "🇦🇿", nativeNonQual = "🇦🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ba", { name = "Bosnia & Herzegovina Flag", native = "🇧🇦", nativeNonQual = "🇧🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bb", { name = "Barbados Flag", native = "🇧🇧", nativeNonQual = "🇧🇧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bd", { name = "Bangladesh Flag", native = "🇧🇩", nativeNonQual = "🇧🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-be", { name = "Belgium Flag", native = "🇧🇪", nativeNonQual = "🇧🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bf", { name = "Burkina Faso Flag", native = "🇧🇫", nativeNonQual = "🇧🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bg", { name = "Bulgaria Flag", native = "🇧🇬", nativeNonQual = "🇧🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bh", { name = "Bahrain Flag", native = "🇧🇭", nativeNonQual = "🇧🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bi", { name = "Burundi Flag", native = "🇧🇮", nativeNonQual = "🇧🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bj", { name = "Benin Flag", native = "🇧🇯", nativeNonQual = "🇧🇯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bl", { name = "St. Barthélemy Flag", native = "🇧🇱", nativeNonQual = "🇧🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bm", { name = "Bermuda Flag", native = "🇧🇲", nativeNonQual = "🇧🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bn", { name = "Brunei Flag", native = "🇧🇳", nativeNonQual = "🇧🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bo", { name = "Bolivia Flag", native = "🇧🇴", nativeNonQual = "🇧🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bq", { name = "Caribbean Netherlands Flag", native = "🇧🇶", nativeNonQual = "🇧🇶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-br", { name = "Brazil Flag", native = "🇧🇷", nativeNonQual = "🇧🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bs", { name = "Bahamas Flag", native = "🇧🇸", nativeNonQual = "🇧🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bt", { name = "Bhutan Flag", native = "🇧🇹", nativeNonQual = "🇧🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bv", { name = "Bouvet Island Flag", native = "🇧🇻", nativeNonQual = "🇧🇻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bw", { name = "Botswana Flag", native = "🇧🇼", nativeNonQual = "🇧🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-by", { name = "Belarus Flag", native = "🇧🇾", nativeNonQual = "🇧🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-bz", { name = "Belize Flag", native = "🇧🇿", nativeNonQual = "🇧🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ca", { name = "Canada Flag", native = "🇨🇦", nativeNonQual = "🇨🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cc", { name = "Cocos (Keeling) Islands Flag", native = "🇨🇨", nativeNonQual = "🇨🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cd", { name = "Congo - Kinshasa Flag", native = "🇨🇩", nativeNonQual = "🇨🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cf", { name = "Central African Republic Flag", native = "🇨🇫", nativeNonQual = "🇨🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cg", { name = "Congo - Brazzaville Flag", native = "🇨🇬", nativeNonQual = "🇨🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ch", { name = "Switzerland Flag", native = "🇨🇭", nativeNonQual = "🇨🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ci", { name = "Côte d’Ivoire Flag", native = "🇨🇮", nativeNonQual = "🇨🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ck", { name = "Cook Islands Flag", native = "🇨🇰", nativeNonQual = "🇨🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cl", { name = "Chile Flag", native = "🇨🇱", nativeNonQual = "🇨🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cm", { name = "Cameroon Flag", native = "🇨🇲", nativeNonQual = "🇨🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "cn", { name = "China Flag", native = "🇨🇳", nativeNonQual = "🇨🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-co", { name = "Colombia Flag", native = "🇨🇴", nativeNonQual = "🇨🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cp", { name = "Clipperton Island Flag", native = "🇨🇵", nativeNonQual = "🇨🇵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cr", { name = "Costa Rica Flag", native = "🇨🇷", nativeNonQual = "🇨🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cu", { name = "Cuba Flag", native = "🇨🇺", nativeNonQual = "🇨🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cv", { name = "Cape Verde Flag", native = "🇨🇻", nativeNonQual = "🇨🇻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cw", { name = "Curaçao Flag", native = "🇨🇼", nativeNonQual = "🇨🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cx", { name = "Christmas Island Flag", native = "🇨🇽", nativeNonQual = "🇨🇽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cy", { name = "Cyprus Flag", native = "🇨🇾", nativeNonQual = "🇨🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-cz", { name = "Czechia Flag", native = "🇨🇿", nativeNonQual = "🇨🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "de", { name = "Germany Flag", native = "🇩🇪", nativeNonQual = "🇩🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-dg", { name = "Diego Garcia Flag", native = "🇩🇬", nativeNonQual = "🇩🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-dj", { name = "Djibouti Flag", native = "🇩🇯", nativeNonQual = "🇩🇯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-dk", { name = "Denmark Flag", native = "🇩🇰", nativeNonQual = "🇩🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-dm", { name = "Dominica Flag", native = "🇩🇲", nativeNonQual = "🇩🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-do", { name = "Dominican Republic Flag", native = "🇩🇴", nativeNonQual = "🇩🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-dz", { name = "Algeria Flag", native = "🇩🇿", nativeNonQual = "🇩🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ea", { name = "Ceuta & Melilla Flag", native = "🇪🇦", nativeNonQual = "🇪🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ec", { name = "Ecuador Flag", native = "🇪🇨", nativeNonQual = "🇪🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ee", { name = "Estonia Flag", native = "🇪🇪", nativeNonQual = "🇪🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-eg", { name = "Egypt Flag", native = "🇪🇬", nativeNonQual = "🇪🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-eh", { name = "Western Sahara Flag", native = "🇪🇭", nativeNonQual = "🇪🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-er", { name = "Eritrea Flag", native = "🇪🇷", nativeNonQual = "🇪🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "es", { name = "Spain Flag", native = "🇪🇸", nativeNonQual = "🇪🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-et", { name = "Ethiopia Flag", native = "🇪🇹", nativeNonQual = "🇪🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-eu", { name = "European Union Flag", native = "🇪🇺", nativeNonQual = "🇪🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-fi", { name = "Finland Flag", native = "🇫🇮", nativeNonQual = "🇫🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-fj", { name = "Fiji Flag", native = "🇫🇯", nativeNonQual = "🇫🇯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-fk", { name = "Falkland Islands Flag", native = "🇫🇰", nativeNonQual = "🇫🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-fm", { name = "Micronesia Flag", native = "🇫🇲", nativeNonQual = "🇫🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-fo", { name = "Faroe Islands Flag", native = "🇫🇴", nativeNonQual = "🇫🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "fr", { name = "France Flag", native = "🇫🇷", nativeNonQual = "🇫🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ga", { name = "Gabon Flag", native = "🇬🇦", nativeNonQual = "🇬🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "gb", { name = "United Kingdom Flag", native = "🇬🇧", nativeNonQual = "🇬🇧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gd", { name = "Grenada Flag", native = "🇬🇩", nativeNonQual = "🇬🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ge", { name = "Georgia Flag", native = "🇬🇪", nativeNonQual = "🇬🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gf", { name = "French Guiana Flag", native = "🇬🇫", nativeNonQual = "🇬🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gg", { name = "Guernsey Flag", native = "🇬🇬", nativeNonQual = "🇬🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gh", { name = "Ghana Flag", native = "🇬🇭", nativeNonQual = "🇬🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gi", { name = "Gibraltar Flag", native = "🇬🇮", nativeNonQual = "🇬🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gl", { name = "Greenland Flag", native = "🇬🇱", nativeNonQual = "🇬🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gm", { name = "Gambia Flag", native = "🇬🇲", nativeNonQual = "🇬🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gn", { name = "Guinea Flag", native = "🇬🇳", nativeNonQual = "🇬🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gp", { name = "Guadeloupe Flag", native = "🇬🇵", nativeNonQual = "🇬🇵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gq", { name = "Equatorial Guinea Flag", native = "🇬🇶", nativeNonQual = "🇬🇶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gr", { name = "Greece Flag", native = "🇬🇷", nativeNonQual = "🇬🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gs", { name = "South Georgia & South Sandwich Islands Flag", native = "🇬🇸", nativeNonQual = "🇬🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gt", { name = "Guatemala Flag", native = "🇬🇹", nativeNonQual = "🇬🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gu", { name = "Guam Flag", native = "🇬🇺", nativeNonQual = "🇬🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gw", { name = "Guinea-Bissau Flag", native = "🇬🇼", nativeNonQual = "🇬🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-gy", { name = "Guyana Flag", native = "🇬🇾", nativeNonQual = "🇬🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-hk", { name = "Hong Kong SAR China Flag", native = "🇭🇰", nativeNonQual = "🇭🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-hm", { name = "Heard & McDonald Islands Flag", native = "🇭🇲", nativeNonQual = "🇭🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-hn", { name = "Honduras Flag", native = "🇭🇳", nativeNonQual = "🇭🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-hr", { name = "Croatia Flag", native = "🇭🇷", nativeNonQual = "🇭🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ht", { name = "Haiti Flag", native = "🇭🇹", nativeNonQual = "🇭🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-hu", { name = "Hungary Flag", native = "🇭🇺", nativeNonQual = "🇭🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ic", { name = "Canary Islands Flag", native = "🇮🇨", nativeNonQual = "🇮🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-id", { name = "Indonesia Flag", native = "🇮🇩", nativeNonQual = "🇮🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ie", { name = "Ireland Flag", native = "🇮🇪", nativeNonQual = "🇮🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-il", { name = "Israel Flag", native = "🇮🇱", nativeNonQual = "🇮🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-im", { name = "Isle of Man Flag", native = "🇮🇲", nativeNonQual = "🇮🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-in", { name = "India Flag", native = "🇮🇳", nativeNonQual = "🇮🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-io", { name = "British Indian Ocean Territory Flag", native = "🇮🇴", nativeNonQual = "🇮🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-iq", { name = "Iraq Flag", native = "🇮🇶", nativeNonQual = "🇮🇶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ir", { name = "Iran Flag", native = "🇮🇷", nativeNonQual = "🇮🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-is", { name = "Iceland Flag", native = "🇮🇸", nativeNonQual = "🇮🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "it", { name = "Italy Flag", native = "🇮🇹", nativeNonQual = "🇮🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-je", { name = "Jersey Flag", native = "🇯🇪", nativeNonQual = "🇯🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-jm", { name = "Jamaica Flag", native = "🇯🇲", nativeNonQual = "🇯🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-jo", { name = "Jordan Flag", native = "🇯🇴", nativeNonQual = "🇯🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "jp", { name = "Japan Flag", native = "🇯🇵", nativeNonQual = "🇯🇵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ke", { name = "Kenya Flag", native = "🇰🇪", nativeNonQual = "🇰🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-kg", { name = "Kyrgyzstan Flag", native = "🇰🇬", nativeNonQual = "🇰🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-kh", { name = "Cambodia Flag", native = "🇰🇭", nativeNonQual = "🇰🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ki", { name = "Kiribati Flag", native = "🇰🇮", nativeNonQual = "🇰🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-km", { name = "Comoros Flag", native = "🇰🇲", nativeNonQual = "🇰🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-kn", { name = "St. Kitts & Nevis Flag", native = "🇰🇳", nativeNonQual = "🇰🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-kp", { name = "North Korea Flag", native = "🇰🇵", nativeNonQual = "🇰🇵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "kr", { name = "South Korea Flag", native = "🇰🇷", nativeNonQual = "🇰🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-kw", { name = "Kuwait Flag", native = "🇰🇼", nativeNonQual = "🇰🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ky", { name = "Cayman Islands Flag", native = "🇰🇾", nativeNonQual = "🇰🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-kz", { name = "Kazakhstan Flag", native = "🇰🇿", nativeNonQual = "🇰🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-la", { name = "Laos Flag", native = "🇱🇦", nativeNonQual = "🇱🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lb", { name = "Lebanon Flag", native = "🇱🇧", nativeNonQual = "🇱🇧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lc", { name = "St. Lucia Flag", native = "🇱🇨", nativeNonQual = "🇱🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-li", { name = "Liechtenstein Flag", native = "🇱🇮", nativeNonQual = "🇱🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lk", { name = "Sri Lanka Flag", native = "🇱🇰", nativeNonQual = "🇱🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lr", { name = "Liberia Flag", native = "🇱🇷", nativeNonQual = "🇱🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ls", { name = "Lesotho Flag", native = "🇱🇸", nativeNonQual = "🇱🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lt", { name = "Lithuania Flag", native = "🇱🇹", nativeNonQual = "🇱🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lu", { name = "Luxembourg Flag", native = "🇱🇺", nativeNonQual = "🇱🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-lv", { name = "Latvia Flag", native = "🇱🇻", nativeNonQual = "🇱🇻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ly", { name = "Libya Flag", native = "🇱🇾", nativeNonQual = "🇱🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ma", { name = "Morocco Flag", native = "🇲🇦", nativeNonQual = "🇲🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mc", { name = "Monaco Flag", native = "🇲🇨", nativeNonQual = "🇲🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-md", { name = "Moldova Flag", native = "🇲🇩", nativeNonQual = "🇲🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-me", { name = "Montenegro Flag", native = "🇲🇪", nativeNonQual = "🇲🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mf", { name = "St. Martin Flag", native = "🇲🇫", nativeNonQual = "🇲🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mg", { name = "Madagascar Flag", native = "🇲🇬", nativeNonQual = "🇲🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mh", { name = "Marshall Islands Flag", native = "🇲🇭", nativeNonQual = "🇲🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mk", { name = "North Macedonia Flag", native = "🇲🇰", nativeNonQual = "🇲🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ml", { name = "Mali Flag", native = "🇲🇱", nativeNonQual = "🇲🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mm", { name = "Myanmar (Burma) Flag", native = "🇲🇲", nativeNonQual = "🇲🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mn", { name = "Mongolia Flag", native = "🇲🇳", nativeNonQual = "🇲🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mo", { name = "Macao SAR China Flag", native = "🇲🇴", nativeNonQual = "🇲🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mp", { name = "Northern Mariana Islands Flag", native = "🇲🇵", nativeNonQual = "🇲🇵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mq", { name = "Martinique Flag", native = "🇲🇶", nativeNonQual = "🇲🇶", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mr", { name = "Mauritania Flag", native = "🇲🇷", nativeNonQual = "🇲🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ms", { name = "Montserrat Flag", native = "🇲🇸", nativeNonQual = "🇲🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mt", { name = "Malta Flag", native = "🇲🇹", nativeNonQual = "🇲🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mu", { name = "Mauritius Flag", native = "🇲🇺", nativeNonQual = "🇲🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mv", { name = "Maldives Flag", native = "🇲🇻", nativeNonQual = "🇲🇻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mw", { name = "Malawi Flag", native = "🇲🇼", nativeNonQual = "🇲🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mx", { name = "Mexico Flag", native = "🇲🇽", nativeNonQual = "🇲🇽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-my", { name = "Malaysia Flag", native = "🇲🇾", nativeNonQual = "🇲🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-mz", { name = "Mozambique Flag", native = "🇲🇿", nativeNonQual = "🇲🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-na", { name = "Namibia Flag", native = "🇳🇦", nativeNonQual = "🇳🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-nc", { name = "New Caledonia Flag", native = "🇳🇨", nativeNonQual = "🇳🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ne", { name = "Niger Flag", native = "🇳🇪", nativeNonQual = "🇳🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-nf", { name = "Norfolk Island Flag", native = "🇳🇫", nativeNonQual = "🇳🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ng", { name = "Nigeria Flag", native = "🇳🇬", nativeNonQual = "🇳🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ni", { name = "Nicaragua Flag", native = "🇳🇮", nativeNonQual = "🇳🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-nl", { name = "Netherlands Flag", native = "🇳🇱", nativeNonQual = "🇳🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-no", { name = "Norway Flag", native = "🇳🇴", nativeNonQual = "🇳🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-np", { name = "Nepal Flag", native = "🇳🇵", nativeNonQual = "🇳🇵", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-nr", { name = "Nauru Flag", native = "🇳🇷", nativeNonQual = "🇳🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-nu", { name = "Niue Flag", native = "🇳🇺", nativeNonQual = "🇳🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-nz", { name = "New Zealand Flag", native = "🇳🇿", nativeNonQual = "🇳🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-om", { name = "Oman Flag", native = "🇴🇲", nativeNonQual = "🇴🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pa", { name = "Panama Flag", native = "🇵🇦", nativeNonQual = "🇵🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pe", { name = "Peru Flag", native = "🇵🇪", nativeNonQual = "🇵🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pf", { name = "French Polynesia Flag", native = "🇵🇫", nativeNonQual = "🇵🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pg", { name = "Papua New Guinea Flag", native = "🇵🇬", nativeNonQual = "🇵🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ph", { name = "Philippines Flag", native = "🇵🇭", nativeNonQual = "🇵🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pk", { name = "Pakistan Flag", native = "🇵🇰", nativeNonQual = "🇵🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pl", { name = "Poland Flag", native = "🇵🇱", nativeNonQual = "🇵🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pm", { name = "St. Pierre & Miquelon Flag", native = "🇵🇲", nativeNonQual = "🇵🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pn", { name = "Pitcairn Islands Flag", native = "🇵🇳", nativeNonQual = "🇵🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pr", { name = "Puerto Rico Flag", native = "🇵🇷", nativeNonQual = "🇵🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ps", { name = "Palestinian Territories Flag", native = "🇵🇸", nativeNonQual = "🇵🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pt", { name = "Portugal Flag", native = "🇵🇹", nativeNonQual = "🇵🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-pw", { name = "Palau Flag", native = "🇵🇼", nativeNonQual = "🇵🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-py", { name = "Paraguay Flag", native = "🇵🇾", nativeNonQual = "🇵🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-qa", { name = "Qatar Flag", native = "🇶🇦", nativeNonQual = "🇶🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-re", { name = "Réunion Flag", native = "🇷🇪", nativeNonQual = "🇷🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ro", { name = "Romania Flag", native = "🇷🇴", nativeNonQual = "🇷🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-rs", { name = "Serbia Flag", native = "🇷🇸", nativeNonQual = "🇷🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "ru", { name = "Russia Flag", native = "🇷🇺", nativeNonQual = "🇷🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-rw", { name = "Rwanda Flag", native = "🇷🇼", nativeNonQual = "🇷🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sa", { name = "Saudi Arabia Flag", native = "🇸🇦", nativeNonQual = "🇸🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sb", { name = "Solomon Islands Flag", native = "🇸🇧", nativeNonQual = "🇸🇧", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sc", { name = "Seychelles Flag", native = "🇸🇨", nativeNonQual = "🇸🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sd", { name = "Sudan Flag", native = "🇸🇩", nativeNonQual = "🇸🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-se", { name = "Sweden Flag", native = "🇸🇪", nativeNonQual = "🇸🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sg", { name = "Singapore Flag", native = "🇸🇬", nativeNonQual = "🇸🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sh", { name = "St. Helena Flag", native = "🇸🇭", nativeNonQual = "🇸🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-si", { name = "Slovenia Flag", native = "🇸🇮", nativeNonQual = "🇸🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sj", { name = "Svalbard & Jan Mayen Flag", native = "🇸🇯", nativeNonQual = "🇸🇯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sk", { name = "Slovakia Flag", native = "🇸🇰", nativeNonQual = "🇸🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sl", { name = "Sierra Leone Flag", native = "🇸🇱", nativeNonQual = "🇸🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sm", { name = "San Marino Flag", native = "🇸🇲", nativeNonQual = "🇸🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sn", { name = "Senegal Flag", native = "🇸🇳", nativeNonQual = "🇸🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-so", { name = "Somalia Flag", native = "🇸🇴", nativeNonQual = "🇸🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sr", { name = "Suriname Flag", native = "🇸🇷", nativeNonQual = "🇸🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ss", { name = "South Sudan Flag", native = "🇸🇸", nativeNonQual = "🇸🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-st", { name = "São Tomé & Príncipe Flag", native = "🇸🇹", nativeNonQual = "🇸🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sv", { name = "El Salvador Flag", native = "🇸🇻", nativeNonQual = "🇸🇻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sx", { name = "Sint Maarten Flag", native = "🇸🇽", nativeNonQual = "🇸🇽", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sy", { name = "Syria Flag", native = "🇸🇾", nativeNonQual = "🇸🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-sz", { name = "Eswatini Flag", native = "🇸🇿", nativeNonQual = "🇸🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ta", { name = "Tristan da Cunha Flag", native = "🇹🇦", nativeNonQual = "🇹🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tc", { name = "Turks & Caicos Islands Flag", native = "🇹🇨", nativeNonQual = "🇹🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-td", { name = "Chad Flag", native = "🇹🇩", nativeNonQual = "🇹🇩", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tf", { name = "French Southern Territories Flag", native = "🇹🇫", nativeNonQual = "🇹🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tg", { name = "Togo Flag", native = "🇹🇬", nativeNonQual = "🇹🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-th", { name = "Thailand Flag", native = "🇹🇭", nativeNonQual = "🇹🇭", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tj", { name = "Tajikistan Flag", native = "🇹🇯", nativeNonQual = "🇹🇯", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tk", { name = "Tokelau Flag", native = "🇹🇰", nativeNonQual = "🇹🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tl", { name = "Timor-Leste Flag", native = "🇹🇱", nativeNonQual = "🇹🇱", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tm", { name = "Turkmenistan Flag", native = "🇹🇲", nativeNonQual = "🇹🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tn", { name = "Tunisia Flag", native = "🇹🇳", nativeNonQual = "🇹🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-to", { name = "Tonga Flag", native = "🇹🇴", nativeNonQual = "🇹🇴", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tr", { name = "Turkey Flag", native = "🇹🇷", nativeNonQual = "🇹🇷", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tt", { name = "Trinidad & Tobago Flag", native = "🇹🇹", nativeNonQual = "🇹🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tv", { name = "Tuvalu Flag", native = "🇹🇻", nativeNonQual = "🇹🇻", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tw", { name = "Taiwan Flag", native = "🇹🇼", nativeNonQual = "🇹🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-tz", { name = "Tanzania Flag", native = "🇹🇿", nativeNonQual = "🇹🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ua", { name = "Ukraine Flag", native = "🇺🇦", nativeNonQual = "🇺🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ug", { name = "Uganda Flag", native = "🇺🇬", nativeNonQual = "🇺🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-um", { name = "U.S. Outlying Islands Flag", native = "🇺🇲", nativeNonQual = "🇺🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-un", { name = "United Nations Flag", native = "🇺🇳", nativeNonQual = "🇺🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "us", { name = "United States Flag", native = "🇺🇸", nativeNonQual = "🇺🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-uy", { name = "Uruguay Flag", native = "🇺🇾", nativeNonQual = "🇺🇾", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-uz", { name = "Uzbekistan Flag", native = "🇺🇿", nativeNonQual = "🇺🇿", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-va", { name = "Vatican City Flag", native = "🇻🇦", nativeNonQual = "🇻🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-vc", { name = "St. Vincent & Grenadines Flag", native = "🇻🇨", nativeNonQual = "🇻🇨", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ve", { name = "Venezuela Flag", native = "🇻🇪", nativeNonQual = "🇻🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-vg", { name = "British Virgin Islands Flag", native = "🇻🇬", nativeNonQual = "🇻🇬", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-vi", { name = "U.S. Virgin Islands Flag", native = "🇻🇮", nativeNonQual = "🇻🇮", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-vn", { name = "Vietnam Flag", native = "🇻🇳", nativeNonQual = "🇻🇳", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-vu", { name = "Vanuatu Flag", native = "🇻🇺", nativeNonQual = "🇻🇺", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-wf", { name = "Wallis & Futuna Flag", native = "🇼🇫", nativeNonQual = "🇼🇫", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ws", { name = "Samoa Flag", native = "🇼🇸", nativeNonQual = "🇼🇸", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-xk", { name = "Kosovo Flag", native = "🇽🇰", nativeNonQual = "🇽🇰", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-ye", { name = "Yemen Flag", native = "🇾🇪", nativeNonQual = "🇾🇪", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-yt", { name = "Mayotte Flag", native = "🇾🇹", nativeNonQual = "🇾🇹", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-za", { name = "South Africa Flag", native = "🇿🇦", nativeNonQual = "🇿🇦", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-zm", { name = "Zambia Flag", native = "🇿🇲", nativeNonQual = "🇿🇲", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-zw", { name = "Zimbabwe Flag", native = "🇿🇼", nativeNonQual = "🇿🇼", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-england", { name = "England Flag", native = "🏴\u{E0067}\u{E0062}\u{E0065}\u{E006E}\u{E0067}\u{E007F}", nativeNonQual = "🏴\u{E0067}\u{E0062}\u{E0065}\u{E006E}\u{E0067}\u{E007F}", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-scotland", { name = "Scotland Flag", native = "🏴\u{E0067}\u{E0062}\u{E0073}\u{E0063}\u{E0074}\u{E007F}", nativeNonQual = "🏴\u{E0067}\u{E0062}\u{E0073}\u{E0063}\u{E0074}\u{E007F}", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        , ( "flag-wales", { name = "Wales Flag", native = "🏴\u{E0067}\u{E0062}\u{E0077}\u{E006C}\u{E0073}\u{E007F}", nativeNonQual = "🏴\u{E0067}\u{E0062}\u{E0077}\u{E006C}\u{E0073}\u{E007F}", keywords = [], skinVariations = Dict.fromList [], version = 15 } )
        ]
